declare module 'unity-fluent-library/actions/ActionForm' {
  export function ActionForm(props: any): JSX.Element;
  export namespace ActionForm {
      namespace propTypes {
          const entityAttributes: PropTypes.Requireable<any[]>;
          const foreignKeyData: PropTypes.Requireable<any[]>;
          const crudTableEditionData: PropTypes.Requireable<any[]>;
          const closeSideSheet: PropTypes.Requireable<(...args: any[]) => any>;
          const onCreate: PropTypes.Requireable<(...args: any[]) => any>;
          const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/ActionModal' {
  export function ActionModal(props: any): JSX.Element;

}
declare module 'unity-fluent-library/actions/ActionPanelPlacement' {
  export function ActionPanelPlacement(props: any): JSX.Element;
  export namespace ActionPanelPlacement {
      namespace propTypes {
          const actionPanels: PropTypes.Requireable<any[]>;
          const showInquiryHeaderActions: PropTypes.Requireable<boolean>;
          const selectedNode: PropTypes.Requireable<object>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/ActionSideSheet' {
  export function ActionSideSheet(props: any): JSX.Element;
  export namespace ActionSideSheet {
      namespace propTypes {
          const user: PropTypes.Requireable<object>;
          const open: PropTypes.Requireable<boolean>;
          const dispatch: PropTypes.Requireable<(...args: any[]) => any>;
          const action: PropTypes.Requireable<object>;
          const actionPanels: PropTypes.Requireable<any[]>;
          const catalog: PropTypes.Requireable<object>;
          const selectedNodeObj: PropTypes.Requireable<object>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/ActionSpeedDial' {
  /// <reference types="react" />
  import { SpeedDialProps } from '@material-ui/lab/SpeedDial';
  interface FluentSpeedDialProps extends SpeedDialProps {
      actions: Array<{
          icon: {
              type?: string;
              name: string;
          };
          name: string;
          onClick: Function;
      }>;
  }
  export const ActionSpeedDial: (props: FluentSpeedDialProps) => JSX.Element | null;
  export {};

}
declare module 'unity-fluent-library/actions/ActionSplitScreen' {
  export function ActionSplitScreen(props: any): JSX.Element;
  export namespace ActionSplitScreen {
      namespace propTypes {
          const body: PropTypes.Requireable<object>;
          const open: PropTypes.Requireable<boolean>;
          const action: PropTypes.Requireable<object>;
          const executeAction: PropTypes.Requireable<(...args: any[]) => any>;
          const entityName: PropTypes.Requireable<string>;
          const entityAttributes: PropTypes.Requireable<any[]>;
          const selectedNodeObj: PropTypes.Requireable<object>;
          const menuNodeList: PropTypes.Requireable<any[]>;
          const showError: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/ActionSummary/ActionSummaryCard' {
  import { FC } from 'react';
  import { ActionSummaryListItemProps } from 'unity-fluent-library/actions/ActionSummary/index';
  export type ActionSummaryProps = {
      actionMenuContent: Array<ActionSummaryContent>;
  };
  export type ActionSummaryContent = {
      header: string;
      icon: string;
      iconType?: string;
      items: Array<ActionSummaryListItemProps>;
  };
  export const ActionSummaryCard: FC<ActionSummaryProps>;

}
declare module 'unity-fluent-library/actions/ActionSummary/ActionSummaryHeader' {
  import { FC } from "react";
  type ActionSummaryHeaderProps = {
      icon: string;
      header: string;
      iconType?: string;
  };
  export const ActionSummaryHeader: FC<ActionSummaryHeaderProps>;
  export {};

}
declare module 'unity-fluent-library/actions/ActionSummary/ActionSummaryListContainer' {
  import { FC } from 'react';
  import { ActionSummaryListItemProps } from 'unity-fluent-library/actions/ActionSummary/index';
  type ActionSummaryListContainerProps = {
      items: Array<ActionSummaryListItemProps>;
  };
  export const ActionSummaryListContainer: FC<ActionSummaryListContainerProps>;
  export {};

}
declare module 'unity-fluent-library/actions/ActionSummary/ActionSummaryListItem' {
  import { FC } from 'react';
  export type ActionSummaryListItemProps = {
      value: string;
      highlighted?: boolean;
      enabled?: boolean;
      actionId: string;
      setLoading: Function;
  };
  export const ActionSummaryListItem: FC<ActionSummaryListItemProps>;

}
declare module 'unity-fluent-library/actions/ActionSummary/ActionSummaryPopover' {
  export function ActionSummaryPopover(props: any): JSX.Element;
  export namespace ActionSummaryPopover {
      namespace propTypes {
          const panelActions: PropTypes.Requireable<any[]>;
          const noContrastColor: PropTypes.Requireable<boolean>;
          const selectedNode: PropTypes.Requireable<object>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/ActionSummary/index' {
  export * from 'unity-fluent-library/actions/ActionSummary/ActionSummaryCard';
  export * from 'unity-fluent-library/actions/ActionSummary/ActionSummaryListContainer';
  export * from 'unity-fluent-library/actions/ActionSummary/ActionSummaryHeader';
  export * from 'unity-fluent-library/actions/ActionSummary/ActionSummaryListItem';
  export * from 'unity-fluent-library/actions/ActionSummary/ActionSummaryPopover';

}
declare module 'unity-fluent-library/actions/ActionWrapper' {
  export function ActionWrapper(props: any): JSX.Element;
  export namespace ActionWrapper {
      namespace propTypes {
          const actionState: PropTypes.Requireable<object>;
          const actionPanel: PropTypes.Requireable<object>;
          const dispatch: PropTypes.Requireable<(...args: any[]) => any>;
          const catalog: PropTypes.Requireable<object>;
          const executeAction: PropTypes.Requireable<(...args: any[]) => any>;
          const user: PropTypes.Requireable<object>;
          const splitScreenBody: PropTypes.Requireable<object>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/actions/PageActionWrapper' {
  export function PageActionWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/actions/sidebar/EntitySideBarContent' {
  export function EntitySideBarContent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/actions/utils/actionUtils' {
  export function useHandleAction(): {
      handleAction: (dispatch: any, action: any, state: any, executeAction: any, apiCatalogId: any, entityAttributes: any, actionData: any) => void;
  };

}
declare module 'unity-fluent-library/AGLicense' {
  export const LicenseKey: "Using_this_{AG_Grid}_Enterprise_key_{AG-060880}_in_excess_of_the_licence_granted_is_not_permitted___Please_report_misuse_to_legal@ag-grid.com___For_help_with_changing_this_key_please_contact_info@ag-grid.com___{Univerus_Software_Inc}_is_granted_a_{Single_Application}_Developer_License_for_the_application_{MAIS_eRec}_only_for_{1}_Front-End_JavaScript_developer___All_Front-End_JavaScript_developers_working_on_{MAIS_eRec}_need_to_be_licensed___{MAIS_eRec}_has_not_been_granted_a_Deployment_License_Add-on___This_key_works_with_{AG_Grid}_Enterprise_versions_released_before_{28_June_2025}____[v3]_[01]_MTc1MTA2NTIwMDAwMA==17ac166e7bb5dcca7f3eaa21c79da63b";

}
declare module 'unity-fluent-library/assets/unityIcons/LibraryData' {
  export const fluentLibraryIcons: {
      id: string;
      label: string;
      icon: import("react").FC<import("react").HTMLAttributes<HTMLSpanElement> & import("@fluentui/react-icons").ISvgIconProps>;
  }[];

}
declare module 'unity-fluent-library/chatBot/ChatContainer' {
  export function ChatContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/chatBot/ChatMessage' {
  export function ChatMessage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/chatBot/Message' {
  export interface Message {
      createdAt: Date | undefined;
      createdBy: string | undefined;
      messageContent: string | undefined;
      messageStatus: MessageStatus | undefined;
  }
  export enum MessageStatus {
      Sent = 0,
      Delivered = 1,
      Error = -1
  }
  export const addMessage: (message: Message, messageHistory: Array<Message>) => Array<Message>;

}
declare module 'unity-fluent-library/chatBot/useChatBot' {
  export function useChatBot(user: any): {
      messageHistory: never[];
      addMessage: (messageContent: any, createdBy: any) => void;
      addLoadingMessage: () => void;
      removeLoadingMessage: () => void;
  };

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/functions/mttFunctions' {
  export function plotY(item: any, data: any, nodeWidth: any): number;
  export function plotX(timeline: any, subThread: any, data: any, threadHeight: any): any;
  export function formatDataWithTimelineCategoryName(object: any): any[];
  export function plotCategoryBar(timelineNumber: any, subThread: any, data: any, timeline: any, threadHeight: any): number;
  export function formatDataWithTimelineCategoryNameOrderedByDate(inputData: any): never[];

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/mttMainTimeline/HeightAdjust' {
  export function HeightAdjuster({ verticalAdjuster, setVerticalAdjuster }: {
      verticalAdjuster: any;
      setVerticalAdjuster: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/mttMainTimeline/MttMainTimeline' {
  export function MttMainTimeline(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/mttMainTimeline/MttTimeline' {
  export const MttTimeline: React.NamedExoticComponent<object>;
  import React from "react";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/mttSummary/MttSummary' {
  export function MttSummary(props: any): JSX.Element;
  export namespace MttSummary {
      namespace propTypes {
          const timelineApiMethodInstanceId: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/timeline' {
  interface Event {
      id: string | undefined;
      eventTypeID: string | undefined;
      primaryContextID: string | undefined;
      secondaryContextID: string | undefined;
      date: string | undefined;
      transactionType: string | undefined;
      description: string | undefined;
      shortDescription: string | undefined;
      status: number | undefined;
      data1: '';
  }
  interface Thread {
      id: string | undefined;
      name: string | undefined;
      inSummary: boolean;
      queryID: string | undefined;
      iconID: string | undefined;
      mttConfigID: string | undefined;
      events: Array<Event> | undefined;
  }
  export interface Timeline {
      threads: Array<Thread> | undefined;
  }
  export const createTimeline: (threads: Array<any>) => Timeline;
  export {};

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/CircleButton' {
  export function CircleButton(props: any): JSX.Element;
  export namespace CircleButton {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/DateWrapper' {
  export function DateWrapper({ children, date, months, count }: {
      children: any;
      date: any;
      months: any;
      count: any;
  }): JSX.Element;
  export namespace DateWrapper {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const date: PropTypes.Requireable<string>;
          const months: PropTypes.Requireable<number>;
          const count: PropTypes.Requireable<number>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/DynamicRangeSlider' {
  export function DynamicRangeSlider(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/modified/TimelineToken' {
  export function TimelineToken(props: any): JSX.Element;
  export namespace TimelineToken {
      namespace propTypes {
          const type: PropTypes.Requireable<string>;
          const variant: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
          const iconType: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<NonNullable<object | PropTypes.ReactComponentLike | null | undefined>>;
          const letter: PropTypes.Requireable<string>;
          const IconEllipseProps: PropTypes.Requireable<object>;
          const iconColorOverride: PropTypes.Requireable<string>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
          const className: PropTypes.Requireable<string>;
          const hoverContainer: PropTypes.Requireable<PropTypes.ReactElementLike>;
          const isHover: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/MttYearTag' {
  export function MttYearTag(props: any): JSX.Element;
  export namespace MttYearTag {
      namespace propTypes {
          const children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
          const year: PropTypes.Requireable<boolean>;
          const today: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/MultiDot' {
  export function MultiDot(props: any): JSX.Element;
  export namespace MultiDot {
      namespace propTypes {
          const map: PropTypes.Validator<(PropTypes.InferProps<{
              details: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
                  shortDescription: PropTypes.Validator<string>;
                  date: PropTypes.Validator<string>;
                  status: PropTypes.Validator<string>;
              }>>>;
          }> | null | undefined)[]>;
          const number: PropTypes.Validator<number>;
          const className: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/SummaryToken' {
  export function SummaryToken(props: any): JSX.Element;
  export namespace SummaryToken {
      namespace propTypes {
          const title: PropTypes.Requireable<string>;
          const short: PropTypes.Requireable<boolean>;
          const showMonth: PropTypes.Requireable<boolean>;
          const amount: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
          const status: PropTypes.Requireable<string>;
          const date: PropTypes.Requireable<string>;
          const user: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<PropTypes.ReactElementLike>;
          const months: PropTypes.Requireable<any[]>;
          const className: PropTypes.Requireable<string>;
          const month: PropTypes.Requireable<string>;
          const balance: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
          const hidebackground: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineDateBar' {
  export function TimelineDateBar({ month, months, showMonth }: {
      month: any;
      months?: any[] | undefined;
      showMonth: any;
  }): any;
  export namespace TimelineDateBar {
      namespace propTypes {
          const month: PropTypes.Validator<number>;
          const months: PropTypes.Requireable<any[]>;
          const showMonth: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineDot' {
  export function TimelineDot(props: any): JSX.Element;
  export namespace TimelineDot {
      namespace propTypes {
          const hoverContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const title: PropTypes.Requireable<string>;
          const hideLable: PropTypes.Requireable<boolean>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineHoverCard' {
  export function TimelineHoverCard(props: any): JSX.Element;
  export namespace TimelineHoverCard {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const className: PropTypes.Requireable<string>;
          const popover: PropTypes.Requireable<boolean>;
          const offset: PropTypes.Requireable<number>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineNode' {
  export const TimelineNode: React.NamedExoticComponent<object>;
  import React from "react";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelinePreloaderNode' {
  export function TimelinePreloaderNode(props: any): JSX.Element;
  export namespace TimelinePreloaderNode {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const shortView: PropTypes.Requireable<boolean>;
          const longView: PropTypes.Requireable<boolean>;
          const className: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineStatus' {
  export function TimelineStatus(props: any): string;
  export namespace TimelineStatus {
      namespace propTypes {
          const status: PropTypes.Requireable<number>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineToggleButton' {
  export const useStyles: any;
  export function TimelineToggleButton({ title, timelineItem, handleClick, icon, off }: {
      title: any;
      timelineItem: any;
      handleClick: any;
      icon: any;
      off: any;
  }): JSX.Element;
  export namespace TimelineToggleButton {
      namespace propTypes {
          const title: PropTypes.Validator<string>;
          const timelineItem: PropTypes.Requireable<object>;
          const handleClick: PropTypes.Validator<(...args: any[]) => any>;
          const icon: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
          const off: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineTokenSummary' {
  export function TimelineTokenSummary(props: any): JSX.Element;
  export namespace TimelineTokenSummary {
      namespace propTypes {
          const timelineItem: PropTypes.Validator<string>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
          const isHover: PropTypes.Requireable<boolean>;
          const title: PropTypes.Requireable<string>;
          const showLabel: PropTypes.Requireable<boolean>;
          const dot: PropTypes.Requireable<boolean>;
          const color: PropTypes.Requireable<string>;
          const date: PropTypes.Requireable<string>;
          const message: PropTypes.Requireable<string>;
          const amount: PropTypes.Requireable<string>;
          const user: PropTypes.Requireable<string>;
          const status: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
          const summary: PropTypes.Requireable<boolean>;
          const iconColor: PropTypes.Requireable<string>;
          const showToken: PropTypes.Requireable<boolean>;
          const details: PropTypes.Requireable<boolean>;
          const icon: PropTypes.Requireable<NonNullable<object | PropTypes.ReactComponentLike | null | undefined>>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineTopRowFilter' {
  export function TimelineTopRowFilter({ filterList, filterCall, filterListGroup, off, clear }: {
      filterList: any;
      filterCall: any;
      filterListGroup: any;
      off: any;
      clear: any;
  }): JSX.Element;
  export namespace TimelineTopRowFilter {
      namespace propTypes {
          const filterList: PropTypes.Requireable<any[]>;
          const filterCall: PropTypes.Requireable<(...args: any[]) => any>;
          const filterListGroup: PropTypes.Requireable<any[]>;
          const off: PropTypes.Requireable<boolean>;
          const clear: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelineWrapper' {
  export function TimelineWrapper({ style, timeline }: {
      style: any;
      timeline: any;
  }): string;
  export namespace TimelineWrapper {
      namespace propTypes {
          const style: PropTypes.Requireable<object>;
          const timeline: PropTypes.Validator<number>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/VisualizationDot' {
  export function VisualizationDot(props: any): any;
  export namespace VisualizationDot {
      namespace propTypes {
          const type: PropTypes.Requireable<string>;
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const hover: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const multi: PropTypes.Requireable<boolean>;
          const noHover: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/hocs/withEngineComponent' {
  export function withEngineComponent(WrappedComponent: any): (hocProps: any) => any;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/hooks/useReadMetaData' {
  export function useReadMetaData(props: any): {
      id: any;
      columnSize: any;
      title?: undefined;
      subheader?: undefined;
      label?: undefined;
      status?: undefined;
      button?: undefined;
      secondaryButtons?: undefined;
      columnDefs?: undefined;
      actionsList?: undefined;
      x?: undefined;
      y?: undefined;
      values?: undefined;
      xfield?: undefined;
      yfield?: undefined;
  } | {
      id: any;
      columnSize: any;
      title: any;
      subheader: any;
      label: any;
      status: any;
      button: any;
      secondaryButtons: any;
      columnDefs: any;
      actionsList: any;
      x: any;
      y: any;
      values: any;
      xfield: any;
      yfield: any;
  } | undefined;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/PageRenderer' {
  export function PageRenderer(props: any): any;
  export namespace PageRenderer {
      namespace propTypes {
          const viewBuilderMetaData: PropTypes.Validator<any[]>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/utils/TableColumnDefs' {
  export function TableColumnDefs(columnDefs: any, actionList: any, columName?: string, crudTableActionRenderName?: string, panelDirection?: string): any;
  export namespace defaultColActionsDef {
      const resizable: boolean;
      const editable: boolean;
      const sortable: boolean;
      const filter: boolean;
      const floatingFilter: boolean;
      const enableRowGroup: boolean;
  }

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/AgGridSimpleWrapper' {
  export const data: {
      id: number;
      name: string;
      tags: string;
      deferredGL: string;
      earnedGL: string;
      start_date: string;
      end_date: string;
      status: string;
      instructors: string;
  }[];
  export function AgGridSimpleWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/BarChartWrapper' {
  export function BarChartWrapper(props: any): JSX.Element;
  export const barChartWrapperProps: {
      structure: {
          label: string;
          value: number;
      }[];
  }[];

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/BioCardWrapper' {
  export function BioCardWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/DisplayCardWrapper' {
  export function DisplayCardWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/DonutWrapper' {
  export function DonutWrapper(props: any): JSX.Element;
  export const barChartWrapperProps: {
      structure: {
          label: string;
          value: number;
      }[];
  }[];

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/HistogramWrapper' {
  export function HistogramWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/LineGraphWrapper' {
  export function LineGraphWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/componentSystems/pageRenderer/wrappers/PrimaryActionHeaderWrapper' {
  export function PrimaryActionHeaderWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/constants/reminderConstants' {
  export const FILE_TO_TYPES: {
      label: string;
      value: number;
  }[];

}
declare module 'unity-fluent-library/containers/IframeContainer' {
  export function IframeContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/contexts/ActionContext' {
  export const ActionContext: import("react").Context<null>;

}
declare module 'unity-fluent-library/contexts/ActionDispatchContext' {
  export const ActionDispatchContext: import("react").Context<null>;

}
declare module 'unity-fluent-library/contexts/ActionLoadingContext' {
  export const ActionLoadingContext: import("react").Context<null>;

}
declare module 'unity-fluent-library/contexts/ActionLoadingDispatchContext' {
  export const ActionLoadingDispatchContext: import("react").Context<null>;

}
declare module 'unity-fluent-library/contexts/PageContext' {
  import React from 'react';
  /**
   * The Page context, shared amongst the Page
   * and all children. Generally used to share state between
   * Widgets. Call dispatch() to update the state. Currently
   * only supports dispatch types of "set <state_property>".
   * Example: dispatch({ type: "set mySharedProperty", value: oldSharedProperty + 1 });
   */
  const pageContext: React.Context<{
      state: any;
      dispatch: React.Dispatch<{
          type: string;
          value?: any;
      }>;
  }>;
  /**
   * A Context component to wrap around a Page. Allows
   * sharing of state amongst sibling Widgets.
   * @returns
   */
  const PageContextProvider: ({ children }: any) => JSX.Element;
  export { pageContext, PageContextProvider };

}
declare module 'unity-fluent-library/contexts/usePageContext' {
  export function usePageContext(): any;

}
declare module 'unity-fluent-library/dashboard/DashboardCardGrid' {
  export default DashboardCardGrid;
  /**
   * Grid layout for dashboard cards
   */
  function DashboardCardGrid(props: any): JSX.Element;

}
declare module 'unity-fluent-library/dashboard/DashboardWidget' {
  const _default: React.MemoExoticComponent<(props: any) => JSX.Element>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/dashboard/getWidgetLayout' {
  import { Layout } from 'react-grid-layout';
  /**
   * Get a default layout for widgets of a type
   */
  export default function getWidgetLayout(getWidget: Function, widgetType: string): Omit<Layout, 'i' | 'x' | 'y'>;

}
declare module 'unity-fluent-library/dashboard/types' {
  import { ComponentType } from 'react';
  export interface LayoutDimensionRange {
      default: number;
      min: number;
      max: number;
  }
  export type LayoutDimension = number | LayoutDimensionRange;
  export interface WidgetLayout {
      w?: LayoutDimension;
      h?: LayoutDimension;
  }
  export interface WidgetParam<T = unknown> {
      defaultValue: T;
  }
  export type WidgetParams = Record<string, WidgetParam>;
  export interface WidgetModule {
      layout?: WidgetLayout;
      params?: WidgetParams;
      default: ComponentType;
      Preview?: ComponentType;
  }
  export interface WidgetType {
      layout: WidgetLayout;
      params: WidgetParams;
      Widget: ComponentType;
      Preview?: ComponentType;
  }

}
declare module 'unity-fluent-library/dashboard/WidgetCard' {
  export function WidgetCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/dataBrowser/DataBrowserColumnDefs' {
  export function DataBrowserColumnDefs(entityAttributes: any, actionList: any, isServerSide: any, queryColumnsData: any, columnName?: string, crudTableActionRenderName?: string, panelDirection?: string): any[];
  export namespace defaultColActionsDef {
      const resizable: boolean;
      const editable: boolean;
      const sortable: boolean;
      const filter: boolean;
      const floatingFilter: boolean;
      const enableRowGroup: boolean;
  }

}
declare module 'unity-fluent-library/dataBrowser/DataBrowserContainer' {
  export function DataBrowserContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/dataBrowser/forms/ParamsMappingFields' {
  export function ParamsMappingFields(props: any): any;

}
declare module 'unity-fluent-library/dataBrowser/forms/ParamsMappingForm' {
  export function ParamsMappingForm(props: any): JSX.Element;

}
declare module 'unity-fluent-library/dataBrowser/forms/RequiredFieldsMappingField' {
  export function RequiredFieldsMappingField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/dataBrowser/forms/RequiredFieldsMappingForm' {
  export function RequiredFieldsMappingForm(props: any): JSX.Element;

}
declare module 'unity-fluent-library/diffChecker/DiffChecker' {
  export function DiffChecker({ leftTitle, rightTitle, oldValue, newValue }: {
      leftTitle: any;
      rightTitle: any;
      oldValue: any;
      newValue: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/enums/aggridEnums' {
  export enum AgGridFilterOperators {
      CONTAINS = "contains",
      NOT_CONTAINS = "notcontains",
      EQUALS = "equals",
      NOT_EQUALS = "notequals",
      STARTSWITH = "startswith",
      ENDSWITH = "endswith",
      LESS_THAN = "lessthan",
      LESS_THAN_OR_EQUAL = "lessthanorequal",
      GREATER_THAN = "greaterthan",
      GREATER_THAN_OR_EQUAL = "greaterthanorequal",
      IN_RANGE = "inrange",
      SET = "set"
  }
  export enum SqlFilterOperators {
      LIKE = "LIKE",
      EQUALS = "=",
      NOT_EQUALS = "<>",
      LESS_THAN = "<",
      LESS_THAN_OR_EQUAL = "<=",
      GREATER_THAN = ">",
      GREATER_THAN_OR_EQUAL = ">=",
      BETWEEN = "BETWEEN",
      IN = "IN",
      STARTSWITH = "STARTSWITH",
      ENDSWITH = "ENDSWITH"
  }
  export enum AgGridFilterTypes {
      TEXT = "text",
      NUMBER = "number",
      DATE = "date",
      SET = "set"
  }
  export enum SearchValueType {
      Type_String = 1,
      Type_Int = 2,
      Type_Long = 3,
      Type_Double = 4,
      Type_Boolean = 5,
      Type_DateTime = 6,
      Type_Guid = 7
  }
  export enum GroupingType {
      DISTINCT = "DISTINCT",
      AGGREGATE = "AGGREGATE"
  }

}
declare module 'unity-fluent-library/enums/InputFieldTypeEnums' {
  export enum InputFieldType {
      Default = 0,
      Text = 1,
      Number = 2,
      Toggle = 3,
      DateTime = 4,
      ColorPicker = 5
  }

}
declare module 'unity-fluent-library/enums/menuEnums' {
  export enum MenuTypeEnums {
      Left_Menu = 1,
      Application_Menu = 2,
      Builders_Menu = 3,
      Favorites_Menu = 4
  }

}
declare module 'unity-fluent-library/enums/pageEnums' {
  export enum ClickOpenEnums {
      SideSheet = "sideSheet",
      Dialog = "dialog",
      SplitScreen = "splitScreen"
  }
  export enum UdpPageEnums {
      Udp_Maintenance_Engine_Page = "32f32abb-e633-494e-b4c7-8e187c731e95",
      Udp_Data_Browser_Page = "efaa7518-c943-4cd3-ad44-d78941de3211",
      Udp_Notes_Page = "ef18c935-4d7b-4923-a87e-975d71f019a2",
      Udp_Reminders_Page = "308d9644-60db-4a0f-88c6-3a1309600ebc",
      Udp_Reports_Page = "35eb68db-cadc-497a-b915-de4e4b709459",
      Udp_Inquiry_Explore_Page = "8118a06e-5e26-437f-8661-8171f9e2ab16",
      Udp_Public_Forms_Page = "0a2f83f1-6f74-4088-b954-7d5762d93cfa"
  }

}
declare module 'unity-fluent-library/enums/propertyTypeEnums' {
  export enum PropertyTypeEnum {
      Int = "int",
      Long = "long",
      Double = "double",
      DateTime = "DateTime",
      String = "string",
      String_Uuid = "string uuid",
      Boolean = "bool"
  }

}
declare module 'unity-fluent-library/enums/searchEnums' {
  export enum FilterElementParamType {
      String = "string",
      Keyword = "keyword",
      Function = "function"
  }

}
declare module 'unity-fluent-library/enums/tagEnums' {
  export enum TagEnums {
      TagAssociationSanitizedName = "UdpTagAssociation",
      TagSanitizedName = "UdpTag",
      TagTypeSanitizedName = "UdpTagType"
  }

}
declare module 'unity-fluent-library/enums/unitySystemEnums' {
  export enum GridEnums {
      Ideas = "f3c1bf72-15fd-4dcd-904c-b67850525cff",
      Tickets = "787a2afc-26df-440a-9040-9a3e5c5333d5",
      Users = "4ea9fe5d-0af3-4102-af95-4d4a5ca886e1",
      Tenants = "b543fc1d-6f45-469e-87ae-2b18b8200955",
      Roles = "9af2eebb-7687-4b3c-91fa-607efb0a5fea",
      Inquiry = "ac0b9a3a-d113-4590-93db-dea62bcb89a2",
      Groups = "c599b6ff-fee3-4ade-bf78-16700fddb5b9"
  }
  export enum GridStateTypeEnums {
      Column = 1,
      Pivot_Mode = 2,
      Column_Sort = 3,
      Column_Filter = 4,
      Column_Group = 5
  }
  export enum MenuTypeEnums {
      Left_Menu = 1,
      Application_Menu = 2,
      Builders_Menu = 3,
      Favorites_Menu = 4
  }
  export enum VerticalEnums {
      Engage = 1,
      Manage = 2,
      Build = 3,
      Play = 4
  }
  export enum MenuItemEnums {
      Container = "b36cec3c-fe05-47ed-a687-70be22b0e200",
      External_Link = "11758dfd-ac3a-4996-b86c-767947776ff8",
      Data_Browser = "afc3833e-e288-4cf6-8155-a069ec4ddc5a",
      Report = "22763e92-2477-43c3-92db-124a84e5ff7f",
      Page = "d506aeef-ba1b-49a8-9032-beba450b11bc",
      Page_Builder = "16df758b-c456-4c8c-8ca3-2ae167b3b078",
      Route = "ec5f1c26-e7e1-4f19-8e6e-143308995a40",
      Tree_Builder = "d4379c4f-6496-4caa-bc0d-5f297fea580f",
      Inquiry = "b45f660f-a172-4444-8dd8-8f51d56e0725",
      Scheduler = "4007feb9-e50c-44f9-8502-a1f337d82bcf",
      Config = "aeb48be9-09ea-49b3-9f21-486fe3545b2d",
      Action = "a66e9458-2540-4166-9b26-1e9b44a2b080",
      Inner_Menu = "c4f7b46c-00b8-428e-b982-1639c03fde20"
  }
  export enum ADUserTypeEnums {
      Guest = "Guest",
      Member = "Member"
  }
  export enum ProductEnums {
      Unity = 1
  }
  export enum RoleTypeEnums {
      System = 1,
      Tenant = 2
  }
  export enum LookupTypeEnums {
      No_Lookup = "NO_LOOKUP",
      Api = "API",
      Csv = "CSV",
      Domain = "DOMAIN",
      Lookup = "LOOKUP"
  }
  export enum SearchValueType {
      String = "String",
      Int = "Int",
      Long = "Long",
      Double = "Double",
      Boolean = "Boolean",
      DateTime = "DateTime"
  }
  export enum SearchGroupingType {
      Distinct = "DISTINCT",
      Aggregate = "AGGREGATE"
  }
  export enum SearchSortDirection {
      Asc = "ASC",
      Desc = "DESC"
  }
  export enum RoleNameEnums {
      System_Administrator = "System Administrator",
      Company_Administrator = "Company Administrator",
      Developer = "Developer"
  }
  export enum ProductNameEnums {
      Asset_Management = "Asset Management",
      Asset_Routing = "Asset Routing",
      AVI = "AVI",
      Cashiering = "Cashiering",
      Citizen_Portal = "Citizen Portal",
      Compliance = "Compliance",
      Consumer_Engagement = "Consumer Engagement",
      Consumer_Information = "Consumer Information",
      Contact_Center = "Contact Center",
      Course_Management = "Course Management",
      Crew_Routing = "Crew Routing",
      Dispatch = "Dispatch",
      Dispatch_Admin = "Dispatch Admin",
      Employee_Network = "Employee Network",
      Energy_Management = "Energy Management",
      Equipment_Inspection = "Equipment Inspection",
      Facility_Management = "Facility Management",
      Field_Mobility = "Field Mobility",
      Fixed_Assets = "Fixed Assets",
      Fleet_Management = "Fleet Management",
      Health_And_Safety = "Health & Safety",
      Instructor_Application = "Instructor Application",
      MDM = "MDM",
      Member_Management = "Member Management",
      Page_Builder = "Page Builder",
      Project_Management = "Project Management",
      Rentals = "Rentals",
      Unity = "Unity",
      Work_Orders = "Work Orders"
  }
  export enum LogicalSearchOperatorEnums {
      And = 1,
      Or = 2
  }
  export enum NodeActionTriggerEnums {
      On_Node_Drop = 1
  }
  export enum NodeActionEnums {
      Load_Inquiry_Page = 1,
      Execute_Api = 2,
      Start_Workflow = 3,
      Create = 4,
      Update = 5,
      Delete = 6,
      Retrieve = 7,
      Open_Inquiry = 8,
      Open_Maintenance_Engine = 9,
      Redirect = 10,
      Open_External_Link = 11,
      Hide = 12,
      Disable = 13,
      Open_Page_Split_Screen = 14,
      Open_Shell_Split_Screen = 15,
      Open_Notes = 16,
      Open_Reminders = 17
  }
  export enum TreeViewModeEnums {
      Classic = 1,
      Compact = 2
  }
  export enum PanelPositionEnums {
      Site_Header = 1,
      Site_Header_Summary = 2,
      Speed_Dial = 3,
      Inquiry_Header = 4,
      Inquiry_Header_Summary = 5
  }
  export enum CardinalityTypeEnums {
      One_To_One = 0,
      One_To_Many = 1,
      Many_To_Many = 2,
      Many_To_One = 3
  }
  export enum SplitScreenTypeEnums {
      Entity = 1,
      Notes = 2,
      Page = 3,
      Reminders = 4
  }
  export enum UdpEnums {
      Udp_Note_Type = "UdpNoteType",
      Udp_Note_Template = "UdpNoteTemplate",
      Udp_Note = "UdpNote",
      Udp_Note_Filed_For = "UdpNoteFiledFor",
      Udp_Shortcut_Content = "UdpShortcutContent",
      Udp_Lookup = "UdpLookup",
      Udp_Reminder_Type = "UdpReminderType",
      Udp_Reminder_Template = "UdpReminderTemplate",
      Udp_Reminder = "UdpReminder",
      Udp_Reminder_Filed_For = "UdpReminderFiledFor"
  }
  export enum NodeGroupTypeEnums {
      Static = "static",
      Dynamic = "dynamic"
  }
  export enum NodeGroupOutlierEnums {
      Hide = "hide",
      Group = "group",
      Individual = "individual"
  }
  export enum LookupTypeIdEnums {
      Api = 1,
      Csv = 2,
      Domain = 3,
      Lookup = 4
  }
  export enum VisibilityTypeEnums {
      Private = 1,
      Public = 2
  }
  export enum SeverityTypeEnums {
      Success = "success",
      Error = "error",
      Warning = "warning",
      Info = "info",
      Default = "default"
  }
  export enum UdpKeywordEnums {
      Udp_Tenant_Id = "UDP_TENANT_ID",
      Udp_Product_Id = "UDP_PRODUCT_ID",
      Udp_Language_Id = "UDP_LANGUAGE_ID"
  }
  export const enum JobStatusIdMapping {
      PENDING = 1,
      IN_PROGRESS = 2,
      COMPLETED = 3,
      FAILED = 4
  }
  export const enum JobTypeIdMapping {
      IMPORT = 1,
      EXPORT = 2
  }
  export enum UdpReminderFiledForType {
      User = 1,
      System = 2
  }
  export enum DeviceTypeEnums {
      Desktop = 1,
      Tablet = 2,
      Mobile = 3
  }

}
declare module 'unity-fluent-library/hooks/crudActions' {
  export function useCrudActions(): {
      renderInputByForeignKey: (foreignKeyData: any, setFkData: any, crudTableFormData: any, schemaAttribute: any, index: any, isNewEntry: any, entityData: any, label?: string, manyToManyPropertyList?: Set<any>) => any;
      renderInputByFieldType: (schemaAttribute: any, index: any, attributes: any, fieldInfo: any, foreignKeyData: any, setFkData: any, crudTableFormData: any, classes: any, isNewEntry: any, entityData: any, manyToManyPropertyList: any) => any;
      getFKData: (fkMethods: any, setForeignKeyData: any, enqueueSnackbar: any, displayToasts: any) => Promise<void>;
  };

}
declare module 'unity-fluent-library/hooks/useActions' {
  export function useActions(): {
      setActionPanels: (actionPanels: any) => void;
      triggerAction: (actionId: any, actionData: any) => void;
      triggerMultipleActions: (actionIds: any) => void;
      setCatalogEntities: (catalogEntities: any) => void;
      setCatalogPromotedEntities: (catalogPromotedEntities: any) => void;
      setInquiryParams: (inquiryParams: any) => void;
      setShowInquiryHeaderActions: (showInquiryHeaderActions: any) => void;
      setMenuListState: (menuListState: any) => void;
      closeAllSplitScreens: () => void;
      openSplitScreen: (splitScreen: any) => void;
      openPageSplitScreen: (pageSplitScreen: any) => void;
      setApiCatalog: (catalog: any) => void;
      setActionLoading: (loading: any) => void;
  };
  export function useActionState(): null;

}
declare module 'unity-fluent-library/hooks/useApiCatalog' {
  export function useApiCatalog(apiCatalogId: any): {
      data: undefined;
      loading: boolean;
      error: undefined;
      promise: undefined;
  };

}
declare module 'unity-fluent-library/hooks/useDateLocale' {
  export const useDateLocale: (datetimeFormatOptions?: Intl.DateTimeFormatOptions | null, locale?: string | null) => {
      convertISOStringToLocalDateTime: (date: string) => string | null;
      convertISOStringToLocalDate: (date: string) => string | null;
      getISODate: () => string;
  };

}
declare module 'unity-fluent-library/hooks/useDynamicListCalculation' {
  export function useDynamicListCalculation(): object;

}
declare module 'unity-fluent-library/hooks/useFluentIcon' {
  export function useFluentIcon(iconName: any): {
      icon: React.FC<React.HTMLAttributes<HTMLSpanElement> & import("@fluentui/react-icons").ISvgIconProps> | null;
  };
  import React from "react";

}
declare module 'unity-fluent-library/hooks/useItemSubCard' {
  export function useItemSubCard(subCardsList: any): {
      SubCard: ({ cardInfo, ...rest }: {
          [x: string]: any;
          cardInfo: any;
      }, child: any) => JSX.Element;
      closeSubCard: () => void;
      setSubCardType: (cardType: any) => void;
      subCardType: string;
      getSubCardInfo: (subCardTypeStr: any) => {
          defaultColor: any;
          textColor: any;
          backgroundColor: any;
          icon: any;
      };
  };

}
declare module 'unity-fluent-library/hooks/useOutlook' {
  export function useOutlook(callbackUri: any, onLogin: any): {
      getAccessToken: () => Promise<any>;
      invalidateUserSession: () => Promise<null | undefined>;
      login: () => void;
      isUserSignedIn: () => boolean;
  };

}
declare module 'unity-fluent-library/hooks/usePromotedLookupMethods' {
  export function usePromotedLookupMethods(apiCatalogId: any, productId?: string | undefined): {
      data: undefined;
      loading: boolean;
      error: undefined;
  };

}
declare module 'unity-fluent-library/hooks/usePromotedMethodEntity' {
  export function usePromotedMethodEntity(entityName: any, compareSanitizedName: boolean | undefined, apiCatalogId: any, productId?: string | undefined): {
      data: undefined;
      loading: any;
      error: undefined;
  };

}
declare module 'unity-fluent-library/hooks/useQueryExecutors' {
  import ApiMethodInstance from 'unity-fluent-library/models/ApiMethodInstance';
  export const useQueryExecutors: () => {
      executeQueryInstanceAndMapLookups: (queryParams: any, apiMethodInstanceId: string | null | undefined, replaceCache: boolean | null | undefined, showSnackbars?: boolean | null | undefined) => Promise<any>;
      executeQueryInstanceWithObjectAndMapLookups: (queryParams: any, apiMethodInstance: ApiMethodInstance | null | undefined | any, replaceCache: boolean | null | undefined, showSnackbars?: boolean | null | undefined) => Promise<any>;
      executeQueryAdHocAndMapLookups: (searchObject: any, apiMethodId: string | null | undefined, lookupsMap: object | null | undefined, replaceCache: boolean | null | undefined, showSnackbars?: boolean | null | undefined) => Promise<any>;
      getCleanData: (data: any, lookupsMap: object | null | undefined) => any;
      getLookup: (lookupId: any) => any;
  };

}
declare module 'unity-fluent-library/hooks/useSearchFilterParamsMap' {
  export function useSearchFilterParamsMap(): {
      getParamsMap: (params?: any[], functionList?: any[]) => {};
      getQueryFilterElements: (apiMethodInstance: any, params?: any[]) => any[];
  };

}
declare module 'unity-fluent-library/hooks/useSplitDecimal' {
  export function useSplitDecimal(value: any, decimals?: number): {
      textValue: {
          mainLabel: any;
          decimalLabel?: undefined;
      } | {
          mainLabel: number;
          decimalLabel: string;
      };
  };

}
declare module 'unity-fluent-library/hooks/virtualActions' {
  export function useVirtualActions(): {
      renderInputByFieldType: (formField: any, index: any, virtualTableFormData: any, classes: any) => JSX.Element | null;
  };

}
declare module 'unity-fluent-library/index' {
  export * from 'unity-fluent-library/AGLicense';
  export * from 'unity-fluent-library/actions/ActionForm';
  export * from 'unity-fluent-library/actions/ActionModal';
  export * from 'unity-fluent-library/actions/ActionPanelPlacement';
  export * from 'unity-fluent-library/actions/ActionSideSheet';
  export * from 'unity-fluent-library/actions/ActionSpeedDial';
  export * from 'unity-fluent-library/actions/ActionSplitScreen';
  export * from 'unity-fluent-library/actions/ActionSummary/index';
  export * from 'unity-fluent-library/actions/ActionWrapper';
  export * from 'unity-fluent-library/actions/utils/actionUtils';
  export * from 'unity-fluent-library/assets/unityIcons/LibraryData';
  export * from 'unity-fluent-library/chatBot/ChatContainer';
  export * from 'unity-fluent-library/chatBot/ChatMessage';
  export * as formatDataWithTimelineCategoryNameOrderedByDate from 'unity-fluent-library/componentSystems/multiThreadTimeline/functions/mttFunctions';
  export * from 'unity-fluent-library/componentSystems/multiThreadTimeline/mttMainTimeline/MttMainTimeline';
  export * from 'unity-fluent-library/componentSystems/multiThreadTimeline/mttMainTimeline/MttTimeline';
  export * from 'unity-fluent-library/componentSystems/multiThreadTimeline/mttSummary/MttSummary';
  export * from 'unity-fluent-library/componentSystems/multiThreadTimeline/timeline';
  export * from 'unity-fluent-library/componentSystems/multiThreadTimeline/ui/TimelinePreloaderNode';
  export * from 'unity-fluent-library/componentSystems/pageRenderer/PageRenderer';
  export * from 'unity-fluent-library/containers/IframeContainer';
  export * from 'unity-fluent-library/contexts/ActionContext';
  export * from 'unity-fluent-library/contexts/ActionDispatchContext';
  export * from 'unity-fluent-library/contexts/usePageContext';
  export * from 'unity-fluent-library/dashboard/WidgetCard';
  export * from 'unity-fluent-library/dashboard/types';
  export * from 'unity-fluent-library/dataBrowser/forms/ParamsMappingForm';
  export * from 'unity-fluent-library/dataBrowser/forms/RequiredFieldsMappingForm';
  export * from 'unity-fluent-library/diffChecker/DiffChecker';
  export * from 'unity-fluent-library/enums/InputFieldTypeEnums';
  export * from 'unity-fluent-library/enums/pageEnums';
  export * from 'unity-fluent-library/enums/propertyTypeEnums';
  export * from 'unity-fluent-library/enums/unitySystemEnums';
  export * from 'unity-fluent-library/hooks/crudActions';
  export * from 'unity-fluent-library/hooks/useActions';
  export * from 'unity-fluent-library/hooks/useApiCatalog';
  export * from 'unity-fluent-library/hooks/useDynamicListCalculation';
  export * from 'unity-fluent-library/hooks/useFluentIcon';
  export * from 'unity-fluent-library/hooks/useItemSubCard';
  export * from 'unity-fluent-library/hooks/useOutlook';
  export * from 'unity-fluent-library/hooks/usePromotedLookupMethods';
  export * from 'unity-fluent-library/hooks/usePromotedMethodEntity';
  export * from 'unity-fluent-library/hooks/useQueryExecutors';
  export * from 'unity-fluent-library/hooks/useSearchFilterParamsMap';
  export * from 'unity-fluent-library/inquiry/AlertFlag';
  export * from 'unity-fluent-library/inquiry/AmbientListItem';
  export * from 'unity-fluent-library/inquiry/AmbientSplitStatCard';
  export * from 'unity-fluent-library/inquiry/AmbientSummaryListHeader';
  export * from 'unity-fluent-library/inquiry/ExecuteApiDialog';
  export * from 'unity-fluent-library/inquiry/FilterSearch';
  export * from 'unity-fluent-library/inquiry/FlagBlock';
  export * from 'unity-fluent-library/inquiry/InquiryContainer';
  export * from 'unity-fluent-library/inquiry/InquiryTreeMenu';
  export * from 'unity-fluent-library/inquiry/InquiryTreeMenuItem';
  export * from 'unity-fluent-library/inquiry/InquiryWrapper';
  export * from 'unity-fluent-library/inquiry/ItemDescription';
  export * from 'unity-fluent-library/inquiry/NodeColumnHeader';
  export * from 'unity-fluent-library/inquiry/NodeDetails';
  export * from 'unity-fluent-library/inquiry/NodeList';
  export * from 'unity-fluent-library/inquiry/dashboard/InquiryDashboard';
  export * from 'unity-fluent-library/inquiry/dashboard/RecentlyLoadedNodesTable';
  export * from 'unity-fluent-library/inquiry/inquiryBar/InquiryNodeControls';
  export * from 'unity-fluent-library/inquiry/search/InquiryAdvancedSearch';
  export * from 'unity-fluent-library/inquiry/search/InquiryAdvancedSearchForm';
  export * from 'unity-fluent-library/inquiry/search/InquirySearchContainer';
  export * from 'unity-fluent-library/inquiry/search/InquirySearchDatasource';
  export * from 'unity-fluent-library/inquiry/search/InquirySearchTable';
  export * from 'unity-fluent-library/layout/GridGroup';
  export * from 'unity-fluent-library/layout/GridRow';
  export * from 'unity-fluent-library/layout/GridUnit';
  export * from 'unity-fluent-library/layout/HeaderLayout';
  export * from 'unity-fluent-library/layout/LayoutUnit';
  export * from 'unity-fluent-library/layout/getRatio';
  export * from 'unity-fluent-library/layout/templates/SideBarTemplate';
  export * from 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudBrowserContainer';
  export * from 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableActionRender';
  export * from 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableColumnDefs';
  export * from 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableSidePanel';
  export * from 'unity-fluent-library/maintenanceEngine/tableBrowser/TableColumnDefs';
  export * from 'unity-fluent-library/maintenanceEngine/tableBrowser/TableContainer';
  export * from 'unity-fluent-library/map-library/Controls/Controls';
  export * from 'unity-fluent-library/map-library/Controls/FullScreenControl';
  export * from 'unity-fluent-library/map-library/Controls/ZoomControl';
  export * from 'unity-fluent-library/map-library/Layers/ImageLayer';
  export * from 'unity-fluent-library/map-library/Layers/Layers';
  export * from 'unity-fluent-library/map-library/Layers/TileLayer';
  export * from 'unity-fluent-library/map-library/Layers/VectorLayer';
  export * from 'unity-fluent-library/map-library/Map/Map';
  export * from 'unity-fluent-library/map-library/functions/mapFunctions';
  export * from 'unity-fluent-library/map-library/ui/MapFilterBar';
  export * from 'unity-fluent-library/map-library/ui/MapSheet';
  export * from 'unity-fluent-library/map-library/ui/TileDisplay';
  export * from 'unity-fluent-library/maps/GeoMap';
  export * from 'unity-fluent-library/maps/leafletMaps/FluentImageMap';
  export * from 'unity-fluent-library/maps/leafletMaps/FluentMap';
  export * from 'unity-fluent-library/models/SearchOperator';
  export * from 'unity-fluent-library/notes/NotesScreen';
  export * from 'unity-fluent-library/page/Page';
  export * from 'unity-fluent-library/page/PageContainer';
  export * from 'unity-fluent-library/page/PageContent';
  export * from 'unity-fluent-library/page/PageHeader';
  export * from 'unity-fluent-library/page/PageSectionHeader';
  export * from 'unity-fluent-library/page/PageSectionSpacer';
  export * from 'unity-fluent-library/reminders/RemindersScreen';
  export * from 'unity-fluent-library/reports/PowerBIReport';
  export * from 'unity-fluent-library/routes/UdpRoutes';
  export * from 'unity-fluent-library/shell/Shell';
  export * from 'unity-fluent-library/shell/ui/AmbientProjectSwitcher';
  export * from 'unity-fluent-library/shell/ui/FluentProfileMenuCard';
  export * from 'unity-fluent-library/shell/ui/SiteHeaderRightComponent';
  export * from 'unity-fluent-library/stores/catalogStore';
  export * from 'unity-fluent-library/stores/lookupsStore';
  export * from 'unity-fluent-library/stores/shellStore';
  export * from 'unity-fluent-library/udp/pages/UdpMaintenanceEnginePage';
  export * from 'unity-fluent-library/udp/pages/udpPages';
  export * from 'unity-fluent-library/udp/utilities/methodUtils';
  export * from 'unity-fluent-library/UI/AlertContainer';
  export * from 'unity-fluent-library/UI/SuccessAction';
  export * from 'unity-fluent-library/UI/accordion/Accordion';
  export * from 'unity-fluent-library/UI/components/dataDisplay/Ellipse';
  export * from 'unity-fluent-library/UI/components/dataDisplay/Sticky';
  export * from 'unity-fluent-library/UI/components/dataDisplay/Token';
  export * from 'unity-fluent-library/UI/components/feedback/Adornment';
  export * from 'unity-fluent-library/UI/containers/DynamicContainerWithMenu';
  export * from 'unity-fluent-library/UI/dataDisplay/AvatarAlphabet';
  export * from 'unity-fluent-library/UI/dataDisplay/ChipAlphabet';
  export * from 'unity-fluent-library/UI/dataDisplay/CompactDataList';
  export * from 'unity-fluent-library/UI/dataDisplay/CompactDataListItem';
  export * from 'unity-fluent-library/UI/dataDisplay/FluentActivity/FluentActivity';
  export * from 'unity-fluent-library/UI/dataDisplay/FluentActivity/FluentActivityRow';
  export * from 'unity-fluent-library/UI/dataDisplay/FluentListElement';
  export * from 'unity-fluent-library/UI/dataDisplay/FluentListItem';
  export * from 'unity-fluent-library/UI/dataDisplay/GraphCard';
  export * from 'unity-fluent-library/UI/dataDisplay/HeaderExpander';
  export * from 'unity-fluent-library/UI/dataDisplay/StatusChip';
  export * from 'unity-fluent-library/UI/dataDisplay/StatusFlags';
  export * from 'unity-fluent-library/UI/dataDisplay/SummaryBlock';
  export * from 'unity-fluent-library/UI/dataDisplay/address/AddressListItem';
  export * from 'unity-fluent-library/UI/dataDisplay/directory/Directory';
  export * from 'unity-fluent-library/UI/dataDisplay/directory/DirectoryListItem';
  export * from 'unity-fluent-library/UI/dataDisplay/entityHeader/EntityHeader';
  export * from 'unity-fluent-library/UI/dataDisplay/map/ColorKey';
  export * from 'unity-fluent-library/UI/dataDisplay/map/IconKey';
  export * from 'unity-fluent-library/UI/dataDisplay/notes/Note';
  export * from 'unity-fluent-library/UI/dataDisplay/notes/Notes';
  export * from 'unity-fluent-library/UI/dataDisplay/ticketCard/NotificationElement';
  export * from 'unity-fluent-library/UI/dataDisplay/ticketCard/StatusLineItem';
  export * from 'unity-fluent-library/UI/dataDisplay/ticketCard/TicketCard';
  export * from 'unity-fluent-library/UI/dataDisplay/typography/FormHeaders';
  export * from 'unity-fluent-library/UI/dataDisplay/typography/SideSheetHeader';
  export * from 'unity-fluent-library/UI/dataDisplay/typography/StandardTitle';
  export * from 'unity-fluent-library/UI/dataDisplay/typography/StylizedTitle';
  export * from 'unity-fluent-library/UI/dataDisplay/visualization/AmbientVisualizer';
  export * from 'unity-fluent-library/UI/feedback/AmbientAlert';
  export * from 'unity-fluent-library/UI/feedback/AmbientToast';
  export * from 'unity-fluent-library/UI/feedback/FluentDialog';
  export * from 'unity-fluent-library/UI/feedback/NodeLoader';
  export * from 'unity-fluent-library/UI/feedback/PageLoading';
  export * from 'unity-fluent-library/UI/floorplans/CoreLayoutFloorplan';
  export * from 'unity-fluent-library/UI/forms/CrudForm';
  export * from 'unity-fluent-library/UI/forms/LoginForm';
  export * from 'unity-fluent-library/UI/forms/UdpCrudFormFields';
  export * from 'unity-fluent-library/UI/inputs/buttons/AdvanceButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/AmbientCardButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/AmbientPopoverMenuItem';
  export * from 'unity-fluent-library/UI/inputs/buttons/AmbientToggleButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/AmbientToggleButtonGroup';
  export * from 'unity-fluent-library/UI/inputs/buttons/AmbientTokenButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentCompoundButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentIconButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentMenuListButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentUploadButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/FluentUploadIconButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/IconButtonWithToolTip';
  export * from 'unity-fluent-library/UI/inputs/buttons/PrimaryActionButton';
  export * from 'unity-fluent-library/UI/inputs/buttons/ToolBarButton';
  export * from 'unity-fluent-library/UI/inputs/checkbox/FluentCheckbox';
  export * from 'unity-fluent-library/UI/inputs/datetimes/DateField';
  export * from 'unity-fluent-library/UI/inputs/datetimes/DateTimeField';
  export * from 'unity-fluent-library/UI/inputs/datetimes/TimeField';
  export * from 'unity-fluent-library/UI/inputs/link/BreadCrumbMenu';
  export * from 'unity-fluent-library/UI/inputs/link/FluentLink';
  export * from 'unity-fluent-library/UI/inputs/menus/AmbientStepper/AmbientStepContent';
  export * from 'unity-fluent-library/UI/inputs/menus/AmbientStepper/AmbientStepper';
  export * from 'unity-fluent-library/UI/inputs/menus/FluentSelectDirectoryMenu';
  export * from 'unity-fluent-library/UI/inputs/menus/FluentSelectGroupMenu';
  export * from 'unity-fluent-library/UI/inputs/menus/FluentSelectMenu';
  export * from 'unity-fluent-library/UI/inputs/menus/FluentSimpleSelect';
  export * from 'unity-fluent-library/UI/inputs/pickers/FluentColorPicker';
  export * from 'unity-fluent-library/UI/inputs/pickers/FluentDatePicker';
  export * from 'unity-fluent-library/UI/inputs/pickers/FluentTimePicker';
  export * from 'unity-fluent-library/UI/inputs/pickers/UdpDateSelector';
  export * from 'unity-fluent-library/UI/inputs/pickers/UdpTimeSelector';
  export * from 'unity-fluent-library/UI/inputs/richEditors/CkRichEditor';
  export * from 'unity-fluent-library/UI/inputs/textField/AmbientTextField';
  export * from 'unity-fluent-library/UI/inputs/textField/FluentSearchField';
  export * from 'unity-fluent-library/UI/inputs/textField/FluentTagField';
  export * from 'unity-fluent-library/UI/inputs/textField/FluentTextField';
  export * from 'unity-fluent-library/UI/inputs/textField/FluentTextFieldAutoComplete';
  export * from 'unity-fluent-library/UI/inputs/toggle/FluentToggle';
  export * from 'unity-fluent-library/UI/loading/LoadingIndicator';
  export * from 'unity-fluent-library/UI/mapLayout/MapLayout';
  export * from 'unity-fluent-library/UI/mapLayout/ui/CheckboxGroup';
  export * from 'unity-fluent-library/UI/mapLayout/ui/CheckboxList';
  export * from 'unity-fluent-library/UI/mapLayout/ui/CompactCard';
  export * from 'unity-fluent-library/UI/mapLayout/ui/ListCard';
  export * from 'unity-fluent-library/UI/mapLayout/ui/PopoverCard';
  export * from 'unity-fluent-library/UI/mapLayout/ui/Statistic';
  export * from 'unity-fluent-library/UI/navigation/FluentSideNav';
  export * from 'unity-fluent-library/UI/navigation/menus/AppMenu';
  export * from 'unity-fluent-library/UI/navigation/menus/AppMenuItem';
  export * from 'unity-fluent-library/UI/navigation/menus/AppMenuItemComponent';
  export * from 'unity-fluent-library/UI/navigation/menus/Expander';
  export * from 'unity-fluent-library/UI/navigation/menus/FluentMenuListItem';
  export * from 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentSimpleTab';
  export * from 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentSimpleTabs';
  export * from 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentTabPanel';
  export * from 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentTabUtility';
  export * from 'unity-fluent-library/UI/property/PropertyFields';
  export * as AutoCompletePropertyWidget from 'unity-fluent-library/UI/property/widgets/AutoCompletePropertyWidget';
  export * as BooleanPropertyWidget from 'unity-fluent-library/UI/property/widgets/BooleanPropertyWidget';
  export * as DatePropertyWidget from 'unity-fluent-library/UI/property/widgets/DatePropertyWidget';
  export * as DateTimePropertyWidget from 'unity-fluent-library/UI/property/widgets/DateTimePropertyWidget';
  export * as FloatPropertyWidget from 'unity-fluent-library/UI/property/widgets/FloatPropertyWidget';
  export * as IntegerPropertyWidget from 'unity-fluent-library/UI/property/widgets/IntegerPropertyWidget';
  export * as MultilineTextPropertyWidget from 'unity-fluent-library/UI/property/widgets/MultilineTextPropertyWidget';
  export * as NumericPropertyWidget from 'unity-fluent-library/UI/property/widgets/NumericPropertyWidget';
  export * as SelectPropertyWidget from 'unity-fluent-library/UI/property/widgets/SelectPropertyWidget';
  export * as TextPropertyWidget from 'unity-fluent-library/UI/property/widgets/TextPropertyWidget';
  export * as TimePropertyWidget from 'unity-fluent-library/UI/property/widgets/TimePropertyWidget';
  export * from 'unity-fluent-library/UI/surfaces/NestedGrid/NestedGrid';
  export * from 'unity-fluent-library/UI/surfaces/NestedGrid/ui/ExpandRenderer';
  export * from 'unity-fluent-library/UI/surfaces/SideSheet';
  export * from 'unity-fluent-library/UI/surfaces/cards/AmbientCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/AmbientCardTitle';
  export * from 'unity-fluent-library/UI/surfaces/cards/AmbientVisualizationCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/BioCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/FluentCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/FluentCardActions';
  export * from 'unity-fluent-library/UI/surfaces/cards/FluentCardContent';
  export * from 'unity-fluent-library/UI/surfaces/cards/InfoCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/QuickViewCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/newsCard/NewsCard';
  export * from 'unity-fluent-library/UI/surfaces/cards/workOrderCard/WorkOrderCard';
  export * from 'unity-fluent-library/UI/templates/AmbientGridTemplate';
  export * from 'unity-fluent-library/UI/templates/UdpGridTemplate';
  export * from 'unity-fluent-library/UI/templates/DraggableSidebarTemplate';
  export * from 'unity-fluent-library/UI/templates/OpenPage';
  export * from 'unity-fluent-library/UI/templates/SapFlexibleTemplate';
  export * from 'unity-fluent-library/UI/templates/ToggleSection';
  export * from 'unity-fluent-library/UI/templates/ui/ExtenderToggle';
  export * from 'unity-fluent-library/UI/templates/ui/GridGroupingHeader';
  export * from 'unity-fluent-library/UI/templates/ui/GridGroupingSidebar';
  export * from 'unity-fluent-library/UI/templates/ui/GridSidebarContainer';
  export * from 'unity-fluent-library/UI/templates/ui/TokenGroupItem';
  export * from 'unity-fluent-library/UI/templates/ui/renderers/ActionsRenderer';
  export * from 'unity-fluent-library/UI/templates/ui/renderers/IconRenderer';
  export * from 'unity-fluent-library/UI/timeline/TimeLine';
  export * from 'unity-fluent-library/UI/utilityDisplay/GridActionBar';
  export * from 'unity-fluent-library/UI/utilityDisplay/UtilityBar';
  export * from 'unity-fluent-library/UI/utilityDisplay/utilityHeader/PrimaryActionHeader';
  export * from 'unity-fluent-library/UI/utilityDisplay/utilityHeader/UtilityTabHeader';
  export * from 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHAdditionalRightComponent';
  export * from 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHAdditionalTitleComponent';
  export * from 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHExport';
  export * from 'unity-fluent-library/UI/widgets/ItemsWidgetCard';
  export * as BarChartWidget from 'unity-fluent-library/UI/widgets/library/BarChartWidget';
  export * as BubbleWidget from 'unity-fluent-library/UI/widgets/library/BubbleWidget';
  export * from 'unity-fluent-library/UI/widgets/library/CircleGaugeWidget';
  export * as DateTrendWidget from 'unity-fluent-library/UI/widgets/library/DateTrendWidget';
  export * as DensePlotWidget from 'unity-fluent-library/UI/widgets/library/DensePlotWidget';
  export * as DonutChartWidget from 'unity-fluent-library/UI/widgets/library/DonutChartWidget';
  export * from 'unity-fluent-library/UI/widgets/library/GaugeWidget';
  export * as LineAndSparklinesWidget from 'unity-fluent-library/UI/widgets/library/LineAndSparklinesWidget';
  export * as LineGraphWidget from 'unity-fluent-library/UI/widgets/library/LineGraphWidget';
  export * as ProgressBarWidget from 'unity-fluent-library/UI/widgets/library/ProgressBarWidget';
  export * as RecentlyLoadedNodesWidget from 'unity-fluent-library/UI/widgets/library/RecentlyLoadedNodesWidget';
  export * as RemindersWidget from 'unity-fluent-library/UI/widgets/library/RemindersWidget';
  export * as SparklineWidget from 'unity-fluent-library/UI/widgets/library/SparklineWidget';
  export * as SparsePlotWidget from 'unity-fluent-library/UI/widgets/library/SparsePlotWidget';
  export * from 'unity-fluent-library/uploader/DragDropFileUpload';
  export * from 'unity-fluent-library/uploader/FileUpload';
  export * from 'unity-fluent-library/utilities/FluentIcon';
  export * from 'unity-fluent-library/utilities/TrimForAvatar';
  export * from 'unity-fluent-library/utilities/UnityFluentIcon';
  export * from 'unity-fluent-library/utilities/UnityIcon';
  export * from 'unity-fluent-library/utilities/aggrid/AgTable';
  export * from 'unity-fluent-library/utilities/aggrid/GridFunctions';
  export * from 'unity-fluent-library/utilities/aggrid/aggridHelpers';
  export * from 'unity-fluent-library/utilities/aggrid/datasources/SearchServiceDatasource';
  export * from 'unity-fluent-library/utilities/apiHelpers';
  export * from 'unity-fluent-library/utilities/auth/AuthProvider';
  export * from 'unity-fluent-library/utilities/auth/AuthProviderWrapper';
  export * from 'unity-fluent-library/utilities/auth/LocalAuthProvider';
  export * from 'unity-fluent-library/utilities/auth/authActions';
  export * from 'unity-fluent-library/utilities/auth/internal';
  export * from 'unity-fluent-library/utilities/auth/signInAuthProvider';
  export * from 'unity-fluent-library/utilities/auth/useAccessToken';
  export * from 'unity-fluent-library/utilities/auth/useAuthedUser';
  export * from 'unity-fluent-library/utilities/auth/useIsUnityAuthenticated';
  export * from 'unity-fluent-library/utilities/auth/useSingleLogout';
  export * from 'unity-fluent-library/utilities/auth/useUser';
  export * from 'unity-fluent-library/utilities/auth/user';
  export * from 'unity-fluent-library/utilities/auth/users';
  export * from 'unity-fluent-library/utilities/axiosInterceptors';
  export * from 'unity-fluent-library/utilities/crud/useDefaultFormValues';
  export * from 'unity-fluent-library/utilities/entities/entityUtilities';
  export * from 'unity-fluent-library/utilities/floorplanFunctions/gridVisualizationFunctions';
  export * from 'unity-fluent-library/utilities/form/AltSubmitButton';
  export * from 'unity-fluent-library/utilities/form/Field';
  export * from 'unity-fluent-library/utilities/form/Form';
  export * from 'unity-fluent-library/utilities/form/FormButtons';
  export * from 'unity-fluent-library/utilities/form/FormError';
  export * from 'unity-fluent-library/utilities/form/FormSpy';
  export * from 'unity-fluent-library/utilities/form/SubmitButton';
  export * from 'unity-fluent-library/utilities/form/formhooks/index';
  export * from 'unity-fluent-library/utilities/form/paymentForm/PaymentForm';
  export * from 'unity-fluent-library/utilities/form/useFieldChangeListener';
  export * from 'unity-fluent-library/utilities/iconLibrary/IconLibrary';
  export * from 'unity-fluent-library/utilities/iconLibrary/UnityIconLibrary';
  export * from 'unity-fluent-library/utilities/input/DateUtilities';
  export * from 'unity-fluent-library/utilities/input/SelectUtilities';
  export * from 'unity-fluent-library/utilities/input/StringUtilities';
  export * from 'unity-fluent-library/utilities/maintenanceEngine/CrudBrowserUtilities';
  export * from 'unity-fluent-library/utilities/menus/menuUtilities';
  export * from 'unity-fluent-library/utilities/page/PageSubHeaderAction';
  export * from 'unity-fluent-library/utilities/provider/ActionProvider';
  export * from 'unity-fluent-library/utilities/redirect/ExternalRedirectUrlStorage';
  export * from 'unity-fluent-library/utilities/redirect/LocalRedirectUrlStorage';
  export * from 'unity-fluent-library/utilities/redirect/pages/OutlookCallback';
  export * from 'unity-fluent-library/utilities/rules/RuleUtilities';
  export * from 'unity-fluent-library/utilities/search/SearchUtilities';
  export * from 'unity-fluent-library/utilities/storage/UnitySessionStorage';
  export * from 'unity-fluent-library/utilities/style/ContentContainer';
  export * from 'unity-fluent-library/utilities/style/colors';
  export * from 'unity-fluent-library/utilities/style/verticalStyles';
  export * from 'unity-fluent-library/utilities/systemColors';
  export * from 'unity-fluent-library/utilities/theme';
  export * from 'unity-fluent-library/utilities/tree/TreeUtilities';
  export * from 'unity-fluent-library/utilities/uploader/FileUpload';
  export * from 'unity-fluent-library/utilities/uploader/formatBytes';
  export * from 'unity-fluent-library/utilities/useAxiosGet';
  export * from 'unity-fluent-library/utilities/useAxiosMutate';
  export * from 'unity-fluent-library/utilities/utilityBar/InquiryHeaderControl';
  export * from 'unity-fluent-library/utilities/utilityBar/InquiryHeaderSecondary';
  export * from 'unity-fluent-library/utilities/utilityBar/InquiryHeaderSecondaryAlert';
  export * from 'unity-fluent-library/utilities/utilityBar/InquiryHeaderTitle';
  export * from 'unity-fluent-library/utilities/utilityBar/SubHeaderAction';
  export * from 'unity-fluent-library/utilities/utilityBar/UtilityBarInport';
  export * from 'unity-fluent-library/UI/inputs/textField/AmbientAutoComplete';
  export * from 'unity-fluent-library/hooks/useDateLocale';
  export * from 'unity-fluent-library/UI/inputs/calendar/AmbientDateRangeSelector';
  export * from 'unity-fluent-library/UI/inputs/calendar/AmbientSingleDateSelector';
  export * from 'unity-fluent-library/UI/dataDisplay/AmbientList';
  export * from 'unity-fluent-library/UI/dataDisplay/EmptyStateDisplay';
  export * from 'unity-fluent-library/UI/timeline/fluentTimeline/FluentTimeline';
  export * from 'unity-fluent-library/UI/navigation/tabs/UdpTabs';
  export * from 'unity-fluent-library/UI/navigation/tabs/UdpTabPanel';
  export * from 'unity-fluent-library/UI/navigation/tabs/UdpTabUtility';
  export * from 'unity-fluent-library/UI/dataDisplay/typography/Typography';
  export * from 'unity-fluent-library/UI/inputs/radio/FluentRadio';
  export * from 'unity-fluent-library/UI/inputs/radio/FluentRadioGroup';
  export * from 'unity-fluent-library/UI/loading/CircularProgress';
  export * from 'unity-fluent-library/UI/loading/LinearProgress';
  export * from 'unity-fluent-library/utilities/auth/whitelistedPaths';
  export * from 'unity-fluent-library/udp/pages/UdpPublicForm';
  export * from 'unity-fluent-library/UI/Box';
  export * from 'unity-fluent-library/UI/Grid';
  export * from 'unity-fluent-library/UI/dataDisplay/FluentDataTable/FluentDataTable/index';
  export * from 'unity-fluent-library/routes/PrivateRoute';
  export * from 'unity-fluent-library/routes/components/PageStatus';
  export * from 'unity-fluent-library/routes/components/PageNotFoundRoute';
  export * from 'unity-fluent-library/utilities/tenant/useTenant';
  export * from 'unity-fluent-library/UI/dataDisplay/visualization/amCharts/AmChart';
  export * from 'unity-fluent-library/UI/dataDisplay/Calendar';
  export * from 'unity-fluent-library/UI/fileViewer/FileViewer';

}
declare module 'unity-fluent-library/index.test' {
  export {};

}
declare module 'unity-fluent-library/inquiry/AlertFlag' {
  export function AlertFlag(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/AmbientListItem' {
  export function AmbientListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/AmbientSplitStatCard' {
  export function AmbientSplitStatCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/AmbientSummaryListHeader' {
  export function AmbientSummaryListHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/dashboard/InquiryDashboard' {
  export function InquiryDashboard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/dashboard/RecentlyLoadedNodesTable' {
  export function RecentlyLoadedNodesTable(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/EmbeddedInquiry' {
  export default EmbeddedInquiry;
  function EmbeddedInquiry(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/ExecuteApiDialog' {
  export function ExecuteApiDialog(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/FilterSearch' {
  export function FilterSearch({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/FlagBlock' {
  export function FlagBlock(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/inquiryBar/InquiryControlList' {
  export function InquiryControlList({ remove, expandAll, collapseAll, moveToTop, clearAll, switchTreeViewMode, treeViewMode, hiddenControls, classes: classProps }: {
      remove: any;
      expandAll: any;
      collapseAll: any;
      moveToTop: any;
      clearAll: any;
      switchTreeViewMode: any;
      treeViewMode: any;
      hiddenControls?: any[] | undefined;
      classes: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/inquiryBar/InquiryNodeControls' {
  export function InquiryNodeControls(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/InquiryContainer' {
  export function InquiryContainer(props: any): JSX.Element;
  export namespace InquiryContainer {
      namespace propTypes {
          const user: PropTypes.Requireable<object>;
          const shellContext: PropTypes.Requireable<object>;
          const litnHistory: PropTypes.Requireable<any[]>;
          const litnHistoryLoading: PropTypes.Requireable<boolean>;
          const tree: PropTypes.Requireable<object>;
          const treeId: PropTypes.Requireable<string>;
          const catalogObjects: PropTypes.Requireable<any[]>;
          const executeQueryAdHoc: PropTypes.Requireable<(...args: any[]) => any>;
          const executeQueryWithParameters: PropTypes.Requireable<(...args: any[]) => any>;
          const executeGetDetailedTree: PropTypes.Requireable<(...args: any[]) => any>;
          const executeAddRecentlyLoadedNodes: PropTypes.Requireable<(...args: any[]) => any>;
          const treeLoading: PropTypes.Requireable<boolean>;
          const treeError: PropTypes.Requireable<object>;
          const pageData: PropTypes.Requireable<object>;
          const pageLoading: PropTypes.Requireable<boolean>;
          const pageError: PropTypes.Requireable<object>;
          const setPageId: PropTypes.Requireable<(...args: any[]) => any>;
          const pageId: PropTypes.Requireable<string>;
          const isValidWidget: PropTypes.Requireable<(...args: any[]) => any>;
          const productId: PropTypes.Requireable<string>;
          const initialSearchValue: PropTypes.Requireable<string>;
          const promotedEntities: PropTypes.Requireable<any[]>;
          const promotedMethods: PropTypes.Requireable<any[]>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/inquiry/InquiryTreeMenu' {
  export function InquiryTreeMenu(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/inquiry/InquiryTreeMenuItem' {
  export function InquiryTreeMenuItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/InquiryWrapper' {
  export function InquiryWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/ItemDescription' {
  export function ItemDescription(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/NodeColumnHeader' {
  export function NodeColumnHeader({ children, toggleView, expanded }: {
      children: any;
      toggleView: any;
      expanded: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/NodeDetails' {
  export function NodeDetails(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/NodeList' {
  export function NodeList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/search/InquiryAdvancedSearch' {
  export function InquiryAdvancedSearch(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/search/InquiryAdvancedSearchForm' {
  export function InquiryAdvancedSearchForm(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/search/InquirySearchContainer' {
  export function InquirySearchContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/search/InquirySearchDatasource' {
  export function InquirySearchDatasource(queryData: any, apiMethodId: any, searchFilterElements: any, logicalSearchOperator: any, executeQuery: any): {
      getRows(params: any): Promise<void>;
  };

}
declare module 'unity-fluent-library/inquiry/search/InquirySearchTable' {
  export function InquirySearchTable(props: any): JSX.Element;

}
declare module 'unity-fluent-library/inquiry/ToggleButton' {
  export function ToggleButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/layout/getRatio' {
  export function getRatio(ratio: any): number[];

}
declare module 'unity-fluent-library/layout/GridGroup' {
  export function GridGroup({ col1, col2, col3, col4, col5, col6, ratio, highlight }: {
      col1: any;
      col2: any;
      col3: any;
      col4: any;
      col5: any;
      col6: any;
      ratio: any;
      highlight: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/layout/GridRow' {
  export function GridRow({ children, highlight, className }: {
      children: any;
      highlight: any;
      className: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/layout/GridUnit' {
  export function GridUnit(props: any): JSX.Element;

}
declare module 'unity-fluent-library/layout/HeaderLayout' {
  export function HeaderLayout({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/layout/LayoutUnit' {
  import React from 'react';
  export const LayoutUnit: React.FC<any>;

}
declare module 'unity-fluent-library/layout/templates/SideBarTemplate' {
  export function SideBarTemplate({ children, sidebar }: {
      children: any;
      sidebar: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudBrowserContainer' {
  export function CrudBrowserContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableActionRender' {
  export default CrudTableActionRender;
  function CrudTableActionRender(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableColumnDefs' {
  export function CrudTableColumnDefs(entityAttributes: any, actionList: any, isServerSide: any, columnName?: string, crudTableActionRenderName?: string, panelDirection?: string): any;
  export namespace defaultColActionsDef {
      const resizable: boolean;
      const editable: boolean;
      const sortable: boolean;
      const filter: boolean;
      const floatingFilter: boolean;
      const enableRowGroup: boolean;
  }

}
declare module 'unity-fluent-library/maintenanceEngine/crudBrowser/CrudTableSidePanel' {
  export function CrudTableSidePanel(props: any): JSX.Element;
  export namespace CrudTableSidePanel {
      namespace propTypes {
          const entityAttributes: PropTypes.Requireable<any[]>;
          const foreignKeyData: PropTypes.Requireable<any[]>;
          const crudTableEditionData: PropTypes.Requireable<any[]>;
          const closeSideSheet: PropTypes.Requireable<(...args: any[]) => any>;
          const onCreate: PropTypes.Requireable<(...args: any[]) => any>;
          const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/maintenanceEngine/entityAttributeActions' {
  export const UDP_LOOKUP_ENTITY_ATTRIBUTES_TO_HIDE: string[];

}
declare module 'unity-fluent-library/maintenanceEngine/tableBrowser/TableColumnDefs' {
  export function TableColumnDefs(actionList: any): ({
      headerName: string;
      field: string;
      valueGetter: (params: any) => any;
      wrapText: boolean;
      autoHeight: boolean;
      sortable: boolean;
      filter?: undefined;
      pinned?: undefined;
      cellRenderer?: undefined;
      width?: undefined;
      cellRendererParams?: undefined;
      maxWidth?: undefined;
      suppressMenu?: undefined;
      cellStyle?: undefined;
  } | {
      headerName: string;
      filter: boolean;
      pinned: string;
      cellRenderer: string;
      width: number;
      cellRendererParams: {
          actionList: any;
      };
      valueGetter: (params: any) => any;
      maxWidth: number;
      suppressMenu: boolean;
      sortable: boolean;
      cellStyle: {
          display: string;
          alignItems: string;
      };
      field?: undefined;
      wrapText?: undefined;
      autoHeight?: undefined;
  })[];
  export namespace defaultColumnActionsDef {
      const resizable: boolean;
      const editable: boolean;
      const sortable: boolean;
      const filter: boolean;
      const floatingFilter: boolean;
      const enableRowGroup: boolean;
  }

}
declare module 'unity-fluent-library/maintenanceEngine/tableBrowser/TableContainer' {
  export function TableContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maintenanceEngine/virtualBrowser/VirtualBrowser' {
  export function VirtualBrowser(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maintenanceEngine/virtualBrowser/VirtualTableColumnDefs' {
  export function VirtualTableColumnDefs(tableDescription: any, actionList: any, columnName?: string, crudTableActionRenderName?: string, panelDirection?: string): any;
  export namespace defaultColActionsDef {
      const resizable: boolean;
      const editable: boolean;
      const sortable: boolean;
      const filter: boolean;
      const floatingFilter: boolean;
      const enableRowGroup: boolean;
  }

}
declare module 'unity-fluent-library/maintenanceEngine/virtualBrowser/VirtualTableSidePanel' {
  export function VirtualTableSidePanel(props: any): JSX.Element;
  export namespace VirtualTableSidePanel {
      namespace propTypes {
          const tableDescription: PropTypes.Requireable<any[]>;
          const crudTableEditionData: PropTypes.Requireable<any[]>;
          const closeSideSheet: PropTypes.Requireable<(...args: any[]) => any>;
          const onCreate: PropTypes.Requireable<(...args: any[]) => any>;
          const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/map-library/Controls/Controls' {
  export function Controls({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/map-library/Controls/FullScreenControl' {
  export function FullScreenControl(): null;

}
declare module 'unity-fluent-library/map-library/Controls/index' {
  export { Controls, FullScreenControl, ZoomControl };

}
declare module 'unity-fluent-library/map-library/Controls/ZoomControl' {
  export function ZoomControl(props: any): null;

}
declare module 'unity-fluent-library/map-library/functions/mapFunctions' {
  export function useControlZoom(initial: any): any[];
  export function usePosition(initial: any): any[];

}
declare module 'unity-fluent-library/map-library/geoLocation/FreeFormField' {
  export function FreeFormField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/geoLocation/GeoLocation' {
  export default GeoLocation;
  function GeoLocation(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/Layers/ImageLayer' {
  export function ImageLayer({ source, zIndex }: {
      source: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/map-library/Layers/index' {
  export { Layers, VectorLayer, TileLayer, ImageLayer };

}
declare module 'unity-fluent-library/map-library/Layers/Layers' {
  export function Layers({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/map-library/Layers/TileLayer' {
  export function TileLayer({ source, zIndex }: {
      source: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/map-library/Layers/VectorLayer' {
  export function VectorLayer({ source, style, zIndex, ...otherProps }: {
      [x: string]: any;
      source: any;
      style: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/map-library/Map/index' {
  export {};

}
declare module 'unity-fluent-library/map-library/Map/Map' {
  export function Map({ children, zoom, center, projection, addInteractions, sendSelected, sendType, SelectedPin, changeLat, changeLong, setPosition, width, height, addressBar, popoverOverlayProps, additionalOnclickFeature, popoverRef, setSelectInteraction, setPopoverOverlay, setMapObject }: {
      children: any;
      zoom: any;
      center: any;
      projection: any;
      addInteractions: any;
      sendSelected: any;
      sendType: any;
      SelectedPin: any;
      changeLat: any;
      changeLong: any;
      setPosition: any;
      width: any;
      height: any;
      addressBar: any;
      popoverOverlayProps: any;
      additionalOnclickFeature: any;
      popoverRef: any;
      setSelectInteraction: any;
      setPopoverOverlay: any;
      setMapObject: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/map-library/Map/MapContext' {
  export default MapContext;
  const MapContext: any;

}
declare module 'unity-fluent-library/map-library/Source/index' {
  import vector from "unity-fluent-library/map-library/Source/vector";
  import xyz from "unity-fluent-library/map-library/Source/xyz";
  import osm from "unity-fluent-library/map-library/Source/osm";
  export { vector, xyz, osm };

}
declare module 'unity-fluent-library/map-library/Source/osm' {
  export default osm;
  function osm(): olSource.OSM;
  import * as olSource from "ol/source";

}
declare module 'unity-fluent-library/map-library/Source/vector' {
  export default vector;
  function vector({ features }: {
      features: any;
  }): VectorSource<import("ol/Feature").default<import("ol/geom/Geometry").default>>;
  import { Vector as VectorSource } from "ol/source";

}
declare module 'unity-fluent-library/map-library/Source/xyz' {
  export default xyz;
  function xyz({ url, attributions, maxZoom }: {
      url: any;
      attributions: any;
      maxZoom: any;
  }): olSource.XYZ;
  import * as olSource from "ol/source";

}
declare module 'unity-fluent-library/map-library/ui/ControlZoom' {
  export default ControlZoom;
  function ControlZoom(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/Filter' {
  export default Filter;
  function Filter(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/FilterOptions' {
  export default FilterOptions;
  function FilterOptions(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/LocationPin' {
  export default LocationPin;
  function LocationPin(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/MapControls' {
  export default MapControls;
  function MapControls(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/MapControlsStandard' {
  export default MapControlsStandard;
  function MapControlsStandard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/MapFilterBar' {
  export function MapFilterBar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/MapSheet' {
  export function MapSheet(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/Position' {
  export default Position;
  function Position(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/TileDisplay' {
  export function TileDisplay(props: any): JSX.Element;

}
declare module 'unity-fluent-library/map-library/ui/ToggleViewType' {
  export default ToggleViewType;
  function ToggleViewType(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/GeoMap' {
  export function GeoMap(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/leafletMaps/FluentImageMap' {
  export function FluentImageMap({ onClick, coordinates, bounds, style, dragging, doubleClickZoom, scrollWheelZoom, attributionControl, zoomControl, IconComponent, MapTile }: {
      onClick: any;
      coordinates: any;
      bounds: any;
      style: any;
      dragging?: boolean | undefined;
      doubleClickZoom?: boolean | undefined;
      scrollWheelZoom?: boolean | undefined;
      attributionControl?: boolean | undefined;
      zoomControl?: boolean | undefined;
      IconComponent: any;
      MapTile: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maps/leafletMaps/FluentMap' {
  export function FluentMap({ onClick, onMouseOver, onMouseOut, data, IconComponent, bounds, style, centerCoordinates, zoom, dragging, doubleClickZoom, scrollWheelZoom, attributionControl, zoomControl, highlightMarkersOnClick, PopupComponent, children, useDefaultMarker, useMarkerClustering }: {
      onClick: any;
      onMouseOver: any;
      onMouseOut: any;
      data: any;
      IconComponent: any;
      bounds: any;
      style?: {
          height: string;
          width: string;
      } | undefined;
      centerCoordinates?: number[] | undefined;
      zoom?: number | undefined;
      dragging?: boolean | undefined;
      doubleClickZoom?: boolean | undefined;
      scrollWheelZoom?: boolean | undefined;
      attributionControl?: boolean | undefined;
      zoomControl?: boolean | undefined;
      highlightMarkersOnClick?: boolean | undefined;
      PopupComponent: any;
      children: any;
      useDefaultMarker?: boolean | undefined;
      useMarkerClustering?: boolean | undefined;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maps/leafletMaps/ui/MapContent' {
  export function MapContent({ data, IconComponent, onClick, onMouseOver, onMouseOut, highlightMarkersOnClick, PopupComponent, children, useDefaultMarker, useMarkerClustering }: {
      data: any;
      IconComponent: any;
      onClick: any;
      onMouseOver: any;
      onMouseOut: any;
      highlightMarkersOnClick: any;
      PopupComponent: any;
      children: any;
      useDefaultMarker: any;
      useMarkerClustering: any;
  }): any;

}
declare module 'unity-fluent-library/maps/leafletMaps/ui/MapMarker' {
  export function MapMarker(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Controls/Controls' {
  export default Controls;
  function Controls({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Controls/FullScreenControl' {
  export default FullScreenControl;
  function FullScreenControl(): null;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Controls/index' {
  import Controls from "unity-fluent-library/maps/openLayerMaps/Controls/Controls";
  import FullScreenControl from "unity-fluent-library/maps/openLayerMaps/Controls/FullScreenControl";
  export { Controls, FullScreenControl };

}
declare module 'unity-fluent-library/maps/openLayerMaps/Layers/ImageLayer' {
  export function ImageLayer({ source, zIndex }: {
      source: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Layers/index' {
  import { Layers } from "unity-fluent-library/maps/openLayerMaps/Layers/Layers";
  import { VectorLayer } from "unity-fluent-library/maps/openLayerMaps/Layers/VectorLayer";
  import { TileLayer } from "unity-fluent-library/maps/openLayerMaps/Layers/TileLayer";
  import { ImageLayer } from "unity-fluent-library/maps/openLayerMaps/Layers/ImageLayer";
  export { Layers, VectorLayer, TileLayer, ImageLayer };

}
declare module 'unity-fluent-library/maps/openLayerMaps/Layers/Layers' {
  export function Layers({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Layers/TileLayer' {
  export function TileLayer({ source, zIndex }: {
      source: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Layers/VectorLayer' {
  export function VectorLayer({ source, style, zIndex }: {
      source: any;
      style: any;
      zIndex?: number | undefined;
  }): null;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Map/index' {
  export { default } from "unity-fluent-library/maps/openLayerMaps/Map/Map";

}
declare module 'unity-fluent-library/maps/openLayerMaps/Map/Map' {
  export default Map;
  function Map({ children, zoom, projection }: {
      children: any;
      zoom: any;
      projection: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Map/MapContext' {
  export default MapContext;
  const MapContext: any;

}
declare module 'unity-fluent-library/maps/openLayerMaps/Source/index' {
  import vector from "unity-fluent-library/maps/openLayerMaps/Source/vector";
  import xyz from "unity-fluent-library/maps/openLayerMaps/Source/xyz";
  import osm from "unity-fluent-library/maps/openLayerMaps/Source/osm";
  export { vector, xyz, osm };

}
declare module 'unity-fluent-library/maps/openLayerMaps/Source/osm' {
  export default osm;
  function osm(): olSource.OSM;
  import * as olSource from "ol/source";

}
declare module 'unity-fluent-library/maps/openLayerMaps/Source/vector' {
  export default vector;
  function vector({ features }: {
      features: any;
  }): VectorSource<import("ol/Feature").default<import("ol/geom/Geometry").default>>;
  import { Vector as VectorSource } from "ol/source";

}
declare module 'unity-fluent-library/maps/openLayerMaps/Source/xyz' {
  export default xyz;
  function xyz({ url, attributions, maxZoom }: {
      url: any;
      attributions: any;
      maxZoom: any;
  }): olSource.XYZ;
  import * as olSource from "ol/source";

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/ControlZoom' {
  export default ControlZoom;
  function ControlZoom(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/Filter' {
  export default Filter;
  function Filter(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/LocationPin' {
  export default LocationPin;
  function LocationPin(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/MapControls' {
  export default MapControls;
  function MapControls(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/MapControlsStandard' {
  export default MapControlsStandard;
  function MapControlsStandard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/Position' {
  export default Position;
  function Position(props: any): JSX.Element;

}
declare module 'unity-fluent-library/maps/openLayerMaps/ui/ToggleViewType' {
  export default ToggleViewType;
  function ToggleViewType(props: any): JSX.Element;

}
declare module 'unity-fluent-library/menuPage/MenuPage' {
  export function MenuPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/models/ApiMethodInstance' {
  export default class ApiMethodInstance {
      apiMethodInstanceId: string | null | undefined;
      apiMethodId: string;
      body: string;
      pathParameters: string | null | undefined;
      queryParameters: string | null | undefined;
      name: string | null | undefined;
      description: string | null | undefined;
      catalogModification: string;
  }

}
declare module 'unity-fluent-library/models/GroupNode' {
  export default class GroupNode {
      id: string;
      isGroupNode: boolean;
      groupType: string;
      children: Array<any>;
      isExpanded: boolean;
      parentId: string;
      parentGroupId: string;
      properties: Object;
      isOutlierGroup: boolean;
      constructor(node: any);
  }

}
declare module 'unity-fluent-library/models/Lookup' {
  export default class Lookup {
      data: Array<Object> | null | undefined;
      keyName: string | null | undefined;
      valueName: string | null | undefined;
      businessObjectKey: string | null | undefined;
  }

}
declare module 'unity-fluent-library/models/NumberOperator' {
  export interface NumberOperator {
      value: string;
      label: string;
  }
  export const NumberOperators: Array<NumberOperator>;
  export enum NumberOperatorEnums {
      Equals = "=",
      Does_Not_Equal = "!=",
      Greater_Than = ">",
      Less_Than = "<",
      Greater_Than_Or_Equal_To = ">=",
      Less_Than_Or_Equal_To = "<=",
      Between = "BETWEEN"
  }

}
declare module 'unity-fluent-library/models/QueryResult' {
  export default class QueryResult {
      aliasMap: Object | null | undefined;
      countable: Boolean | null | undefined;
      eagerLoad: Boolean | null | undefined;
      lookupsMap: Object | null | undefined;
      pageList: Array<Object>;
      total: Number | null | undefined;
  }

}
declare module 'unity-fluent-library/models/SearchOperator' {
  export interface SearchOperator {
      value: string;
      label: string;
  }
  export const SearchOperators: Array<SearchOperator>;
  export const FilterOperators: {
      equals: string;
      contains: string;
      notEqual: string;
      greaterThan: string;
      lessThan: string;
      greaterThanOrEqual: string;
      lessThanOrEqual: string;
      between: string;
      In: string;
      startsWith: string;
  };

}
declare module 'unity-fluent-library/notes/NotesScreen' {
  export function NotesScreen(props: any): JSX.Element;

}
declare module 'unity-fluent-library/page/Page' {
  export default Page;
  function Page(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/page/PageContainer' {
  export function PageContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/page/PageContent' {
  export function PageContent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/page/PageHeader' {
  export function PageHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/page/PageSectionHeader' {
  export function PageSectionHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/page/PageSectionSpacer' {
  export function PageSectionSpacer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/reminders/CompleteReminderSwitch' {
  export function CompleteReminderSwitch(props: any): JSX.Element;

}
declare module 'unity-fluent-library/reminders/RemindersCard' {
  export function RemindersCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/reminders/RemindersScreen' {
  export function RemindersScreen(props: any): JSX.Element;

}
declare module 'unity-fluent-library/reports/PowerBIReport' {
  export function PowerBIReport(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/routes/components/PageForbiddenRoute' {
  export function PageForbiddenRoute(props: any): JSX.Element;

}
declare module 'unity-fluent-library/routes/components/PageNotFoundRoute' {
  export function PageNotFoundRoute(): JSX.Element;

}
declare module 'unity-fluent-library/routes/components/PageStatus' {
  export function PageStatus(props: any): JSX.Element;

}
declare module 'unity-fluent-library/routes/PrivateRoute' {
  export function PrivateRoute({ ...otherProps }: {
      [x: string]: any;
  }): JSX.Element | null;

}
declare module 'unity-fluent-library/routes/UdpRoutes' {
  export function UdpRoutes(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/Shell' {
  export function Shell(props: any): JSX.Element;
  export namespace Shell {
      namespace propTypes {
          const switcherData: PropTypes.Requireable<any[]>;
          const selectedItem: PropTypes.Requireable<string>;
          const switcherWidth: PropTypes.Requireable<number>;
          const children: PropTypes.Validator<NonNullable<NonNullable<PropTypes.ReactNodeLike>>>;
          const siteName: PropTypes.Requireable<string>;
          const userAvatar: PropTypes.Requireable<PropTypes.ReactElementLike>;
          const appContent: PropTypes.Requireable<PropTypes.ReactElementLike>;
          const leftMenu: PropTypes.Requireable<any[]>;
          const appSelectorMenus: PropTypes.Requireable<any[]>;
          const className: PropTypes.Requireable<object>;
          const navRoot: PropTypes.Requireable<string>;
          const useMockData: PropTypes.Requireable<boolean>;
          const mockMenus: PropTypes.Requireable<any[]>;
          const unityUrl: PropTypes.Requireable<string>;
          const expander: PropTypes.Requireable<boolean>;
          const sidebarTitle: PropTypes.Requireable<string>;
          const navMenuHoverOn: PropTypes.Requireable<boolean>;
          const toggleOne: PropTypes.Requireable<boolean>;
          const toggleTwo: PropTypes.Requireable<boolean>;
          const closePrimary: PropTypes.Requireable<boolean>;
          const closeSecondary: PropTypes.Requireable<boolean>;
          const panelExpanded: PropTypes.Requireable<boolean>;
          const panelExpandedSecondary: PropTypes.Requireable<boolean>;
          const setPanelExpanded: PropTypes.Requireable<(...args: any[]) => any>;
          const setPanelExpandedSecondary: PropTypes.Requireable<(...args: any[]) => any>;
          const breadCrumbAltLabelList: PropTypes.Requireable<any[]>;
          const currentLocation: PropTypes.Requireable<object>;
          const utilitySidebarResizable: PropTypes.Requireable<boolean>;
          const utilitySidebarToggleOverride: PropTypes.Requireable<boolean>;
          const onUtilitySidebarToggleExpandClick: PropTypes.Requireable<(...args: any[]) => any>;
          const hideLayout: PropTypes.Requireable<boolean>;
          const languages: PropTypes.Requireable<(object | null | undefined)[]>;
          const utilityBarHasTabsOpen: PropTypes.Requireable<boolean>;
          const projectSwitcherColor: PropTypes.Requireable<string>;
          const getWidget: PropTypes.Requireable<(...args: any[]) => any>;
          const isValidWidget: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/shell/ui/AmbientProjectSwitcher' {
  export function AmbientProjectSwitcher(props: any): JSX.Element;
  export namespace AmbientProjectSwitcher {
      namespace propTypes {
          const data: PropTypes.Requireable<any[]>;
          const selectedItem: PropTypes.Requireable<string>;
          const backgroundColor: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/FUIAppHeader' {
  export default FUIAppHeader;
  function FUIAppHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/FUIAppList' {
  export default FUIAppList;
  function FUIAppList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/FUIAppListItem' {
  export default FUIAppListItem;
  function FUIAppListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/FUIAppSwitcher' {
  export default FUIAppSwitcher;
  function FUIAppSwitcher(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/ProductAppList' {
  export default ProductAppList;
  function ProductAppList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/ProductAppListItem' {
  export default ProductAppListItem;
  function ProductAppListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/appSwitcher/UnityApps' {
  export default UnityApps;
  function UnityApps(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/EnvironmentRibbon' {
  /// <reference types="react" />
  type UnityEnvironment = undefined | 'development' | 'production' | 'staging';
  export const APP_RIBBON_SPACE = 25;
  export const useBuildEnvironment: () => UnityEnvironment;
  export const EnvironmentRibbon: () => JSX.Element | null;
  export {};

}
declare module 'unity-fluent-library/shell/ui/FluentProfileMenuCard' {
  export const FluentProfileMenuCard: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/shell/ui/LanguageSwitcher' {
  export function LanguageSwitcher(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/shell/ui/MiniCollapsibleSidebar' {
  export default MiniCollapsibleSidebar;
  function MiniCollapsibleSidebar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/NavigationSidebar' {
  export default NavigationSidebar;
  function NavigationSidebar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/SidebarCollapseButton' {
  export function SidebarCollapseButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/SidebarListItem' {
  export default SidebarListItem;
  /**
   * Styled list itme for sidebar navigation
   */
  function SidebarListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/SiteHeader' {
  export function SiteHeaderSpacer(props: any): JSX.Element;
  export default SiteHeader;
  /**
   * Site header including app bar
   */
  function SiteHeader(props: any): JSX.Element;
  namespace SiteHeader {
      namespace propTypes {
          const backgroundColor: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/shell/ui/SiteHeaderRightComponent' {
  export const SiteHeaderRightComponentTarget: import("react-teleporter").TargetComponentType;
  export function SiteHeaderRightComponent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/shell/ui/UserAvatar' {
  export default UserAvatar;
  /**
   * Inteligent user Avatar element
   *
   * - Loads a Gravatar based on the email if one exists
   * - Falls back to a text avatar while loading and when a Gravatar does not exist
   * - Automatically chooses image size based on size prop and device pixel density (and updates if device pixel density changes)
   */
  function UserAvatar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/stores/actionStore' {
  interface ActionState {
      selectedNode: object | null | undefined;
      setSelectedNode: (selectedNode: object) => void;
  }
  export const useActionStore: import("zustand").UseBoundStore<Omit<import("zustand").StoreApi<ActionState>, "setState"> & {
      setState<A extends string | {
          type: unknown;
      }>(partial: ActionState | Partial<ActionState> | ((state: ActionState) => ActionState | Partial<ActionState>), replace?: boolean | undefined, action?: A | undefined): void;
  }>;
  export {};

}
declare module 'unity-fluent-library/stores/catalogStore' {
  interface CatalogState {
      currentApiCatalogId: string | null | undefined;
      setCurrentApiCatalogId: (apiCatalogId: string) => void;
      catalogsMap: Object | null | undefined;
      setCatalogsMap: (catalog: Object) => void;
      promotedEntityMap: Object | null | undefined;
      setPromotedEntityMap: (catalog: Object) => void;
  }
  export const useCatalogStore: import("zustand").UseBoundStore<Omit<import("zustand").StoreApi<CatalogState>, "setState"> & {
      setState<A extends string | {
          type: unknown;
      }>(partial: CatalogState | Partial<CatalogState> | ((state: CatalogState) => CatalogState | Partial<CatalogState>), replace?: boolean | undefined, action?: A | undefined): void;
  }>;
  export {};

}
declare module 'unity-fluent-library/stores/inquiryStore' {
  interface InquiryState {
      title: string | null | undefined;
      setInquiryToolbarTitle: (title: string) => void;
  }
  export const useInquiryStore: import("zustand").UseBoundStore<Omit<import("zustand").StoreApi<InquiryState>, "setState"> & {
      setState<A extends string | {
          type: unknown;
      }>(partial: InquiryState | Partial<InquiryState> | ((state: InquiryState) => InquiryState | Partial<InquiryState>), replace?: boolean | undefined, action?: A | undefined): void;
  }>;
  export {};

}
declare module 'unity-fluent-library/stores/lookupsStore' {
  interface LookupsState {
      lookupApiMethodId: string | null | undefined;
      setLookupApiMethodId: (apiMethodId: string) => void;
      lookupsDataMap: Object | null | undefined;
      setLookupsDataMap: (lookupsDataMap: Object, replace: boolean | null | undefined) => void;
  }
  export const useLookupsStore: import("zustand").UseBoundStore<Omit<import("zustand").StoreApi<LookupsState>, "setState"> & {
      setState<A extends string | {
          type: unknown;
      }>(partial: LookupsState | Partial<LookupsState> | ((state: LookupsState) => LookupsState | Partial<LookupsState>), replace?: boolean | undefined, action?: A | undefined): void;
  }>;
  export {};

}
declare module 'unity-fluent-library/stores/shellStore' {
  interface ShellState {
      subHeaderActionHasChildren: boolean | null | undefined;
      setSubHeaderActionHasChildren: (subHeaderActionHasChildren: boolean) => void;
      navigationExpanded: boolean | null | undefined;
      setNavigationExpanded: (navigationExpanded: boolean) => void;
      setIsValidWidget: (isValidWidget: (a: string) => boolean) => void;
      isValidWidget: (a: string) => boolean;
      setGetWidget: (getWidget: (a: string) => any) => void;
      getWidget: (a: string) => any;
      shellHidden: boolean | null | undefined;
      setShellHidden: (shellHidden: boolean) => void;
  }
  export const useShellStore: import("zustand").UseBoundStore<Omit<import("zustand").StoreApi<ShellState>, "setState"> & {
      setState<A extends string | {
          type: unknown;
      }>(partial: ShellState | Partial<ShellState> | ((state: ShellState) => ShellState | Partial<ShellState>), replace?: boolean | undefined, action?: A | undefined): void;
  }>;
  export const useSetInitialShellVisibility: () => void;
  export {};

}
declare module 'unity-fluent-library/stories/Button' {
  export function Button({ primary, backgroundColor, size, label, ...props }: {
      [x: string]: any;
      primary: any;
      backgroundColor: any;
      size: any;
      label: any;
  }): JSX.Element;
  export namespace Button {
      namespace propTypes {
          const primary: PropTypes.Requireable<boolean>;
          const backgroundColor: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
          const label: PropTypes.Validator<string>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
      }
      namespace defaultProps {
          const backgroundColor_1: null;
          export { backgroundColor_1 as backgroundColor };
          const primary_1: boolean;
          export { primary_1 as primary };
          const size_1: string;
          export { size_1 as size };
          const onClick_1: undefined;
          export { onClick_1 as onClick };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/stories/Button.stories' {
  namespace _default {
      export const title: string;
      export { Button as component };
      export namespace argTypes {
          namespace backgroundColor {
              const control: string;
          }
      }
  }
  export default _default;
  export function Primary(args: any): JSX.Element;
  export namespace Primary {
      namespace args {
          const primary: boolean;
          const label: string;
      }
  }
  export function Secondary(args: any): JSX.Element;
  export namespace Secondary {
      export namespace args_1 {
          const label_1: string;
          export { label_1 as label };
      }
      export { args_1 as args };
  }
  export function Large(args: any): JSX.Element;
  export namespace Large {
      export namespace args_2 {
          export const size: string;
          const label_2: string;
          export { label_2 as label };
      }
      export { args_2 as args };
  }
  export function Small(args: any): JSX.Element;
  export namespace Small {
      export namespace args_3 {
          const size_1: string;
          export { size_1 as size };
          const label_3: string;
          export { label_3 as label };
      }
      export { args_3 as args };
  }
  import { Button } from "unity-fluent-library/stories/Button";

}
declare module 'unity-fluent-library/stories/Header' {
  export function Header({ user, onLogin, onLogout, onCreateAccount }: {
      user: any;
      onLogin: any;
      onLogout: any;
      onCreateAccount: any;
  }): JSX.Element;
  export namespace Header {
      namespace propTypes {
          const user: PropTypes.Requireable<PropTypes.InferProps<{}>>;
          const onLogin: PropTypes.Validator<(...args: any[]) => any>;
          const onLogout: PropTypes.Validator<(...args: any[]) => any>;
          const onCreateAccount: PropTypes.Validator<(...args: any[]) => any>;
      }
      namespace defaultProps {
          const user_1: null;
          export { user_1 as user };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/stories/Header.stories' {
  namespace _default {
      export const title: string;
      export { Header as component };
  }
  export default _default;
  export function LoggedIn(args: any): JSX.Element;
  export namespace LoggedIn {
      namespace args {
          const user: {};
      }
  }
  export function LoggedOut(args: any): JSX.Element;
  export namespace LoggedOut {
      const args_1: {};
      export { args_1 as args };
  }
  import { Header } from "unity-fluent-library/stories/Header";

}
declare module 'unity-fluent-library/stories/Page' {
  export function Page({ user, onLogin, onLogout, onCreateAccount }: {
      user: any;
      onLogin: any;
      onLogout: any;
      onCreateAccount: any;
  }): JSX.Element;
  export namespace Page {
      namespace propTypes {
          const user: PropTypes.Requireable<PropTypes.InferProps<{}>>;
          const onLogin: PropTypes.Validator<(...args: any[]) => any>;
          const onLogout: PropTypes.Validator<(...args: any[]) => any>;
          const onCreateAccount: PropTypes.Validator<(...args: any[]) => any>;
      }
      namespace defaultProps {
          const user_1: null;
          export { user_1 as user };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/stories/Page.stories' {
  namespace _default {
      export const title: string;
      export { Page as component };
  }
  export default _default;
  export function LoggedIn(args: any): JSX.Element;
  export namespace LoggedIn {
      const args: any;
  }
  export function LoggedOut(args: any): JSX.Element;
  export namespace LoggedOut {
      const args_1: any;
      export { args_1 as args };
  }
  import { Page } from "unity-fluent-library/stories/Page";

}
declare module 'unity-fluent-library/treeMenu/BaseTreeMenu' {
  export function BaseTreeMenu(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/treeMenu/BaseTreeMenuItem' {
  export function BaseTreeMenuItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/ChatUDP' {
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/udp/pages/UdpDataBrowserPage' {
  export function UdpDataBrowserPage(props: any): JSX.Element;
  const _default: React.MemoExoticComponent<(props: any) => JSX.Element>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/udp/pages/UdpGridPanelManagementPage' {
  export default UdpGridPanelManagementPage;
  function UdpGridPanelManagementPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpGridPanelManagementSidesheet' {
  export default UdpGridPanelManagementSidesheet;
  function UdpGridPanelManagementSidesheet(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpInquiryMaintenanceEnginePage' {
  export default UdpInquiryMaintenanceEnginePage;
  function UdpInquiryMaintenanceEnginePage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpMaintenanceConfigPage' {
  export function UdpMaintenanceConfigPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpMaintenanceEnginePage' {
  export function UdpMaintenanceEnginePage(props: any): JSX.Element;
  export default UdpMaintenanceEnginePage;

}
declare module 'unity-fluent-library/udp/pages/UdpNotesPage' {
  export default UdpNotesPage;
  function UdpNotesPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/udpPages' {
  export namespace UdpPages {
      export { UdpNotesPage };
      export { UdpVerticalManagementPage };
      export { UdpGridPanelManagementPage };
      export { UdpMaintenanceEnginePage };
      export { UdpInquiryMaintenanceEnginePage };
      export { UdpReportsPage };
      export { DonutChartWidget };
      export { SparklineWidget };
      export { ProgressBarWidget };
      export { RecentlyLoadedNodesWidget };
      export { ChatUDP };
      export { UdpDataBrowserPage };
      export { UdpRemindersPage };
      export { RemindersWidget };
      export { UdpPublicForm };
      export { UdpPrivateForm };
  }
  import * as UdpNotesPage from "unity-fluent-library/udp/pages/UdpNotesPage";
  import * as UdpVerticalManagementPage from "unity-fluent-library/udp/pages/UdpVerticalManagementPage";
  import * as UdpGridPanelManagementPage from "unity-fluent-library/udp/pages/UdpGridPanelManagementPage";
  import * as UdpMaintenanceEnginePage from "unity-fluent-library/udp/pages/UdpMaintenanceEnginePage";
  import * as UdpInquiryMaintenanceEnginePage from "unity-fluent-library/udp/pages/UdpInquiryMaintenanceEnginePage";
  import * as UdpReportsPage from "unity-fluent-library/udp/pages/UdpReportsPage";
  import * as DonutChartWidget from "unity-fluent-library/UI/widgets/library/DonutChartWidget";
  import * as SparklineWidget from "unity-fluent-library/UI/widgets/library/SparklineWidget";
  import * as ProgressBarWidget from "unity-fluent-library/UI/widgets/library/ProgressBarWidget";
  import * as RecentlyLoadedNodesWidget from "unity-fluent-library/UI/widgets/library/RecentlyLoadedNodesWidget";
  import * as ChatUDP from "unity-fluent-library/udp/pages/ChatUDP";
  import * as UdpDataBrowserPage from "unity-fluent-library/udp/pages/UdpDataBrowserPage";
  import * as UdpRemindersPage from "unity-fluent-library/udp/pages/UdpRemindersPage";
  import * as RemindersWidget from "unity-fluent-library/UI/widgets/library/RemindersWidget";
  import * as UdpPublicForm from "unity-fluent-library/udp/pages/UdpPublicForm";
  import * as UdpPrivateForm from "unity-fluent-library/udp/pages/UdpPrivateForm";

}
declare module 'unity-fluent-library/udp/pages/UdpPrivateForm' {
  export default UdpPrivateForm;
  function UdpPrivateForm(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/udp/pages/UdpPublicForm' {
  export function UdpPublicForm(props: any): JSX.Element | null;
  export default UdpPublicForm;

}
declare module 'unity-fluent-library/udp/pages/UdpRemindersPage' {
  export default UdpRemindersPage;
  function UdpRemindersPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpReportsPage' {
  export default UdpReportsPage;
  function UdpReportsPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpVerticalManagementPage' {
  export default UdpVerticalManagementPage;
  function UdpVerticalManagementPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/pages/UdpVerticalManagementSidesheet' {
  export default UdpVerticalManagementSidesheet;
  function UdpVerticalManagementSidesheet(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/ShortcutContent/ListSearch' {
  export function ListSearch(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/ShortcutContent/ShortcutContentFinder' {
  export function ShortcutContentFinder(props: any): JSX.Element;

}
declare module 'unity-fluent-library/udp/utilities/methodUtils' {
  export function getBaseMethod(type: any, baseType: any, catalogPromotedEntities: any): any;
  export function executeQueryAdHoc(data: any, apiMethodId: any): Promise<import("axios").AxiosResponse<any, any>>;
  export function executeQueryWithParameters(data: any, apiMethodId: any): Promise<import("axios").AxiosResponse<any, any>>;
  export function executeQueryInstance(data: any, apiMethodInstanceId: any): Promise<import("axios").AxiosResponse<any, any>>;
  export function executeQueryInstanceWithApiMethodInstance(data: any): Promise<import("axios").AxiosResponse<any, any>>;

}
declare module 'unity-fluent-library/UI/accordion/Accordion' {
  export function Accordion(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/AlertContainer' {
  export function AlertContainer(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/UI/Box' {
  export function Box(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/components/dataDisplay/Ellipse' {
  export function Ellipse(props: any): JSX.Element;
  export namespace Ellipse {
      namespace propTypes {
          const color: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
          const variant: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/components/dataDisplay/Sticky' {
  export function Sticky(props: any): JSX.Element;
  export namespace Sticky {
      namespace propTypes {
          const text: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/components/dataDisplay/Token' {
  export function Token(props: any): JSX.Element;
  export namespace Token {
      namespace propTypes {
          const type: PropTypes.Requireable<string>;
          const variant: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
          const iconType: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<PropTypes.ReactComponentLike>;
          const letter: PropTypes.Requireable<string>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/components/feedback/Adornment' {
  export function Adornment(props: any): JSX.Element;
  export namespace Adornment {
      namespace propTypes {
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/containers/DynamicContainerWithMenu' {
  export const DynamicContainerWithMenu: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/dataDisplay/address/AddressListItem' {
  export function AddressListItem({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/AmbientList' {
  export function AmbientList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/AvatarAlphabet' {
  export function AvatarAlphabet(props: any): string;

}
declare module 'unity-fluent-library/UI/dataDisplay/Calendar' {
  export function Calendar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/ChipAlphabet' {
  export function ChipAlphabet({ avatarCharacter, label, handleClick, avatar }: {
      avatarCharacter: any;
      label: any;
      handleClick: any;
      avatar: any;
  }): string;

}
declare module 'unity-fluent-library/UI/dataDisplay/CompactDataList' {
  export function CompactDataList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/CompactDataListItem' {
  export function CompactDataListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/directory/Directory' {
  export function Directory({ data, success, warning, error, info, key, statusKey }: {
      data: any;
      success: any;
      warning: any;
      error: any;
      info: any;
      key: any;
      statusKey: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/directory/DirectoryListItem' {
  export function DirectoryListItem({ children, letter }: {
      children: any;
      letter: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/EmptyStateDisplay' {
  export function EmptyStateDisplay(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/EntityHeader' {
  export function EntityHeader(props: any): JSX.Element;
  export namespace EntityHeader {
      namespace propTypes {
          const sectionProps: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
              section1: PropTypes.Requireable<PropTypes.InferProps<{
                  hidden: PropTypes.Requireable<boolean>;
                  values: PropTypes.Requireable<(PropTypes.InferProps<{
                      label: PropTypes.Requireable<string>;
                      value: PropTypes.Requireable<string>;
                  }> | null | undefined)[]>;
              }>>;
              section2: PropTypes.Requireable<PropTypes.InferProps<{
                  hidden: PropTypes.Requireable<boolean>;
                  values: PropTypes.Requireable<(PropTypes.InferProps<{
                      label: PropTypes.Requireable<string>;
                      value: PropTypes.Requireable<string>;
                  }> | null | undefined)[]>;
              }>>;
              section3: PropTypes.Requireable<PropTypes.InferProps<{
                  hidden: PropTypes.Requireable<boolean>;
                  values: PropTypes.Requireable<(PropTypes.InferProps<{
                      label: PropTypes.Requireable<string>;
                      value: PropTypes.Requireable<string>;
                  }> | null | undefined)[]>;
              }>>;
          }>>>;
          const background: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
          const kpiProps: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
              hidden: PropTypes.Requireable<boolean>;
              kpi1: PropTypes.Requireable<PropTypes.InferProps<{
                  label: PropTypes.Requireable<string>;
                  value: PropTypes.Requireable<string>;
                  color: PropTypes.Requireable<string>;
                  icon: PropTypes.Requireable<string>;
                  hidden: PropTypes.Requireable<boolean>;
              }>>;
              kpi2: PropTypes.Requireable<PropTypes.InferProps<{
                  label: PropTypes.Requireable<string>;
                  value: PropTypes.Requireable<string>;
                  color: PropTypes.Requireable<string>;
                  icon: PropTypes.Requireable<string>;
                  hidden: PropTypes.Requireable<boolean>;
              }>>;
              kpi3: PropTypes.Requireable<PropTypes.InferProps<{
                  label: PropTypes.Requireable<string>;
                  value: PropTypes.Requireable<string>;
                  color: PropTypes.Requireable<string>;
                  icon: PropTypes.Requireable<string>;
                  hidden: PropTypes.Requireable<boolean>;
              }>>;
              kpi4: PropTypes.Requireable<PropTypes.InferProps<{
                  label: PropTypes.Requireable<string>;
                  value: PropTypes.Requireable<string>;
                  color: PropTypes.Requireable<string>;
                  icon: PropTypes.Requireable<string>;
                  hidden: PropTypes.Requireable<boolean>;
              }>>;
          }>>>;
          const hiddenSections: PropTypes.Requireable<PropTypes.InferProps<{
              alert: PropTypes.Requireable<boolean>;
              chips: PropTypes.Requireable<boolean>;
          }>>;
          const chips: PropTypes.Requireable<(string | null | undefined)[]>;
          const alerts: PropTypes.Requireable<PropTypes.InferProps<{
              warning: PropTypes.Requireable<number>;
              error: PropTypes.Requireable<number>;
          }>>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/functions/groupSectionData' {
  export = groupSectionData;
  function groupSectionData(data: any): any;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/functions/useDivideArrayIntoGroups' {
  export default useDivideArrayIntoGroups;
  function useDivideArrayIntoGroups(array: any, groupCount: any): never[];

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/functions/useElementWidth' {
  /**
   * Custom hook that returns the current breakpoint of a provided element's width and whether it's at or above/below a specified breakpoint
   * @param {React.MutableRefObject} ref - The ref object to observe the width of
   * @returns {Object} An object with the following properties:
   *   - currentBreakpoint: The current breakpoint of the observed element's width
   *   - isBreakpointUp: A function that takes a breakpoint name and returns whether the current breakpoint is at or above the specified breakpoint
   *   - isBreakpointDown: A function that takes a breakpoint name and returns whether the current breakpoint is at or below the specified breakpoint
   */
  export function useElementWidth(ref: import("react").MutableRefObject<any>): any;
  export namespace useElementWidth {
      namespace propTypes {
          const ref: PropTypes.Requireable<PropTypes.InferProps<{
              current: PropTypes.Requireable<Element>;
          }>>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/AlertPill' {
  export function AlertPill(props: {
      handleClick?: Function | undefined;
      maxCount: number;
      errorCount: number;
      warningCount: number;
      successCount: number;
      infoCount: number;
      defaultCount: number;
      errorLabel: string;
      warningLabel: string;
      successLabel: string;
      infoLabel: string;
      defaultLabel: string;
      hideError: boolean;
      hideWarning: boolean;
      hideSuccess: boolean;
      hideInfo: boolean;
      hideDefault: boolean;
      variant: string;
      handleClick?: Function | undefined;
      maxCount: number;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderContainer' {
  export function EntityHeaderContainer(props: any): JSX.Element;
  export namespace EntityHeaderContainer {
      namespace propTypes {
          const children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
          const showSeperator: PropTypes.Requireable<boolean>;
          const background: PropTypes.Requireable<string>;
          const direction: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const showSeperator_1: boolean;
          export { showSeperator_1 as showSeperator };
          const background_1: string;
          export { background_1 as background };
          const direction_1: string;
          export { direction_1 as direction };
          const color_1: string;
          export { color_1 as color };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderFlags' {
  export function EntityHeaderFlags({ data, color }: {
      data?: any[] | undefined;
      color?: string | undefined;
  }): JSX.Element | undefined;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderList' {
  export function EntityHeaderList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderListItem' {
  export function EntityHeaderListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderSection' {
  export function EntityHeaderSection(props: any): JSX.Element;
  export namespace EntityHeaderSection {
      namespace propTypes {
          const children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
          const disableGutter: PropTypes.Requireable<boolean>;
          const disablePadding: PropTypes.Requireable<boolean>;
          const flexGrow: PropTypes.Requireable<boolean>;
          const justifyContent: PropTypes.Requireable<string>;
          const alignItems: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const disableGutter_1: boolean;
          export { disableGutter_1 as disableGutter };
          const disablePadding_1: boolean;
          export { disablePadding_1 as disablePadding };
          const flexGrow_1: boolean;
          export { flexGrow_1 as flexGrow };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderStatList' {
  export function EntityHeaderStatList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderStatListItem' {
  export function EntityHeaderStatListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/entityHeader/ui/EntityHeaderStats' {
  export function EntityHeaderStats({ data }: {
      data: any;
  }): any;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentActivity/FluentActivity' {
  export function FluentActivity(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentActivity/FluentActivityRow' {
  export function FluentActivityRow(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentDataTable/FluentBody/index' {
  import { ReactNode } from 'react';
  interface FluentBodyProps {
      background?: string;
      style?: object;
      children: ReactNode;
  }
  const FluentBody: (props: FluentBodyProps) => JSX.Element;
  export default FluentBody;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentDataTable/FluentCell/index' {
  import { ReactNode } from 'react';
  interface CellUnityIconProps extends FluentCellProps {
      icon: string;
      size: string;
      color: string;
      align?: 'inherit' | 'left' | 'center' | 'right' | 'justify';
      className?: string;
  }
  interface CellImageProps extends FluentCellProps {
      src: string;
      alt: string;
      title: string;
      style?: object;
      children: any;
  }
  interface CellIconProps extends FluentCellProps {
      icon: any;
      label: string;
      style?: object;
  }
  interface CellNumberProps extends FluentCellProps {
      decimals?: number | string;
      children: any;
  }
  interface CellDateProps extends FluentCellProps {
      format?: string;
      children: any;
  }
  interface CellCurrencyProps extends FluentCellProps {
      currencySymbol?: string;
      children: any;
  }
  interface CellTextProps extends FluentCellProps {
      children: any;
  }
  interface CellChipProps extends FluentCellProps {
      status?: string;
      size?: string;
      children: any;
  }
  interface FluentCellProps {
      scope?: string;
      bold?: boolean;
      style?: object;
      align?: 'inherit' | 'left' | 'center' | 'right' | 'justify';
      children: ReactNode;
      className?: string;
      colSpan?: number;
  }
  const FluentCell: {
      (props: FluentCellProps): JSX.Element;
      UnityIcon: (props: Partial<CellUnityIconProps>) => JSX.Element;
      Icon: (props: Partial<CellIconProps>) => JSX.Element;
      Number: (props: CellNumberProps) => JSX.Element;
      Text: (props: CellTextProps) => JSX.Element;
      Currency: (props: CellCurrencyProps) => JSX.Element;
      Date: (props: CellDateProps) => JSX.Element;
      Chip: (props: CellChipProps) => JSX.Element;
      Image: (props: CellImageProps) => JSX.Element;
  };
  export default FluentCell;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentDataTable/FluentHead/index' {
  import { ReactNode } from 'react';
  interface FluentHeadProps {
      background?: string;
      style?: object;
      children: ReactNode;
  }
  const FluentHead: (props: FluentHeadProps) => JSX.Element;
  export default FluentHead;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentDataTable/FluentRow/index' {
  import { ReactNode } from 'react';
  interface FluentRowProps {
      className?: string;
      children: ReactNode;
      onClick?: () => void;
  }
  const FluentRow: (props: FluentRowProps) => JSX.Element;
  export default FluentRow;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentListElement' {
  export function FluentListElement({ subject, value, className, status, anchor, href }: {
      subject: any;
      value: any;
      className: any;
      status: any;
      anchor?: boolean | undefined;
      href: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/FluentListItem' {
  export function FluentListItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/GraphCard' {
  export function GraphCard(props: any): JSX.Element;
  export namespace GraphCard {
      namespace propTypes {
          const title: any;
          const graphSpecs: object | null;
          const showInfoPanel: any;
          const children: any;
          const style: any;
      }
  }

}
declare module 'unity-fluent-library/UI/dataDisplay/HeaderExpander' {
  export function HeaderExpander(props: any): JSX.Element;
  export namespace HeaderExpander {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
          const sectionOpen: PropTypes.Requireable<boolean>;
          const options: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const toggleLabel: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/HintPanel' {
  export function HintPanel({ hint, hideHintText }: {
      hint: any;
      hideHintText: any;
  }): JSX.Element;
  export namespace HintPanel {
      namespace propTypes {
          const hint: PropTypes.Validator<string>;
          const hideHintText: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/map/ColorKey' {
  export function ColorKey({ label, color }: {
      label: any;
      color: any;
  }): JSX.Element;
  export namespace ColorKey {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
          const color: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/map/FluentIconKey' {
  const _default: React.MemoExoticComponent<(props: any) => JSX.Element>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/dataDisplay/map/IconKey' {
  export function IconKey({ label, icon }: {
      label: any;
      icon: any;
  }): JSX.Element;
  export namespace IconKey {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
          const icon: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/notes/Note' {
  export function Note({ children, author, date, className, onClick }: {
      children: any;
      author: any;
      date: any;
      className: any;
      onClick: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/notes/Notes' {
  export const useStyles: any;
  export function Notes({ data, key, handleClick }: {
      data: any;
      key: any;
      handleClick: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/StatusChip' {
  export function StatusChip({ status, label, success, warning, error, info, useSmallChip, isActionable, icon }: {
      status: any;
      label: any;
      success: any;
      warning: any;
      error: any;
      info: any;
      useSmallChip?: boolean | undefined;
      isActionable?: boolean | undefined;
      icon: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/StatusFlags' {
  export function AccountFlags(props: any): JSX.Element;
  export namespace AccountFlags {
      namespace propTypes {
          const isLoading: bool | null;
          const flagList: any[] | null;
          const customColorRange: object | null;
      }
  }

}
declare module 'unity-fluent-library/UI/dataDisplay/SummaryBlock' {
  export function SummaryBlock(props: any): JSX.Element;
  export namespace SummaryBlock {
      namespace propTypes {
          const value: string | null;
          const label: string | null;
          const startLabel: string | null;
          const icon: elementType | null;
          const style: object | null;
          const primary: object | null;
          const secondary: object | null;
          const textVariant: string | null;
          const labelVariant: string | null;
          const backgroundColor: string | null;
          const children: elementType | null;
      }
  }

}
declare module 'unity-fluent-library/UI/dataDisplay/ticketCard/NotificationElement' {
  export function NotificationElement({ alertNumber }: {
      alertNumber: any;
  }): JSX.Element;
  export namespace NotificationElement {
      namespace propTypes {
          const alertNumber: PropTypes.Validator<number>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/ticketCard/StatusLineItem' {
  export function StatusLineItem({ label, amount, status, icon, handleClick }: {
      label: any;
      amount: any;
      status: any;
      icon: any;
      handleClick: any;
  }): JSX.Element;
  export namespace StatusLineItem {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
          const amount: PropTypes.Requireable<number>;
          const status: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const handleClick: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/ticketCard/TicketCard' {
  export function TicketCard({ totalAmount, label, notification, alertNumber, ticketData, component }: {
      totalAmount: any;
      label: any;
      notification: any;
      alertNumber: any;
      ticketData: any;
      component?: string | undefined;
  }): JSX.Element;
  export namespace TicketCard {
      namespace propTypes {
          const totalAmount: PropTypes.Requireable<number>;
          const label: PropTypes.Validator<string>;
          const notification: PropTypes.Requireable<boolean>;
          const alertNumber: PropTypes.Requireable<number>;
          const ticketData: PropTypes.Validator<NonNullable<PropTypes.InferProps<{
              ticketAmount: PropTypes.Validator<string>;
              label: PropTypes.Validator<number>;
              notification: PropTypes.Validator<number>;
              alertNumber: PropTypes.Requireable<number>;
              id: PropTypes.Validator<number>;
              ticketData: PropTypes.Requireable<(PropTypes.InferProps<{
                  label: PropTypes.Validator<string>;
                  amount: PropTypes.Requireable<number>;
                  status: PropTypes.Validator<string>;
                  icon: PropTypes.Requireable<PropTypes.ReactNodeLike>;
              }> | null | undefined)[]>;
          }>>[]>;
          const component: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const component_1: string;
          export { component_1 as component };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/FormHeaders' {
  export function FormHeader(props: any): JSX.Element;
  export function FormSubHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/SidebarHeader' {
  export function SidebarHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/SideSheetHeader' {
  export function SideSheetHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/StandardTitle' {
  export function StandardTitle(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/StylizedTitle' {
  export function StylizedTitle({ children, color, component }: {
      children: any;
      color: any;
      component?: string | undefined;
  }): JSX.Element;
  export namespace StylizedTitle {
      namespace propTypes {
          const children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
          const color: PropTypes.Requireable<string>;
          const component: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const component_1: string;
          export { component_1 as component };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/dataDisplay/typography/Typography' {
  export function Typography(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/visualization/AmbientVisualizer' {
  export function AmbientVisualizer({ values, visualization, verticalBarWidth, verticalBarColor, verticalBarBand, verticalBarBandThin, styleThin, verticalBarXfield, verticalBarXtype, verticalBarYfield, verticalBarYtype, horizontalBarWidth, horizontalBarHeight, horizontalBarColor, horizontalBarBand, horizontalBarBandThin, horizontalBarXfield, horizontalBarXtype, horizontalBarYfield, horizontalBarYtype, areaLineHeight, areaLineWidth, areaLineXtimeUnit, areaLineXfield, areaLineXtype, areaLineXaxisFormat, areaLineYaggergate, areaLineYfield, areaLineType, layeredChartLayer, donutChartInnerRadius, pieThetaField, pieThetaType, pieColorField, pieColorType, tooltip, encodingTooltip, chartWidth, chartHeight, xTitle, yTitle, linePoint, lineXtimeUnit, lineXfield, lineXtype, lineYaggergate, lineYfield, lineYtype, lineColorField, lineColorType, vegaLiteSpecProps, gaugeTitle, gaugeUnitLabel, gaugeLegend, gaugeShowTicks, gaugeTicksNumber, gaugeBackgroundColor, gaugeFillColor, gaugeValue, gaugeMinValue, gaugeMaxValue, }: {
      values: any;
      visualization: any;
      verticalBarWidth?: number | undefined;
      verticalBarColor?: string | undefined;
      verticalBarBand?: number | undefined;
      verticalBarBandThin?: number | undefined;
      styleThin: any;
      verticalBarXfield?: string | undefined;
      verticalBarXtype?: string | undefined;
      verticalBarYfield?: string | undefined;
      verticalBarYtype?: string | undefined;
      horizontalBarWidth?: number | undefined;
      horizontalBarHeight?: number | undefined;
      horizontalBarColor?: string | undefined;
      horizontalBarBand?: number | undefined;
      horizontalBarBandThin?: number | undefined;
      horizontalBarXfield?: string | undefined;
      horizontalBarXtype?: string | undefined;
      horizontalBarYfield?: string | undefined;
      horizontalBarYtype?: string | undefined;
      areaLineHeight?: number | undefined;
      areaLineWidth?: number | undefined;
      areaLineXtimeUnit?: string | undefined;
      areaLineXfield?: string | undefined;
      areaLineXtype?: string | undefined;
      areaLineXaxisFormat?: string | undefined;
      areaLineYaggergate?: string | undefined;
      areaLineYfield?: string | undefined;
      areaLineType?: string | undefined;
      layeredChartLayer: any;
      donutChartInnerRadius?: number | undefined;
      pieThetaField: any;
      pieThetaType?: string | undefined;
      pieColorField: any;
      pieColorType?: string | undefined;
      tooltip: any;
      encodingTooltip?: null | undefined;
      chartWidth: any;
      chartHeight: any;
      xTitle: any;
      yTitle: any;
      linePoint: any;
      lineXtimeUnit: any;
      lineXfield: any;
      lineXtype: any;
      lineYaggergate: any;
      lineYfield: any;
      lineYtype: any;
      lineColorField: any;
      lineColorType?: string | undefined;
      vegaLiteSpecProps?: {} | undefined;
      gaugeTitle?: string | undefined;
      gaugeUnitLabel?: string | undefined;
      gaugeLegend?: string | undefined;
      gaugeShowTicks?: boolean | undefined;
      gaugeTicksNumber: any;
      gaugeBackgroundColor?: string | undefined;
      gaugeFillColor?: string | undefined;
      gaugeValue?: number | undefined;
      gaugeMinValue?: number | undefined;
      gaugeMaxValue?: number | undefined;
  }): string;

}
declare module 'unity-fluent-library/UI/dataDisplay/visualization/amCharts/AmChart' {
  /// <reference types="react" />
  export const AmChart: (props: any) => JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/visualization/amCharts/AmSankeyChart' {
  /// <reference types="react" />
  const AmSankeyChart: (props: any) => JSX.Element;
  export default AmSankeyChart;

}
declare module 'unity-fluent-library/UI/dataDisplay/visualization/GaugeGraph' {
  export function GaugeGraph(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/dataDisplay/visualization/RatioVisulization' {
  export function RatioVisulization({ title, n, m }: {
      title: any;
      n: any;
      m: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/feedback/AmbientAlert' {
  export function AmbientAlert({ alertButton, alertMessage, alertTitle, showAlert, alertSeverity, closeAlert, alertAction, alertActionButton, alertHandleAction, ...otherProps }: {
      [x: string]: any;
      alertButton: any;
      alertMessage: any;
      alertTitle: any;
      showAlert: any;
      alertSeverity: any;
      closeAlert: any;
      alertAction: any;
      alertActionButton: any;
      alertHandleAction: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/feedback/AmbientToast' {
  export function AmbientToast(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/feedback/FluentDialog' {
  export function FluentDialog(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/feedback/NodeLoader' {
  export function NodeLoader({ loading, nodesRequested }: {
      loading: any;
      nodesRequested?: number[] | undefined;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/feedback/PageLoading' {
  export function PageLoading(): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/FileViewer' {
  export function FileViewer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/imageSlider/Image' {
  export function Image(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/imageSlider/ImageFooter' {
  export function ImageFooter(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/imageSlider/ImageSlider' {
  export function ImageSlider(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/imageSlider/ImageViewerSideSheet' {
  export function ImageViewerSideSheet(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/fileViewer/pdfViewer/ControlPanel' {
  /// <reference types="react" />
  const ControlPanel: (props: any) => JSX.Element;
  export default ControlPanel;

}
declare module 'unity-fluent-library/UI/fileViewer/pdfViewer/PDFViewer' {
  import { FC } from 'react';
  interface PDFContainerProps {
      isPDFOpen?: boolean;
      fileUrl?: string;
      blobPDF?: Blob;
      closePDF?: () => void;
      onClickDownload?: () => void;
      minWidth?: number | string;
  }
  export const PDFViewer: FC<PDFContainerProps>;
  export {};

}
declare module 'unity-fluent-library/UI/fileViewer/utils/fileTypes' {
  export const imageExtension: string[];

}
declare module 'unity-fluent-library/UI/fileViewer/utils/fileUtils' {
  export function handleDownloadFile(fileUrl: any, fileName: any): void;
  export function validateFilesImageType(files: any[] | undefined, fileExtensionField: any): string;

}
declare module 'unity-fluent-library/UI/floorplans/CoreLayoutFloorplan' {
  export function CoreLayoutFloorplan(props: any): JSX.Element;
  export namespace CoreLayoutFloorplan {
      namespace propTypes {
          const PrimaryActionHeader: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const children: PropTypes.Requireable<object>;
          const splitScreenContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const gridData: PropTypes.Requireable<any[]>;
          const groupData: PropTypes.Requireable<any[]>;
          const columnDefinitions: PropTypes.Requireable<(object | null | undefined)[]>;
          const expandedData: PropTypes.Requireable<string>;
          const splitScreen: PropTypes.Requireable<string>;
          const splitScreenWidth: PropTypes.Requireable<string>;
          const setSplitScreenWidth: PropTypes.Requireable<string>;
          const sideSheetTitle: PropTypes.Requireable<string>;
          const sideSheetButton: PropTypes.Requireable<string>;
          const sideSheetDisabled: PropTypes.Requireable<string>;
          const sideSheetProgress: PropTypes.Requireable<number>;
          const sideSheetOpen: PropTypes.Requireable<boolean>;
          const setSideSheetOpen: PropTypes.Requireable<string>;
          const setSideSheetClose: PropTypes.Requireable<string>;
          const setSideSheetContent: PropTypes.Requireable<string>;
          const dialogActionOne: PropTypes.Requireable<string>;
          const dialogActionTwo: PropTypes.Requireable<string>;
          const dialogClose: PropTypes.Requireable<string>;
          const dialogOpen: PropTypes.Requireable<string>;
          const dialogTitle: PropTypes.Requireable<string>;
          const dialogMessage: PropTypes.Requireable<string>;
          const dialogLabelOne: PropTypes.Requireable<string>;
          const dialogLableTwo: PropTypes.Requireable<string>;
          const notice: PropTypes.Requireable<string>;
          const alertButton: PropTypes.Requireable<string>;
          const alertMessage: PropTypes.Requireable<string>;
          const alertType: PropTypes.Requireable<string>;
          const closeNotice: PropTypes.Requireable<string>;
          const noticeOpen: PropTypes.Requireable<string>;
          const noticeAction: PropTypes.Requireable<string>;
          const noticeType: PropTypes.Requireable<string>;
          const noticeMessage: PropTypes.Requireable<string>;
          const noticeButton: PropTypes.Requireable<string>;
          const alertSeverity: PropTypes.Requireable<string>;
          const showAlert: PropTypes.Requireable<string>;
          const closeAlert: PropTypes.Requireable<string>;
          const DialogLoadingvariant: PropTypes.Requireable<string>;
          const disableDialogAction: PropTypes.Requireable<string>;
          const compactHeader: PropTypes.Requireable<string>;
          const headerExpanded: PropTypes.Requireable<string>;
          const expanderLeftContainer: PropTypes.Requireable<string>;
          const defaultAutoSize: PropTypes.Requireable<boolean>;
          const useSubHeaderAction: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/forms/CrudForm' {
  export function CrudForm(props: any): JSX.Element;
  export namespace CrudForm {
      namespace propTypes {
          const entityAttributes: PropTypes.Requireable<any[]>;
          const foreignKeyData: PropTypes.Requireable<any[]>;
          const crudTableEditionData: PropTypes.Requireable<any[]>;
          const closeSideSheet: PropTypes.Requireable<(...args: any[]) => any>;
          const onCreate: PropTypes.Requireable<(...args: any[]) => any>;
          const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/forms/LoginForm' {
  export function LoginForm(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/forms/UdpCrudFormFields' {
  export function UdpCrudFormFields(props: any): JSX.Element;
  export namespace UdpCrudFormFields {
      namespace propTypes {
          const entityName: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/forms/VirtualForm' {
  export function VirtualForm(props: any): JSX.Element;
  export namespace VirtualForm {
      namespace propTypes {
          const closeSideSheet: PropTypes.Requireable<(...args: any[]) => any>;
          const onCreate: PropTypes.Requireable<(...args: any[]) => any>;
          const onUpdate: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/Grid' {
  export function Grid(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/iframe/Iframe' {
  export function Iframe(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/AdvanceButton' {
  export default AdvanceButton;
  function AdvanceButton({ ...otherProps }: {
      [x: string]: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientCardButton' {
  export function AmbientCardButton(props: any): JSX.Element;
  export namespace AmbientCardButton {
      namespace propTypes {
          const editOption: PropTypes.Requireable<boolean>;
          const launchOption: PropTypes.Requireable<boolean>;
          const deleteOption: PropTypes.Requireable<boolean>;
          const children: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientChipButton' {
  export const AmbientChipButton: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientPopoverMenuItem' {
  export function AmbientPopoverMenuItem({ label, component, click }: {
      label: any;
      component: any;
      click: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientToggleButton' {
  export function AmbientToggleButton({ children, value, ariaLabel, onClick, ...otherProps }: {
      [x: string]: any;
      children: any;
      value: any;
      ariaLabel: any;
      onClick: any;
  }): JSX.Element;
  export namespace AmbientToggleButton {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const value: PropTypes.Requireable<string>;
          const ariaLabel: PropTypes.Requireable<string>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientToggleButtonGroup' {
  export const AmbientToggleButtonGroup: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientToggleButtonGroupDefault' {
  export function styles(theme: any): {
      root: {
          display: string;
          padding: number;
      };
      vertical: {
          flexDirection: string;
      };
      grouped: {};
      groupedHorizontal: {
          borderRadius: number;
          padding: number;
          paddingRight: number;
          '&:not(:first-child)': {
              marginTop: number;
              borderRadius: number;
              paddingRight: number;
              padding: number;
          };
          '&:not(:last-child)': {
              padding: number;
              borderRadius: number;
              paddingRight: number;
          };
      };
      groupedVertical: {
          borderRadius: number;
          padding: number;
          paddingRight: number;
          '&:not(:first-child)': {
              marginTop: number;
              borderRadius: number;
              paddingRight: number;
              padding: number;
          };
          '&:not(:last-child)': {
              padding: number;
              borderRadius: number;
              paddingRight: number;
          };
      };
  };
  const _default: any;
  export default _default;

}
declare module 'unity-fluent-library/UI/inputs/buttons/AmbientTokenButton' {
  export const AmbientTokenButton: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentButton' {
  export function FluentButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentCompoundButton' {
  export function FluentCompoundButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentIconButton' {
  export function FluentIconButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentMenuListButton' {
  export function FluentMenuListButton(props: any): JSX.Element;
  export namespace FluentMenuListButton {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentMenuListItem' {
  export function FluentMenuListItem(props: any): JSX.Element;
  export namespace FluentMenuListItem {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentUploadButton' {
  export function FluentUploadButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/FluentUploadIconButton' {
  export function FluentUploadIconButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/FUISquareIconButton' {
  export default FUISquareIconButton;
  /**
   * <IconButton> but with a square highlight
   */
  function FUISquareIconButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/IconButtonWithToolTip' {
  export function IconButtonWithTooltip({ icon, title, disabled, onClick, className, fluentIconClassName, id, udprecordid, ...other }: {
      [x: string]: any;
      icon: any;
      title: any;
      disabled: any;
      onClick: any;
      className: any;
      fluentIconClassName: any;
      id: any;
      udprecordid: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/buttons/PrimaryActionButton' {
  export function PrimaryActionButton({ children, icon, ...otherProps }: {
      [x: string]: any;
      children: any;
      icon: any;
  }): JSX.Element;
  export default PrimaryActionButton;

}
declare module 'unity-fluent-library/UI/inputs/buttons/ToolBarButton' {
  export function ToolBarButton(props: any): JSX.Element;
  export namespace ToolBarButton {
      namespace propTypes {
          const component: PropTypes.Requireable<(...args: any[]) => any>;
          const click: PropTypes.Requireable<(...args: any[]) => any>;
          const label: PropTypes.Requireable<string>;
          const expanded: PropTypes.Requireable<boolean>;
          const aria: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/calendar/AmbientDateRangeSelector' {
  export function AmbientDateRangeSelector(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/calendar/AmbientSingleDateSelector' {
  export function AmbientSingleDateSelector(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/checkbox/FluentCheckbox' {
  export function FluentCheckbox(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/datetimes/DateField' {
  export function DateField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/datetimes/DateTimeField' {
  export function DateTimeField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/datetimes/TimeField' {
  export function TimeField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/link/BreadCrumbMenu' {
  export function BreadCrumbMenu(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/link/FluentLink' {
  export function FluentLink(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/AmbientStepper/AmbientStepContent' {
  export default AmbientStepContent;
  function AmbientStepContent({ activeStep, step1, step2, step3, step4, step5 }: {
      activeStep: any;
      step1: any;
      step2: any;
      step3: any;
      step4: any;
      step5: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/AmbientStepper/AmbientStepper' {
  export function AmbientStepper({ activeStep, steps, orientation }: {
      activeStep: any;
      steps: any;
      orientation: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/AmbientStepper/StepLabel' {
  export function styles(theme: any): {
      root: {
          display: string;
          alignItems: string;
          '&$alternativeLabel': {
              flexDirection: string;
          };
          '&$disabled': {
              cursor: string;
          };
      };
      horizontal: {};
      vertical: {};
      label: {
          color: any;
          '&$active': {
              color: any;
              fontWeight: number;
          };
          '&$completed': {
              color: any;
              fontWeight: number;
          };
          '&$alternativeLabel': {
              textAlign: string;
          };
          '&$error': {
              color: any;
          };
      };
      active: {};
      completed: {};
      error: {};
      disabled: {};
      iconContainer: {
          flexShrink: number;
          display: string;
          paddingRight: number;
          '&$alternativeLabel': {
              paddingRight: number;
          };
      };
      alternativeLabel: {};
      labelContainer: {
          width: string;
      };
  };
  const _default: any;
  export default _default;

}
declare module 'unity-fluent-library/UI/inputs/menus/FluentSelectDirectoryMenu' {
  export function FluentSelectGroupMenu({ data, placeholder, id, handleChange }: {
      data: any;
      placeholder: any;
      id: any;
      handleChange: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/FluentSelectGroupMenu' {
  export function SelectGroupMenu({ data, placeholder, id, handleChange, className }: {
      data: any;
      placeholder: any;
      id: any;
      handleChange: any;
      className: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/FluentSelectMenu-old' {
  export function FluentSelectMenu(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/FluentSelectMenu' {
  export function FluentSelectMenu({ data, id, onChange: onChangeProp, width, autoCompleteProps, displayProperty, ...otherProps }: {
      [x: string]: any;
      data: any;
      id: any;
      onChange: any;
      width?: number | undefined;
      autoCompleteProps: any;
      displayProperty: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/menus/FluentSimpleSelect' {
  export const FluentSimpleSelect: React.ForwardRefExoticComponent<{
      label: any;
      children: any;
      id: any;
      value: any;
      handleChange: any;
      defaultValue: any;
  } & React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/pickers/FluentColorPicker' {
  export function FluentColorPicker(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/pickers/FluentDatePicker' {
  export function FluentDatePicker(props: any): JSX.Element;
  export namespace FluentDatePicker {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/pickers/FluentTimePicker' {
  export function FluentTimePicker(props: any): JSX.Element;
  export namespace FluentTimePicker {
      namespace propTypes {
          const label: PropTypes.Requireable<string>;
          const id: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/pickers/UdpDateSelector' {
  export function UdpDateSelector(props: any): JSX.Element;
  export namespace UdpDateSelector {
      namespace propTypes {
          const label: PropTypes.Validator<string>;
          const id: PropTypes.Validator<string>;
          const handleDateChange: PropTypes.Requireable<(...args: any[]) => any>;
          const selectedDate: PropTypes.Requireable<string>;
      }
  }
  export default UdpDateSelector;
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/pickers/UdpTimeSelector' {
  export function UdpTimeSelector(props: any): JSX.Element;
  export namespace UdpTimeSelector {
      namespace propTypes {
          const label: PropTypes.Requireable<string>;
          const id: PropTypes.Requireable<string>;
      }
  }
  export default UdpTimeSelector;
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/radio/FluentRadio' {
  export function FluentRadio(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/radio/FluentRadioGroup' {
  export function FluentRadioGroup(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/richEditors/CkRichEditor' {
  export function CkRichEditor(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/sliders/FluentInputSlider' {
  export default FluentInputSlider;
  function FluentInputSlider(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/textField/AmbientAutoComplete' {
  export function AmbientAutoComplete(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/textField/AmbientTextField' {
  export function AmbientTextField(props: any): JSX.Element;
  export namespace AmbientTextField {
      namespace propTypes {
          const id: PropTypes.Requireable<string>;
          const label: PropTypes.Requireable<string>;
          const startAdornment: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const endAdornment: PropTypes.Requireable<PropTypes.ReactNodeLike>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/inputs/textField/FluentSearchField' {
  export function FluentSearchField(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/textField/FluentTagField' {
  export function FluentTagFieldComponent(props: any, ref: any): JSX.Element;
  export const FluentTagField: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/textField/FluentTextField' {
  export function FluentTextFieldComponent(props: any, ref: any): JSX.Element;
  export const FluentTextField: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/inputs/textField/FluentTextFieldAutoComplete' {
  export function FluentTextFieldAutoComplete(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/inputs/toggle/FluentToggle' {
  export function FluentToggle(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/loading/CircularProgress' {
  export function CircularProgress(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/loading/LinearProgress' {
  export function LinearProgress(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/loading/LoadingIndicator' {
  export function LoadingIndicator({ state, width }: {
      state?: boolean | undefined;
      width?: null | undefined;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/loading/LoadingOverlay' {
  export default LoadingOverlay;
  function LoadingOverlay({ open }: {
      open?: boolean | undefined;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/MapLayout' {
  export function MapLayout(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/ActionsRenderer' {
  export default ActionsRenderer;
  function ActionsRenderer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/CheckboxGroup' {
  export function CheckboxGroup(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/CheckboxList' {
  export function CheckboxList(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/CompactCard' {
  export function CompactCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/ListCard' {
  export function ListElement({ subject, value, style, hideDivider }: {
      subject: any;
      value: any;
      style: any;
      hideDivider?: boolean | undefined;
  }): JSX.Element;
  export function ListCard({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/ListView' {
  export default ListView;
  function ListView(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/MapLayoutToolbar' {
  export default MapLayoutToolbar;
  function MapLayoutToolbar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/PopoverCard' {
  export function PopoverCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/PopoverOverlay' {
  export default PopoverOverlay;
  function PopoverOverlay(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/ui/Statistic' {
  export function Statistic(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/mapLayout/utilities/MapUtilities' {
  export function getLowestLevelObject(obj: any): any;
  export function getChildrenObjectsWithNoChildren(arr: any, valueKey: any): any;
  export function searchForLayerOptions(data: any, searchString?: string): any;
  export function getLayer(layerKeys: any, layerKeySeparator: any, obj: any): string;
  export function generateGeoJsonList(data: any, mappingConfig: any): any;

}
declare module 'unity-fluent-library/UI/navigation/FluentSideNav' {
  export function FluentSideNav(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/menus/AppMenu' {
  export function AppMenu({ childrenIcons, menuItems, sidebarExpanded, user }: {
      childrenIcons: any;
      menuItems: any;
      sidebarExpanded: any;
      user: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/menus/AppMenuItem' {
  export namespace AppMenuItemPropTypes {
      const id: PropTypes.Requireable<string>;
      const label: PropTypes.Validator<string>;
      const link: PropTypes.Requireable<string>;
      const icon: PropTypes.Requireable<PropTypes.ReactComponentLike>;
      const iconName: PropTypes.Requireable<string>;
      const items: PropTypes.Requireable<any[]>;
      const indent: PropTypes.Requireable<string>;
      const redirectInfo: PropTypes.Requireable<string>;
      const params: PropTypes.Requireable<object>;
      const menuItemId: PropTypes.Requireable<string>;
      const menuStructureId: PropTypes.Requireable<number>;
      const parentId: PropTypes.Requireable<number>;
      const productId: PropTypes.Requireable<number>;
      const isActive: PropTypes.Requireable<boolean>;
      const roleIds: PropTypes.Requireable<any[]>;
      const getAccessToken: PropTypes.Requireable<any>;
      const childrenIcons: PropTypes.Requireable<boolean>;
      const isChild: PropTypes.Requireable<boolean>;
      const childIndex: PropTypes.Requireable<number>;
      const sidebarExpanded: PropTypes.Requireable<boolean>;
      const devicesHiddenOn: PropTypes.Requireable<any[]>;
  }
  export function AppMenuItem(props: any): JSX.Element;
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/navigation/menus/AppMenuItemComponent' {
  export function AppMenuItemComponent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/menus/Expander' {
  export function Block(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/menus/ExpanderItem' {
  export function ExpanderItem({ label, expanded }: {
      label: any;
      expanded: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/menus/FluentMenuListItem' {
  export function FluentMenuListItem({ label, onClick, ...props }: {
      [x: string]: any;
      label: any;
      onClick: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentSimpleTab' {
  export function FluentSimpleTab(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentSimpleTabs' {
  export function FluentSimpleTabs(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentTabPanel' {
  export function FluentTabPanel(props: any): JSX.Element;
  export namespace FluentTabPanel {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const index: PropTypes.Validator<any>;
          const value: PropTypes.Validator<any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentTabPanels' {
  export function a11yProps(index: any): {
      id: string;
      'aria-controls': string;
  };
  export const StyledTab: any;
  export function FluentTabPanels(props: any): JSX.Element;
  export namespace FluentTabPanels {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const index: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
          const value: PropTypes.Validator<number>;
          const sx: PropTypes.Requireable<object>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/navigation/tabs/defaultTabs/FluentTabUtility' {
  export function FluentTabUtility(props: any, ...otherProps: any[]): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/UdpTabPanel' {
  export function UdpTabPanel(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/UdpTabs' {
  export function UdpTabs(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/navigation/tabs/UdpTabUtility' {
  export function UdpTabUtility(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/PropertyFields' {
  /**
   * Convert a simple key/value properties object to an initialValues object with the prefixes used by widget components
   */
  export function getFieldValuesForProperties(type: any, properties: any): any;
  /**
   * Convert a values object with the prefixes used by widget components into a simple key/value properties object
   */
  export function getPropertiesForFieldValues(type: any, values: any): {};
  export function PropertyField(props: any): JSX.Element;
  export function PropertyFields(props: any): any;

}
declare module 'unity-fluent-library/UI/property/widgets/AutoCompletePropertyWidget' {
  export default AutoCompletePropertyWidget;
  /**
   * `autocomplete` property widget
   *
   * Outputs a Autocomplete field
   */
  function AutoCompletePropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/BooleanPropertyWidget' {
  export default BooleanPropertyWidget;
  /**
   * `boolean` property widget
   *
   * Outputs a select TextField with true/false as options
   */
  function BooleanPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/DatePropertyWidget' {
  export default DatePropertyWidget;
  /**
   * `date` property widget
   *
   * Outputs a DatePicker field
   */
  function DatePropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/DateTimePropertyWidget' {
  export default DateTimePropertyWidget;
  /**
   * `date` property widget
   *
   * Outputs a DateTimePicker field
   */
  function DateTimePropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/FloatPropertyWidget' {
  export default FloatPropertyWidget;
  /**
   * `float` property widget
   *
   * Outputs a type=number TextField with an optional unit and an optional step
   */
  function FloatPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/index' {
  export default widgets;
  namespace widgets {
      export { TextPropertyWidget as TextWidget };
      export { IntegerPropertyWidget as IntegerWidget };
      export { NumericPropertyWidget as NumericWidget };
      export { DatePropertyWidget as DateWidget };
      export { MultilineTextPropertyWidget as MultilineWidget };
      export { SelectPropertyWidget as SelectWidget };
      export { FloatPropertyWidget as FloatWidget };
      export { TimePropertyWidget as TimeWidget };
      export { BooleanPropertyWidget as BooleanWidget };
      export { DateTimePropertyWidget as DateTimeWidget };
      export { AutoCompletePropertyWidget as AutoCompleteWidget };
  }
  import TextPropertyWidget from "unity-fluent-library/UI/property/widgets/TextPropertyWidget";
  import IntegerPropertyWidget from "unity-fluent-library/UI/property/widgets/IntegerPropertyWidget";
  import NumericPropertyWidget from "unity-fluent-library/UI/property/widgets/NumericPropertyWidget";
  import DatePropertyWidget from "unity-fluent-library/UI/property/widgets/DatePropertyWidget";
  import MultilineTextPropertyWidget from "unity-fluent-library/UI/property/widgets/MultilineTextPropertyWidget";
  import SelectPropertyWidget from "unity-fluent-library/UI/property/widgets/SelectPropertyWidget";
  import FloatPropertyWidget from "unity-fluent-library/UI/property/widgets/FloatPropertyWidget";
  import TimePropertyWidget from "unity-fluent-library/UI/property/widgets/TimePropertyWidget";
  import BooleanPropertyWidget from "unity-fluent-library/UI/property/widgets/BooleanPropertyWidget";
  import DateTimePropertyWidget from "unity-fluent-library/UI/property/widgets/DateTimePropertyWidget";
  import AutoCompletePropertyWidget from "unity-fluent-library/UI/property/widgets/AutoCompletePropertyWidget";

}
declare module 'unity-fluent-library/UI/property/widgets/IntegerPropertyWidget' {
  export default IntegerPropertyWidget;
  /**
   * `integer` property widget
   *
   * Outputs a type=number TextField with an optional unit
   */
  function IntegerPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/MultilineTextPropertyWidget' {
  export default MultilineTextPropertyWidget;
  /**
   * `multiline-text` property widget
   *
   * Outputs a multiline TextField
   */
  function MultilineTextPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/NumericPropertyWidget' {
  export default NumericPropertyWidget;
  /**
   * `numeric` property widget
   *
   * Outputs numeric TextField suitable for non-integer numbers like numeric identifier numbers
   */
  function NumericPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/SelectPropertyWidget' {
  export default SelectPropertyWidget;
  /**
   * `select` property widget
   *
   * Outputs a select TextField
   */
  function SelectPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/TextPropertyWidget' {
  export function BaseTextPropertyWidget(props: any): JSX.Element;
  export default TextPropertyWidget;
  /**
   * `text` property widget
   *
   * Outputs a basic TextField
   */
  function TextPropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/property/widgets/TimePropertyWidget' {
  export default TimePropertyWidget;
  /**
   * `time` property widget
   *
   * Outputs a TimePicker field
   */
  function TimePropertyWidget(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/SuccessAction' {
  export function getSuccessAction(closeSnackbar: any): (key: any) => JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/cards/AmbientCard' {
  export function AmbientCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/cards/AmbientCardTitle' {
  export function AmbientCardTitle(props: any): JSX.Element;
  export namespace AmbientCardTitle {
      namespace propTypes {
          const title: string | null;
          const color: string | null;
          const backgroundColor: string | null;
          const variant: elementType | null;
          const style: object | null;
          const textStyle: object | null;
          const children: elementType | null;
      }
  }

}
declare module 'unity-fluent-library/UI/surfaces/cards/AmbientVisualizationCard' {
  export function AmbientVisualizationCard({ title, toggleList1, toggleList2, toggleList3, tabList, tabContent1, tabContent2, tabContent3 }: {
      title: any;
      toggleList1: any;
      toggleList2: any;
      toggleList3: any;
      tabList: any;
      tabContent1: any;
      tabContent2: any;
      tabContent3: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/cards/BioCard' {
  export function BioCard({ children, avatar, alt, firstName, lastName, address, copy, className }: {
      children: any;
      avatar: any;
      alt: any;
      firstName: any;
      lastName: any;
      address: any;
      copy: any;
      className: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/cards/ContentDisplayCard' {
  export function ContentDisplayCard(props: any): any;
  export namespace ContentDisplayCard {
      namespace propTypes {
          const title: PropTypes.Requireable<string>;
          const fullWidth: PropTypes.Requireable<boolean>;
          const className: PropTypes.Requireable<any>;
          const style: PropTypes.Requireable<object>;
          const headerColor: PropTypes.Requireable<string>;
          const loading: PropTypes.Requireable<boolean>;
          const headerElement: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FluentCard' {
  /**
   * A variant of <Card> that uses a square Fluent UI card style
   */
  export const FluentCard: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FluentCardActions' {
  /**
   * A variant of <CardActions> that uses a Fluent UI card style
   */
  export const FluentCardActions: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FluentCardContent' {
  /**
   * A variant of <CardContent> that uses a Fluent UI card style
   */
  export const FluentCardContent: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FluentCardHeader' {
  /**
   * A variant of <CardHeader> that uses a Fluent UI card style
   */
  export const FluentCardHeader: React.ForwardRefExoticComponent<React.RefAttributes<any>>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FUICard' {
  export function FUICardAction(props: any, ref: any): JSX.Element;
  export function FUICardHeaderMenu(props: any, ref: any): JSX.Element;
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/FUICardHeader' {
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/surfaces/cards/InfoCard' {
  export function InfoCard({ children, title, subTitle, relatedTopics, label, headerComponent, subHeaderComponent, size, titleVariant, className, titleHeight }: {
      children: any;
      title: any;
      subTitle: any;
      relatedTopics: any;
      label: any;
      headerComponent?: string | undefined;
      subHeaderComponent?: string | undefined;
      size: any;
      titleVariant?: string | undefined;
      className: any;
      titleHeight: any;
  }): JSX.Element;
  export namespace InfoCard {
      namespace propTypes {
          const children: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
          const title: PropTypes.Validator<string>;
          const subTitle: PropTypes.Requireable<string>;
          const relatedTopics: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
          const label: PropTypes.Requireable<string>;
          const headerComponent: PropTypes.Requireable<string>;
          const subHeaderComponent: PropTypes.Requireable<string>;
          const size: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const headerComponent_1: string;
          export { headerComponent_1 as headerComponent };
          const subHeaderComponent_1: string;
          export { subHeaderComponent_1 as subHeaderComponent };
          const size_1: string;
          export { size_1 as size };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/surfaces/cards/newsCard/NewsCard' {
  export function NewsCard({ number, title, summary, width, component }: {
      number: any;
      title: any;
      summary: any;
      width: any;
      component?: string | undefined;
  }): JSX.Element;
  export namespace NewsCard {
      namespace propTypes {
          const number: PropTypes.Validator<number>;
          const title: PropTypes.Validator<string>;
          const component: PropTypes.Requireable<string>;
          const summary: PropTypes.Validator<string>;
          const width: PropTypes.Requireable<string>;
      }
      namespace defaultProps {
          const component_1: string;
          export { component_1 as component };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/surfaces/cards/QuickViewCard' {
  export function QuickViewCard({ children }: {
      children: any;
  }): JSX.Element;
  export namespace QuickViewCard {
      namespace propTypes {
          const children: node | null;
      }
  }

}
declare module 'unity-fluent-library/UI/surfaces/cards/workOrderCard/WorkOrderCard' {
  export function WorkOrderCard({ title, onClick, status, label, cost, hours, service, list, extendedList, launch, }: {
      title: any;
      onClick: any;
      status: any;
      label: any;
      cost: any;
      hours: any;
      service: any;
      list: any;
      extendedList: any;
      launch: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/cards/workOrderCard/WorkOrderHeader' {
  export function WorkOrderHeader({ cost, hours }: {
      cost: any;
      hours: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/NestedGrid/NestedGrid' {
  export function NestParent({ parentTitle, children, showDetail }: {
      parentTitle: any;
      children: any;
      showDetail: any;
  }): JSX.Element;
  export function NestWrapper({ children, columnFr }: {
      children: any;
      columnFr: any;
  }): JSX.Element;
  export function toggleHeader(type: any, setShowDetail: any, setColumnFr: any): void;
  export function NestedGrid({ children, setShowDetail, setColumnFr, columnFr, childTitle, showDetail }: {
      children: any;
      setShowDetail: any;
      setColumnFr: any;
      columnFr: any;
      childTitle: any;
      showDetail: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/NestedGrid/ui/ExpandRenderer' {
  export function ExpandRenderer({ openNestedGrid, title, icon }: {
      openNestedGrid: any;
      title: any;
      icon: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/surfaces/SideSheet' {
  export function BaseSideSheet(props: any): JSX.Element;
  export function SideSheet(props: any): JSX.Element;
  export namespace SideSheet {
      namespace propTypes {
          const children: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike>>;
          const title: PropTypes.Validator<string>;
          const onClose: PropTypes.Requireable<(...args: any[]) => any>;
          const open: PropTypes.Requireable<boolean>;
          const progress: PropTypes.Requireable<any>;
          const progressColor: PropTypes.Requireable<string>;
          const width: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
          const anchor: PropTypes.Requireable<string>;
          const buttonLabel: PropTypes.Requireable<string>;
          const noPadding: PropTypes.Requireable<string>;
          const contentHeight: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
      }
      namespace defaultProps {
          const anchor_1: string;
          export { anchor_1 as anchor };
          const progressColor_1: string;
          export { progressColor_1 as progressColor };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/AmbientGridTemplate' {
  export function AmbientGridTemplate(props: any): JSX.Element;
  export namespace AmbientGridTemplate {
      namespace propTypes {
          const columnDefs: PropTypes.Requireable<any[]>;
          const handleRowSelected: PropTypes.Requireable<(...args: any[]) => any>;
          const data: PropTypes.Requireable<any[]>;
          const title: PropTypes.Requireable<string>;
          const groupingData: PropTypes.Requireable<any[]>;
          const frameworkComponents: PropTypes.Requireable<object>;
          const loading: PropTypes.Requireable<boolean>;
          const primaryActionButton: PropTypes.Requireable<object>;
          const rowNodeIdName: PropTypes.Requireable<string>;
          const defaultAutoSize: PropTypes.Requireable<boolean>;
          const scrollToTopOnStateChange: PropTypes.Requireable<boolean>;
          const disableDynamicSizing: PropTypes.Requireable<boolean>;
          const filters: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
              value: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const views: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const additionalFilters: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const kpis: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
              value: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
          }> | null | undefined)[]>;
          const useNewHeader: PropTypes.Requireable<boolean>;
          const insightsClick: PropTypes.Requireable<(...args: any[]) => any>;
          const hiddenActionButtons: PropTypes.Requireable<(string | null | undefined)[]>;
          const hiddenLabels: PropTypes.Requireable<(string | null | undefined)[]>;
          const onPrimaryActionClick: PropTypes.Requireable<(...args: any[]) => any>;
          const primaryActionLabel: PropTypes.Requireable<string>;
          const primaryActionIcon: PropTypes.Requireable<PropTypes.ReactComponentLike>;
          const secondaryActionButtons: PropTypes.Requireable<any[]>;
          const applicationName: PropTypes.Requireable<string>;
          const entityName: PropTypes.Requireable<string>;
          const tenantName: PropTypes.Requireable<string>;
          const user: PropTypes.Requireable<object>;
          const kpiValues: PropTypes.Requireable<any[]>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/DraggableSidebarTemplate' {
  export function DraggableSidebarTemplate(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/templates/OpenPage' {
  export function OpenPage(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/templates/SapFlexibleTemplate' {
  export function SapFlexibleTemplate({ left, center, right }: {
      left: any;
      center: any;
      right: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/templates/ToggleSection' {
  export function ToggleSection(props: any): JSX.Element;
  export namespace ToggleSection {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
          const sectionOpen: PropTypes.Requireable<boolean>;
          const options: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const toggleLabel: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/UdpGridTemplate' {
  export function UdpGridTemplate(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/templates/ui/ExtenderToggle' {
  export function ExtenderToggle(props: any): JSX.Element;
  export namespace ExtenderToggle {
      namespace propTypes {
          const onClick: PropTypes.Requireable<(...args: any[]) => any>;
          const toggleLabel: PropTypes.Requireable<string>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/ui/GridGroupingHeader' {
  export function GridGroupingHeader({ expandClick, collapseClick }: {
      expandClick: any;
      collapseClick: any;
  }): JSX.Element;
  export namespace GridGroupingHeader {
      namespace propTypes {
          const expandClick: PropTypes.Validator<(...args: any[]) => any>;
          const collapseClick: PropTypes.Validator<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/ui/GridGroupingSidebar' {
  export function GridGroupingSidebar({ groupItem, expandClick, collapseClick, closeClick, groupingData, height, color }: {
      groupItem: any;
      expandClick: any;
      collapseClick: any;
      closeClick: any;
      groupingData: any;
      height: any;
      color?: string | undefined;
  }): JSX.Element;
  export namespace GridGroupingSidebar {
      namespace propTypes {
          const groupItem: PropTypes.Requireable<(...args: any[]) => any>;
          const expandClick: PropTypes.Requireable<(...args: any[]) => any>;
          const collapseClick: PropTypes.Requireable<(...args: any[]) => any>;
          const closeClick: PropTypes.Requireable<(...args: any[]) => any>;
          const groupingData: PropTypes.Requireable<any[]>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/ui/GridSidebarContainer' {
  export function GridSidebarContainer(props: any): JSX.Element;
  export namespace GridSidebarContainer {
      namespace propTypes {
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/templates/ui/renderers/ActionsRenderer' {
  export const ActionsRenderer: React.NamedExoticComponent<object>;
  import React from "react";

}
declare module 'unity-fluent-library/UI/templates/ui/renderers/IconRenderer' {
  export function IconRenderer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/templates/ui/TokenGroupItem' {
  export function TokenGroupItem({ label, icon, color }: {
      label: any;
      icon?: React.FC<React.HTMLAttributes<HTMLSpanElement> & import("@fluentui/react-icons").ISvgIconProps> | undefined;
      color: any;
  }): JSX.Element;
  export namespace TokenGroupItem {
      namespace propTypes {
          const label: PropTypes.Requireable<string>;
          const icon: PropTypes.Requireable<boolean>;
          const color: PropTypes.Requireable<string>;
      }
  }
  import React from "react";
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/timeline/ExtendActions' {
  export default ExtendActions;
  function ExtendActions(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/timeline/ExtendedHeader' {
  export default ExtendedHeader;
  function ExtendedHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/timeline/fluentTimeline/FluentTimeline' {
  export function FluentTimeline(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/timeline/fluentTimeline/FluentTimelineContent' {
  export function FluentTimelineContent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/timeline/fluentTimeline/FluentTimelineHeader' {
  export function FluentTimelineHeader(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/timeline/TimeEntryStates' {
  export function TimeEntryStates(props: any): string;

}
declare module 'unity-fluent-library/UI/timeline/TimeLine' {
  export function TimeLine({ timelineData, semantic, biasLeft }: {
      timelineData: any;
      semantic: any;
      biasLeft: any;
  }): JSX.Element;
  export default TimeLine;

}
declare module 'unity-fluent-library/UI/timeline/TimelineElement' {
  export default TimelineElement;
  function TimelineElement(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/AggregateChip' {
  export class AggregateChip {
  }

}
declare module 'unity-fluent-library/UI/utilityDisplay/alerts/UdpAlert' {
  export class UdpAlert {
  }

}
declare module 'unity-fluent-library/UI/utilityDisplay/alerts/UdpAlertsContainer' {
  export function UdpAlertsContainer(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/BulkActionsGridButton' {
  export function BulkActionsGridButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/ChipSection' {
  export function ChipSection(props: any): JSX.Element;
  export namespace ChipSection {
      namespace propTypes {
          const filterChips: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
              value: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const viewChips: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const additionalFilterChips: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
          }> | null | undefined)[]>;
          const hideKpiSection: PropTypes.Requireable<boolean>;
          const kpiValues: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Validator<string>;
              value: PropTypes.Validator<NonNullable<NonNullable<string | number | null | undefined>>>;
          }> | null | undefined)[]>;
          const maxKPIsDisplayed: PropTypes.Requireable<number>;
          const handleDelete: PropTypes.Requireable<(...args: any[]) => any>;
          const selectedFilterChipsIndex: PropTypes.Requireable<number>;
          const setSelectedFilterChipsIndex: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/GridActionBar' {
  export function GridActionBar(props: any): JSX.Element;
  export namespace GridActionBar {
      namespace propTypes {
          const title: PropTypes.Requireable<string>;
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const handleChange: PropTypes.Requireable<(...args: any[]) => any>;
          const value: PropTypes.Requireable<number>;
          const fitClick: PropTypes.Requireable<(...args: any[]) => any>;
          const expandClick: PropTypes.Requireable<(...args: any[]) => any>;
          const clearClick: PropTypes.Requireable<(...args: any[]) => any>;
          const exportClick: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/GridPrimaryBar' {
  export function GridPrimaryBar(props: any): JSX.Element;
  export namespace GridPrimaryBar {
      namespace propTypes {
          const title: PropTypes.Requireable<string>;
          const children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const onChange: PropTypes.Requireable<(...args: any[]) => any>;
          const fitClick: PropTypes.Requireable<(...args: any[]) => any>;
          const expandClick: PropTypes.Requireable<(...args: any[]) => any>;
          const clearClick: PropTypes.Requireable<(...args: any[]) => any>;
          const exportClick: PropTypes.Requireable<(...args: any[]) => any>;
          const insightsClick: PropTypes.Requireable<(...args: any[]) => any>;
          const filterClick: PropTypes.Requireable<(...args: any[]) => any>;
          const columnsClick: PropTypes.Requireable<(...args: any[]) => any>;
          const groupClick: PropTypes.Requireable<(...args: any[]) => any>;
          const hideSearchBar: PropTypes.Requireable<boolean>;
          const secondaryActionButtons: PropTypes.Requireable<(object | null | undefined)[]>;
          const hiddenActionButtons: PropTypes.Requireable<(string | null | undefined)[]>;
          const hiddenLabels: PropTypes.Requireable<(string | null | undefined)[]>;
          const onPrimaryActionClick: PropTypes.Requireable<(...args: any[]) => any>;
          const primaryActionLabel: PropTypes.Requireable<string>;
          const primaryActionIcon: PropTypes.Requireable<PropTypes.ReactComponentLike>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/GridViewsSideSheet' {
  export default GridViewsSideSheet;
  function GridViewsSideSheet(props: any): JSX.Element;
  namespace GridViewsSideSheet {
      namespace propTypes {
          const onClose: PropTypes.Validator<(...args: any[]) => any>;
          const open: PropTypes.Validator<boolean>;
          const selectedMethod: PropTypes.Requireable<string>;
          const catalog: PropTypes.Requireable<any[]>;
          const openSaveView: PropTypes.Requireable<(...args: any[]) => any>;
          const setViewChips: PropTypes.Requireable<(...args: any[]) => any>;
          const setFilter: PropTypes.Requireable<(...args: any[]) => any>;
          const rowData: PropTypes.Requireable<any[]>;
          const setSelectedView: PropTypes.Requireable<(...args: any[]) => any>;
          const frameworkComponents: PropTypes.Requireable<object>;
          const scrollToTopOnStateChange: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/SaveViewFormDialog' {
  export function SaveViewFormDialog(props: any): JSX.Element;
  export namespace SaveViewFormDialog {
      namespace propTypes {
          const open: PropTypes.Validator<boolean>;
          const handleClose: PropTypes.Validator<(...args: any[]) => any>;
          const tenant: PropTypes.Requireable<string>;
          const application: PropTypes.Requireable<string>;
          const entity: PropTypes.Requireable<string>;
          const user: PropTypes.Requireable<object>;
          const columnDefsValues: PropTypes.Requireable<any[]>;
          const refetchViews: PropTypes.Requireable<(...args: any[]) => any>;
          const gApi: PropTypes.Requireable<object>;
          const gcApi: PropTypes.Requireable<object>;
          const setSelectedView: PropTypes.Requireable<(...args: any[]) => any>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/ui/UtilitySearch' {
  export function UtilitySearch({ handleExpandOptions, toggleOptions, ...otherProps }: {
      [x: string]: any;
      handleExpandOptions: any;
      toggleOptions: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilities/aggregateUtils' {
  export function getThresholdStatus(aggThreshold: any, aggregateValue: any): string | null;

}
declare module 'unity-fluent-library/UI/utilityDisplay/UtilityBar' {
  export function UtilityBar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilityHeader/PrimaryActionHeader' {
  export function PrimaryActionHeader(props: any): JSX.Element;
  export namespace PrimaryActionHeader {
      namespace propTypes {
          const buttonLabel: PropTypes.Requireable<string>;
          const title: PropTypes.Validator<string>;
          const subheader: PropTypes.Requireable<string>;
          const handleClick: PropTypes.Requireable<(...args: any[]) => any>;
          const secondaryButtons: PropTypes.Requireable<(PropTypes.InferProps<{
              label: PropTypes.Requireable<string>;
              component: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.ReactNodeLike>>;
              click: PropTypes.Requireable<(...args: any[]) => any>;
              key: PropTypes.Requireable<NonNullable<string | number | null | undefined>>;
          }> | null | undefined)[]>;
          const hidePAB: PropTypes.Requireable<boolean>;
          const search: PropTypes.Requireable<boolean>;
          const searchField: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.ReactNodeLike>>;
          const expandOptions: PropTypes.Requireable<(...args: any[]) => any>;
          const handleMouseLeave: PropTypes.Requireable<string>;
          const expandedContent: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const handleChange: PropTypes.Requireable<string>;
          const value: PropTypes.Requireable<any>;
          const tabList: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const tabs: PropTypes.Requireable<boolean>;
          const resizeGrid: PropTypes.Requireable<(...args: any[]) => any>;
          const collapse: PropTypes.Requireable<(...args: any[]) => any>;
          const expandAllItems: PropTypes.Requireable<(...args: any[]) => any>;
          const saveGridConfig: PropTypes.Requireable<(...args: any[]) => any>;
          const deleteGridConfig: PropTypes.Requireable<(...args: any[]) => any>;
          const clearGridConfig: PropTypes.Requireable<(...args: any[]) => any>;
          const groups: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const grid: PropTypes.Requireable<boolean>;
          const otherProps: PropTypes.Requireable<any>;
          const bottomRowSecondary: PropTypes.Requireable<any[]>;
          const topRowSecondary: PropTypes.Requireable<any[]>;
          const clickBack: PropTypes.Requireable<(...args: any[]) => any>;
          const loading: PropTypes.Requireable<boolean>;
          const loadingVal: PropTypes.Requireable<number>;
          const openGroups: PropTypes.Requireable<(...args: any[]) => any>;
          const openFilter: PropTypes.Requireable<(...args: any[]) => any>;
          const altInputs: PropTypes.Requireable<PropTypes.ReactNodeLike>;
          const hideActionRow: PropTypes.Requireable<boolean>;
          const tabProps: PropTypes.Requireable<object>;
          const single: PropTypes.Requireable<boolean>;
      }
      namespace defaultProps {
          const hidePAB_1: boolean;
          export { hidePAB_1 as hidePAB };
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHAdditionalRightComponent' {
  export const PAHAdditionalRightComponentTarget: import("react-teleporter").TargetComponentType;
  export function PAHAdditionalRightComponent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHAdditionalTitleComponent' {
  export const PAHAdditionalTitleComponentTarget: import("react-teleporter").TargetComponentType;
  export function PAHAdditionalTitleComponent(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilityHeader/ui/PAHExport' {
  export function PAHExport({ exportCSV, exportExcel, exportPDF }: {
      exportCSV: any;
      exportExcel: any;
      exportPDF: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/utilityHeader/UtilityTabHeader' {
  export function UtilityTabHeader({ handleChange, value, tabList, title }: {
      handleChange: any;
      value: any;
      tabList: any;
      title?: string | undefined;
  }): JSX.Element;

}
declare module 'unity-fluent-library/UI/utilityDisplay/UtilitySideBar' {
  export function UtilitySideBar(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/atoms/FluentDisplayNumbers' {
  export default FluentDisplayNumbers;
  function FluentDisplayNumbers(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/atoms/FluentStatsSnippet' {
  export default FluentStatsSnippet;
  function FluentStatsSnippet(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/atoms/FluentTrendArrow' {
  export default FluentTrendArrow;
  function FluentTrendArrow(props: any): string;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/ChartSummaryToggle' {
  export default ChartSummaryToggle;
  function ChartSummaryToggle(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/FUIMenuItem' {
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/molecules/FluentPrimaryStatNumber' {
  export default FluentPrimaryStatNumber;
  function FluentPrimaryStatNumber(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/molecules/FluentSecondaryStatNumber' {
  export default FluentSecondaryStatNumber;
  function FluentSecondaryStatNumber(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/molecules/FluentStatNumber' {
  export default FluentStatNumber;
  function FluentStatNumber(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/molecules/FluentTimeline' {
  export default FluentTimeline;
  function FluentTimeline(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/FluentComponents/SimpleTable' {
  export default SimpleTable;
  function SimpleTable(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/ItemsWidgetCard' {
  export function ItemsWidgetCard(props: any): JSX.Element;
  export namespace ItemsWidgetCard {
      namespace propTypes {
          const cardData: any[] | null;
          const subCardsList: object | null;
          const style: any;
      }
  }

}
declare module 'unity-fluent-library/UI/widgets/library/BarChartWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  export namespace params {
      namespace mode {
          const defaultValue: string;
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/BubbleWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  export namespace params {
      namespace mode {
          const defaultValue: string;
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/CircleGaugeWidget' {
  export function CircleGaugeWidget(props: any): JSX.Element;
  export namespace CircleGaugeWidget {
      namespace propTypes {
          const value: string;
          const label: string | null;
          const textVariant: string | null;
          const secondaryValue: string;
          const secondaryStartLabel: string | null;
          const background: string | null;
          const style: object;
      }
  }

}
declare module 'unity-fluent-library/UI/widgets/library/DateTrendWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/DensePlotWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  export namespace params {
      namespace mode {
          const defaultValue: string;
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/DonutChartWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/GaugeWidget' {
  export function GaugeWidget(props: any): JSX.Element;
  export namespace GaugeWidget {
      namespace propTypes {
          const title: string | null;
          const legend: string | null;
          const showTicks: bool | null;
          const unitLabel: string | null;
          const ticksNumber: number | null;
          const backgroundColor: string | null;
          const value: number | null;
          const minValue: number | null;
          const maxValue: number | null;
      }
  }

}
declare module 'unity-fluent-library/UI/widgets/library/LineAndSparklinesWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/LineGraphWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  export namespace params {
      namespace mode {
          const defaultValue: string;
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/ProgressBarWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/RecentlyLoadedNodesWidget' {
  export function RecentlyLoadedNodesWidget(props: any, ref: any): JSX.Element;
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/RemindersWidget' {
  export function RemindersWidget(props: any, ref: any): JSX.Element;
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/SparklineWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/SparsePlotWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  export namespace params {
      namespace mode {
          const defaultValue: string;
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/library/TableWidget' {
  export namespace layout {
      namespace w {
          const _default: number;
          export { _default as default };
          export const min: number;
          export const max: number;
      }
      namespace h {
          const _default_1: number;
          export { _default_1 as default };
          const min_1: number;
          export { min_1 as min };
          const max_1: number;
          export { max_1 as max };
      }
  }
  const _default: React.ForwardRefExoticComponent<Omit<any, "ref"> & React.RefAttributes<any>>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/UI/widgets/utils/ConvertISODate' {
  export function convertISODate(isoDate: any): string;

}
declare module 'unity-fluent-library/UI/widgets/utils/dateUtils' {
  export function formatDateLong(value: any): string;
  export function formatDate(value: any, formatStr?: string): string;
  export function getDaysDiff(dateOne: any, dateTwo: any): number;

}
declare module 'unity-fluent-library/UI/widgets/utils/NumberVisualization' {
  export default NumberVisualization;
  function NumberVisualization(props: any): JSX.Element;

}
declare module 'unity-fluent-library/UI/widgets/utils/useId' {
  /**
   * A simple hook that returns a unique page ID
   */
  export default function useId(name: any, idFromProps: any): any;

}
declare module 'unity-fluent-library/UI/widgets/WidgetCard' {
  export default WidgetCard;
  /**
   * Core component for dashboard widget cards
   */
  function WidgetCard(props: any): JSX.Element;

}
declare module 'unity-fluent-library/uploader/DragDropFileUpload' {
  export function DragDropFileUpload(props: any): JSX.Element;
  export namespace DragDropFileUpload {
      namespace propTypes {
          const title: PropTypes.Requireable<string>;
          const handleUploadFile: PropTypes.Requireable<(...args: any[]) => any>;
          const hideSelectFileButton: PropTypes.Requireable<boolean>;
          const hideFilePreview: PropTypes.Requireable<boolean>;
          const minHeight: number;
          const maxHeight: number;
          const multiple: PropTypes.Requireable<boolean>;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/uploader/FileProfile' {
  export default FileProfile;
  function FileProfile(props: any): JSX.Element;

}
declare module 'unity-fluent-library/uploader/FileType' {
  export function FileType(props: any): string;

}
declare module 'unity-fluent-library/uploader/FileUpload' {
  export default FileUpload;
  function FileUpload(props: any): JSX.Element;

}
declare module 'unity-fluent-library/uploader/ImagePreview' {
  export default ImagePreview;
  function ImagePreview(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/aggrid/aggridHelpers' {
  import { IServerSideDatasource } from '@ag-grid-community/core';
  export const useServerSideDatasource: (refetchData: Function, refetchGroupData: any, filterChanged: any, setFilterChanged: any) => IServerSideDatasource;

}
declare module 'unity-fluent-library/utilities/aggrid/AgTable' {
  import { AgGridEvent, ColumnApi, GridApi } from '@ag-grid-enterprise/all-modules/dist/cjs/main';
  import '@ag-grid-enterprise/all-modules/dist/styles/ag-grid.css';
  import '@ag-grid-enterprise/all-modules/dist/styles/ag-theme-material.css';
  import './ag-grid-styles.scss';
  import { AgGridReactProps } from '@ag-grid-community/react';
  import { Dispatch, FC } from 'react';
  interface AgGridApi {
      gridApi?: GridApi;
      gridColumnApi?: ColumnApi;
  }
  interface UseAgGridApi extends AgGridApi {
      onGridReady: Dispatch<AgGridEvent>;
  }
  /**
   * Utility hook for getting the ag-grid APIs into state
   */
  export function useAgGridApi(): UseAgGridApi;
  export interface AgTableButttonsProps {
      gridApi?: GridApi;
      gridColumnApi?: ColumnApi;
  }
  /**
   * Size/Export buttons for AgGrid tables
   */
  export const AgTableButtons: FC<AgTableButttonsProps>;
  interface AgTableProps extends AgGridReactProps {
      dynamicSizing?: boolean;
      className?: string;
      isUsingAgRowHeight?: boolean;
  }
  /**
   * AgGrid with tweaks
   */
  export const AgTable: FC<AgTableProps>;
  export {};

}
declare module 'unity-fluent-library/utilities/aggrid/datasources/SearchServiceDatasource' {
  export function SearchServiceDatasource(queryData: any, apiMethodId: any, searchFilterElements: any, logicalSearchOperator: LogicalSearchOperatorEnums | undefined, executeQuery: any, storeRowData: any, lookupsMap: any, eagerLoad?: boolean): {
      getRows(params: any): Promise<void>;
  };
  import { LogicalSearchOperatorEnums } from "unity-fluent-library/enums/unitySystemEnums";

}
declare module 'unity-fluent-library/utilities/aggrid/GridFunctions' {
  export function useGridFormat(): ((gridApi: any, type: any) => void)[];
  export function useGridClear(): ((gridApi: any, gridColumnApi: any) => void)[];
  export function useQuickFilter(): ((gridApi: any, event: any) => void)[];
  export function useExport(): ((gridApi: any, type: any) => void)[];
  export function saveGridState(gridId: any, gridApi: any, gridColumnApi: any, execute: any): Promise<any>;
  export function getGridState(gridApi: any, gridColumnApi: any, gridId: any): {
      gridStateTypeId: any;
      gridId: any;
      values: string;
  }[];
  export function deleteGridState(gridApi: any, gridColumnApi: any, deleteGridState: any): Promise<any>;
  export function clearGridState(gridApi: any, gridColumnApi: any): void;
  export function onFirstDataRendered(gridApi: any, gridColumnApi: any, gridStates: any): void;

}
declare module 'unity-fluent-library/utilities/aggrid/SplitButton' {
  export function SplitButton(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/apiHelpers' {
  export function getMergedConfig(accessToken: any, config: any): any;
  export function handleResponseErrors(error: any): Promise<void>;
  export function getAccessToken(): Promise<any>;
  export function useHandleAxiosSnackbar(): {
      handleErrorSnackbar: (error: any, customMessage: any, preCallBack: any, callback: any) => void;
      handleSuccessSnackbar: (message: any, preCallBack: any, callback: any) => void;
  };

}
declare module 'unity-fluent-library/utilities/auth/authActions' {
  export type LoginFunction = () => void;
  export type LogoutFunction = () => void;
  /**
   * Hook providing auth "actions" such as login/logout
   */
  export const useLoginAction: LoginFunction;
  export const loginRedirect: () => void;
  export function useLogoutAction(): LogoutFunction;
  export const localLogout: () => void;
  export function acquireAccessToken(): Promise<string | void>;

}
declare module 'unity-fluent-library/utilities/auth/AuthProvider' {
  import { ReactNode } from 'react';
  export interface UserProviderProps {
      children: ReactNode;
      sessionExpiredModalOpen: boolean;
      setSessionExpiredModalOpen: Function;
      setNonExistingUserModalOpen: Function;
      setErrorMessage: Function;
      isWhiteListed: boolean;
  }
  export interface AuthProviderProps {
      children: ReactNode;
  }
  /**
   * Provides msal+univerus authentication to the app
   */
  export const AuthProvider: ({ children }: AuthProviderProps) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/auth/AuthProviderWrapper' {
  export function AuthProviderWrapper(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/auth/internal' {
  /// <reference types="react" />
  import { User } from 'unity-fluent-library/utilities/auth/user';
  export type UserAction = {
      type: 'SET_USER';
  };
  export type AccessTokenAction = {
      type: 'SET_ACCESS_TOKEN';
  };
  export type Dispatch = (action: UserAction | AccessTokenAction) => void;
  export const UserContext: import("react").Context<User | null>;
  export const UserDispatchContext: import("react").Context<Dispatch | null>;

}
declare module 'unity-fluent-library/utilities/auth/LocalAuthProvider' {
  import { ReactNode } from 'react';
  export interface LocalAuthProviderProps {
      children: ReactNode;
  }
  export const LocalAuthProvider: ({ children }: LocalAuthProviderProps) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/auth/refreshTokenHandler' {
  export class refreshTokenHandler {
      activeRefresh: boolean;
      refreshPromise: Promise<void | import("axios").AxiosResponse<any, any>> | null;
      refreshToken(): Promise<any>;
  }

}
declare module 'unity-fluent-library/utilities/auth/signInAuthProvider' {
  import { PublicClientApplication, Configuration } from '@azure/msal-browser';
  export const apiAccessScope: string;
  export const changePasswordUri: string;
  export const signInConfig: Configuration;
  export const signInAuthProvider: PublicClientApplication;
  export const tokenRequest: {
      scopes: string[];
  };
  export const loginRequest: {
      scopes: string[];
      state: string;
  };

}
declare module 'unity-fluent-library/utilities/auth/useAccessToken' {
  export function useAccessToken(): null;

}
declare module 'unity-fluent-library/utilities/auth/useAuthedUser' {
  import { User } from 'unity-fluent-library/utilities/auth/user';
  /**
   * Hook that provides a returnTo string for the current location
   */
  export function useCurrentPageReturnTo(): {
      pathname: any;
      search: any;
      hash: any;
  };
  export function useIsAuthed(): boolean;
  /**
   * Hook used on routes that require a logged in user to ensure that the user is logged in
   * @see {@link useUser}
   */
  export function useAuthedUser(): User | null;

}
declare module 'unity-fluent-library/utilities/auth/useIsUnityAuthenticated' {
  export function useIsUnityAuthenticated(): boolean;

}
declare module 'unity-fluent-library/utilities/auth/user' {
  export interface User {
      name: string | undefined;
      firstName: string | undefined;
      familyName: string | undefined;
      jobTitle: string | undefined;
      email: string | undefined;
      mobile: string | undefined;
      phone: string | undefined;
      id: string | undefined;
      location: string | undefined;
      aadId: string | undefined;
      accessToken: string | undefined;
      defaultTenantId: string | undefined;
      currentTenantId: string | undefined;
      tenantIds: Array<string> | undefined;
      roleIds: Array<string> | undefined;
      products: Array<object> | undefined;
      permissions: Array<object> | undefined;
      can: any | undefined;
      statusCode: number | undefined;
      unityId: string | undefined;
      additionalProperties: any | undefined;
      roleNames: Array<string> | undefined;
  }
  /**
   * Create a "unified" user object from MSAL account info and Univerus user data (in the future)
   */
  export function createUser(userInfo: any): User;

}
declare module 'unity-fluent-library/utilities/auth/users' {
  export function useUserActions(): {
      setUser: (user: any) => void;
      changeTenant: (tenantId: any) => void;
  };
  export function useLocalUserActions(): {
      setUser: (user: any) => void;
      setAccessToken: (accessToken: any) => void;
  };

}
declare module 'unity-fluent-library/utilities/auth/useSingleLogout' {
  import 'react';
  export const useSingleLogout: () => () => void;

}
declare module 'unity-fluent-library/utilities/auth/useUser' {
  import { User } from 'unity-fluent-library/utilities/auth/user';
  /**
   * Get the current User object (or null if not logged in)
   *
   * Does not redirect to login
   * @see {@link useAuthedUser}
   */
  export function useUser(): User | null;

}
declare module 'unity-fluent-library/utilities/auth/whitelistedPaths' {
  export const whitelistedPaths: string[];

}
declare module 'unity-fluent-library/utilities/axiosInterceptors' {
  export default axiosInterceptors;
  function axiosInterceptors(): void;

}
declare module 'unity-fluent-library/utilities/brand' {
  export namespace corporateColors {
      const greyBlue: string;
      const teal: string;
      const gold: string;
      const grey: string;
      const lightGrey: string;
  }
  export namespace corporateColorsHint {
      const build: string;
      const engage: string;
      const play: string;
      const manage: string;
  }
  export namespace productCategoryColors {
      const blue: string;
      const magenta: string;
      const green: string;
      const orange: string;
  }

}
declare module 'unity-fluent-library/utilities/crud/useDefaultFormValues' {
  export function useDefaultFormValues(initialObjectSchema: any, filterPropertyName?: string, excludePropertyName?: string): {
      defaultFormValues: {
          [k: string]: any;
      };
  };
  export default useDefaultFormValues;

}
declare module 'unity-fluent-library/utilities/CustomNavigationClient' {
  export default CustomNavigationClient;
  /**
   * Extending the default NavigationClient allows you to overwrite just navigateInternal while continuing to use the default navigateExternal function
   * If you would like to overwrite both you can implement INavigationClient directly instead
   */
  class CustomNavigationClient extends NavigationClient {
      constructor(history: any);
      history: any;
      navigateInternal(url: any, options: any): Promise<boolean>;
  }
  import { NavigationClient } from "@azure/msal-browser";

}
declare module 'unity-fluent-library/utilities/DemoJuly/redirectToProduct' {
  export function redirectToProductOnClick(redirectInfo: any, tenantId: any): void;

}
declare module 'unity-fluent-library/utilities/entities/entityUtilities' {
  export function getCommonEntityName(entityName: any): any;
  export function getSanitizedName(entityName: any): any;
  export function getFullyQualifiedName(udpObjectInfo: any): string;

}
declare module 'unity-fluent-library/utilities/floorplanFunctions/gridVisualizationFunctions' {
  export function useScreenControl(e: any): (number | boolean | import("react").Dispatch<import("react").SetStateAction<boolean>>)[];
  export function useNoticeUpdate(): {}[];

}
declare module 'unity-fluent-library/utilities/FluentIcon' {
  export function FluentIcon(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/AltSubmitButton' {
  import React, { ComponentType } from 'react';
  import { ButtonProps } from '@material-ui/core';
  import { FluentButton } from 'unity-fluent-library/UI/inputs/buttons/FluentButton';
  export type AltSubmitButtonProps<P = {}, D extends React.ElementType = 'button'> = Omit<ButtonProps<D, P>, 'onClick'> & {
      ButtonComponent: typeof FluentButton;
      disablePristine: boolean;
  };
  type AltSubmitButtonComponent<P = {}, D extends React.ElementType = 'button'> = ComponentType<AltSubmitButtonProps<P, D>>;
  /**
   * Submit button
   */
  const AltSubmitButton: AltSubmitButtonComponent;
  export default AltSubmitButton;

}
declare module 'unity-fluent-library/utilities/form/Field' {
  import { InputBaseComponentProps } from '@material-ui/core';
  import React, { ElementType, ComponentType } from 'react';
  import { FieldProps as FinalFieldProps, FieldRenderProps } from 'react-final-form';
  export interface MuiFieldComponentProps {
      error?: boolean;
      helperText?: React.ReactNode;
      inputProps?: InputBaseComponentProps;
      onChange: React.ChangeEventHandler;
      ComponentProps?: MuiFieldComponentProps;
  }
  export type MuiFieldComponent = ElementType<MuiFieldComponentProps>;
  export type FieldProps<FieldValue, RP extends FieldRenderProps<FieldValue, T>, T extends HTMLElement = HTMLElement> = {
      component: MuiFieldComponent;
      valueForChange?: (event: React.ChangeEvent<T>) => FieldValue;
  } & Pick<FinalFieldProps<FieldValue, RP, T>, 'afterSubmit' | 'allowNull' | 'beforeSubmit' | 'defaultValue' | 'format' | 'formatOnBlur' | 'initialValue' | 'isEqual' | 'name' | 'parse' | 'subscription' | 'type' | 'validate' | 'validateFields' | 'value' | 'required'> & MuiFieldComponentProps;
  type FieldComponent<FieldValue = any, RP extends FieldRenderProps<FieldValue, T> = FieldRenderProps<FieldValue, HTMLElement>, T extends HTMLElement = HTMLElement> = ComponentType<FieldProps<FieldValue, RP, T>>;
  /**
   * final-form Field wrapper that supports using Material UI fields as components
   * @todo Implement a validation function that uses required, etc... (or defer this till Redwerks' form library is built)
   */
  export let Field: FieldComponent;
  export {};

}
declare module 'unity-fluent-library/utilities/form/final-form-scroll/createDecorator' {
  export default createDecorator;
  /**
   * The decorator is created based on final-form-focus https://github.com/final-form/final-form-focus
   */
  function createDecorator(): (form: any) => () => void;

}
declare module 'unity-fluent-library/utilities/form/final-form-scroll/findInput' {
  export default findInput;
  function findInput(inputs: any, errors: any): any;

}
declare module 'unity-fluent-library/utilities/form/final-form-scroll/getAllInputs' {
  export default getAllInputs;
  function getAllInputs(): any;

}
declare module 'unity-fluent-library/utilities/form/final-form-scroll/isFocusableInput' {
  export default isFocusableInput;
  function isFocusableInput(wtf: any): boolean;

}
declare module 'unity-fluent-library/utilities/form/Form' {
  import React from 'react';
  import { AnyObject, FormProps as FinalFormProps, FormRenderProps } from 'react-final-form';
  export interface FormProps<FormValues = AnyObject> extends FinalFormProps<FormValues> {
      children?: (props: FormRenderProps<FormValues>) => React.ReactNode;
      id?: string;
  }
  export const Form: React.ForwardRefExoticComponent<Omit<FormProps<AnyObject>, "ref"> & React.RefAttributes<any>>;

}
declare module 'unity-fluent-library/utilities/form/FormButtons' {
  import React from 'react';
  export type FormButtonsProps = {};
  export const FormButtons: React.ForwardRefExoticComponent<React.RefAttributes<unknown>>;

}
declare module 'unity-fluent-library/utilities/form/FormError' {
  import { TypographyProps } from '@material-ui/core';
  import { FC } from 'react';
  export type FormErrorProps = TypographyProps<'p', {}>;
  /**
   * Displays form-wide validation and submit errors in a MUI Typography error element
   */
  export const FormError: FC<FormErrorProps>;

}
declare module 'unity-fluent-library/utilities/form/formHooks' {
  export function useForm(): import("final-form").FormApi<Record<string, any>, Partial<Record<string, any>>>;
  export function useField(): import("react-final-form").FieldRenderProps<any, HTMLElement, any>;
  export function useFormState(): import("final-form").FormState<Record<string, any>, Partial<Record<string, any>>>;

}
declare module 'unity-fluent-library/utilities/form/FormSpy' {
  import React, { FC } from 'react';
  import { AnyObject, FormSpyProps as FinalFormSpyProps, FormSpyRenderProps } from 'react-final-form';
  export interface FormSpyProps<FormValues = AnyObject> extends FinalFormSpyProps<FormValues> {
      children?: (props: FormSpyRenderProps<FormValues>) => React.ReactNode;
      id?: string;
  }
  /**
   * final-form Form Spy wrapper
   */
  export const FormSpy: FC<FormSpyProps>;

}
declare module 'unity-fluent-library/utilities/form/index' {
  export * from 'unity-fluent-library/utilities/form/Form';
  export * from 'unity-fluent-library/utilities/form/Field';
  export * from 'unity-fluent-library/utilities/form/FormError';
  export * from 'unity-fluent-library/utilities/form/SubmitButton';
  export * from 'unity-fluent-library/utilities/form/FormButtons';
  export * from 'unity-fluent-library/utilities/form/useFieldChangeListener';
  export * from 'unity-fluent-library/utilities/form/FormSpy';
  export * from 'unity-fluent-library/utilities/form/formHooks';

}
declare module 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model' {
  export enum PaymentTenderTypeEnum {
      CreditCard = 1,
      ECheck = 2,
      Cash = 3,
      Check = 4,
      DebitCard = 5,
      ECheckNoPost = 7
  }
  export enum PaymentVendorFactoryEnum {
      AuthorizeNet = 10,
      Stripe = 20,
      DummyCashAccount = 30,
      Paymentus = 40,
      Fiserv = 50,
      ECheck = 60,
      DummyAuthorization = 444,
      DummyLockbox = 999
  }
  export enum ProviderType {
      iCheck = "iCheck",
      Paymentus = "Paymentus",
      Stripe = "Stripe",
      AuthorizeNet = "AuthorizeNet",
      Fiserv = "Fiserv"
  }
  export interface CustomerDetails {
      accountNumber?: string;
      firstName?: string;
      lastName?: string;
      company?: string;
      amount?: string | number | null | undefined;
      salesTax?: number;
      custId?: number | string;
      street1?: string;
      street2?: string;
      city?: string | number;
      state?: string;
      zip?: number;
      email?: string;
      phone?: string;
      description?: string;
  }

}
declare module 'unity-fluent-library/utilities/form/paymentForm/BankAccountForm' {
  import { CustomerDetails, PaymentVendorFactoryEnum } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  interface BankAccountFormProps {
      accountTypes?: any[];
      isFormDisabled?: boolean;
  }
  interface BankAccountFormProps {
      bankAccountTypes?: any[];
      isFormDisabled?: boolean;
      customerDetails: CustomerDetails;
      providerType?: PaymentVendorFactoryEnum | null;
      providerProps?: any;
      isHostedPaymentPage?: boolean | null;
      hasReadPropertiesError?: boolean | null;
      readPropertiesMessageError?: string | null;
      onStatusChange?: (paymentFormResult: boolean) => void;
      enabled?: boolean | null;
  }
  /**
   * BankAccountForm
   *
   * @param {BankAccountFormProps} { bankAccountTypes = [], isFormDisabled = false, providerType = null, providerProps = null }
   * @return {*}
   */
  export const BankAccountForm: ({ bankAccountTypes, isFormDisabled, providerType, providerProps, customerDetails, isHostedPaymentPage, hasReadPropertiesError, readPropertiesMessageError, onStatusChange, enabled, ...restProps }: BankAccountFormProps & {
      [key: string]: any;
  }) => any;
  export {};

}
declare module 'unity-fluent-library/utilities/form/paymentForm/BankIcon' {
  import * as React from "react";
  /**
   * BankIcon
   *
   * @param {(JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>)} props
   * @return {*}
   */
  export const BankIcon: (props: JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CashForm' {
  /// <reference types="react" />
  import { CustomerDetails } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  interface CashFormProps {
      isFormDisabled?: boolean;
      customerDetails: CustomerDetails;
      amountValue?: string | number | null | undefined;
      onStatusChange?: (paymentFormResult: boolean) => void;
  }
  export const CashForm: ({ isFormDisabled, customerDetails, amountValue, onStatusChange }: CashFormProps) => JSX.Element;
  export {};

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CashIcon' {
  import * as React from "react";
  /**
   * CashIcon
   *
   * @param {(JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>)} props
   * @return {*}
   */
  export const CashIcon: (props: JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CheckIcon' {
  import * as React from "react";
  /**
   * CheckIcon
   *
   * @param {(JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>)} props
   * @return {*}
   */
  export const CheckIcon: (props: JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CreditCardForm' {
  import { CustomerDetails, PaymentVendorFactoryEnum } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  interface CreditCardFormProps {
      isFormDisabled?: boolean;
      customerDetails: CustomerDetails;
      providerType?: PaymentVendorFactoryEnum | null;
      providerProps?: any;
      isHostedPaymentPage?: boolean | null;
      hasReadPropertiesError?: boolean | null;
      readPropertiesMessageError?: string | null;
      enabled?: boolean | null;
      onStatusChange?: (paymentFormResult: any) => void;
  }
  /**
   * CreditCardForm Component
   *
   * This component provides a form interface for entering credit card details including card number,
   * expiry date, and CVV. It supports both direct input forms and hosted payment forms provided by
   * external payment vendors. It dynamically adjusts based on the context it is used in, such as
   * rendering a custom UI for hosted payments or handling different provider types.
   *
   * Props:
   *   @param {CreditCardFormProps} props - The properties passed to the component.
   *     @param {boolean} isFormDisabled - Indicates if the form should be rendered as disabled.
   *     @param {CustomerDetails} customerDetails - Customer details object containing the account number and other info.
   *     @param {PaymentVendorFactoryEnum | null} providerType - The type of payment provider, which dictates the handling of payment processing.
   *     @param {any} providerProps - Additional properties specific to the payment provider.
   *     @param {boolean | null} isHostedPaymentPage - Indicates if the payment is being handled through a hosted payment page.
   *     @param {boolean | null} hasReadPropertiesError - Flag indicating if there was an error fetching properties for the hosted payment page.
   *     @param {string | null} readPropertiesMessageError - The error message associated with failing to read properties.
   *     @param {boolean | null} enabled - Indicates if the payment method is currently enabled.
   *     @param {Function} onStatusChange - Callback function that handles status changes during form interactions.
   *
   * Behavior:
   *   - The component uses a mix of local state and props to control the display and functionality.
   *   - It supports displaying an error state and message if there are issues with rendering a hosted payment form.
   *   - For direct input forms, it provides formatted fields for credit card number, expiry date, and CVV.
   *   - The form also offers a checkbox to save the credit card details as a new payment method.
   *   - Input adornments and validation are used to enhance user experience by providing visual cues and immediate feedback on input formats.
   *
   * Example Usage:
   * <CreditCardForm
   *   isFormDisabled={false}
   *   customerDetails={customerData}
   *   providerType={PaymentVendorFactoryEnum.Stripe}
   *   providerProps={providerSpecificProps}
   *   isHostedPaymentPage={true}
   *   hasReadPropertiesError={false}
   *   readPropertiesMessageError="Unable to load"
   *   enabled={true}
   *   onStatusChange={handleStatusChange}
   * />
   *
   * Note:
   * - This component should be wrapped within a React context or provider that handles theming, internationalization, and form state management.
   * - Ensure that the `usePaymentProviderForm` and other hooks used are properly initialized and managed within the project.
   */
  export const CreditCardForm: ({ isFormDisabled, customerDetails, providerType, providerProps, isHostedPaymentPage, hasReadPropertiesError, readPropertiesMessageError, enabled, onStatusChange, ...restProps }: CreditCardFormProps) => any;
  export {};

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CreditCardIcon' {
  import * as React from "react";
  /**
   * CreditCardIcon
   *
   * @param {(JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>)} props
   * @return {*}
   */
  export const CreditCardIcon: (props: JSX.IntrinsicAttributes & React.SVGProps<SVGSVGElement>) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/CreditCardUtils' {
  /**
   * formatCreditCardNumber - Format credit card number
   *
   * @export
   * @param {*} value
   * @return {*}
   */
  export function formatCreditCardNumber(value: any): any;
  /**
   * formatCVC - formats the CVC value
   *
   * @export
   * @param {*} value
   * @param {*} prevValue
   * @param {*} [allValues={}]
   * @return {*}
   */
  export function formatCVC(value: any, prevValue: any, allValues?: {
      number?: string;
  }): string;
  /**
   * formatExpirationDate - format expiration date
   * @export
   * @param {*} value
   * @return {*}
   */
  export function formatExpirationDate(value: any): string;
  /**
   * formatBankAccountNumber - Format bank account number
   * @export
   * @param {*} value
   * @return {*}
   */
  export function formatBankAccountNumber(value: any): string;
  /**
   * formatRoutingNumber - format routing number
   * @export
   * @param {*} value
   * @return {*}
   */
  export function formatRoutingNumber(value: any): string;
  export const getCreditCardMethodIcon: (creditCardNumber: any) => any;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/DisableOverlay' {
  /// <reference types="react" />
  /**
   * DisabledOverlay
   *
   * @param {*} { message }
   * @return {*}
   */
  export const DisabledOverlay: ({ message }: any) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/PaymentCard' {
  import React, { FC } from 'react';
  interface PaymentCardProps {
      title?: string;
      className?: any;
      style?: any;
      headerColor?: string;
      loading?: boolean;
      headerElement?: React.ReactNode;
      children: React.ReactNode;
  }
  export const PaymentCard: FC<PaymentCardProps>;
  export {};

}
declare module 'unity-fluent-library/utilities/form/paymentForm/PaymentForm' {
  import React, { FC } from 'react';
  export interface CustomerDetails {
      accountNumber?: string;
      firstName?: string;
      lastName?: string;
      company?: string;
      amount?: string | number | null | undefined;
      salesTax?: number;
      custId?: number | string;
      street1?: string;
      street2?: string;
      city?: string | number;
      state?: string;
      zip?: number;
      email?: string;
      phone?: string;
      description?: string;
  }
  export interface PaymentMethodProps {
      activeTab?: number;
      paymentMethodsArray?: any[];
      paymentAccounts?: any[];
      customerDetails: CustomerDetails;
      bankAccountTypes?: any[];
      loading: boolean;
      handlePaymentTabChange: (event: React.ChangeEvent<{}>, paymentMethodTab: any) => void;
      onStatusChange?: (paymentFormResult: any) => void;
      submit?: (event: React.FormEvent<HTMLFormElement>) => void;
  }
  /**
   * PaymentForm Component
   *
   * This component provides a user interface for selecting and handling different payment methods,
   * such as credit cards, eChecks, debit cards, and cash. It allows users to switch between
   * available payment methods using tabs and handles the form submission process. Each payment method
   * has its own form component that is displayed based on the selected tab.
   *
   * Props:
   *   @param {PaymentMethodProps} props - Object containing the following properties:
   *     @param {number} activeTab - The index of the currently active tab.
   *     @param {IPaymentMethodTab[]} paymentMethodsArray - Array of payment methods available for selection.
   *     @param {any[]} paymentAccounts - Array of payment accounts associated with the user.
   *     @param {CustomerDetails} customerDetails - Object containing details about the customer.
   *     @param {any[]} bankAccountTypes - Array of bank account types available for eCheck payments.
   *     @param {boolean} loading - Boolean flag indicating if asynchronous operations like data fetching are in progress.
   *     @param {Function} handlePaymentTabChange - Function to handle changes in the selected payment tab.
   *     @param {Function} onStatusChange - Optional function to handle status changes during form interactions.
   *     @param {Function} submit - Function to be called on form submission.
   *
   * Usage:
   * The component utilizes Material-UI components to render tabs and form controls. It manages state
   * using React's useState for tracking the active tab and other interaction-specific data.
   *
   * The component is styled using makeStyles from Material-UI, and it uses theme-based styles to adapt
   * to different themes (e.g., light or dark mode).
   *
   * Each payment method form (e.g., CreditCardForm, CashForm, etc.) is conditionally rendered based on
   * the currently selected payment method. These forms inherit properties and methods from the main
   * PaymentForm component to maintain consistent behavior and styling across different payment methods.
   *
   * The component also handles localization via the useTranslation hook from react-i18next, ensuring
   * that all displayed text can be translated according to the user's language preferences.
   *
   * Example:
   * <PaymentForm
   *   activeTab={0}
   *   paymentMethodsArray={paymentMethods}
   *   paymentAccounts={accounts}
   *   customerDetails={customerDetails}
   *   bankAccountTypes={accountTypes}
   *   loading={isLoading}
   *   handlePaymentTabChange={handleTabChange}
   *   onStatusChange={handleStatusChange}
   *   submit={handleSubmit}
   * />
   *
   * Note:
   * This component should be used within a React environment that supports hooks and functional components,
   * and it requires Material-UI and react-i18next to be set up in the project.
   */
  export const PaymentForm: FC<PaymentMethodProps>;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/TabPanel' {
  import React from 'react';
  export const a11yProps: (index: number | string) => {
      id: string;
      'aria-controls': string;
  };
  export const StyledTab: any;
  interface TabPanelProps {
      children?: React.ReactNode;
      index: number;
      value: number;
      sx?: any;
  }
  /**
   * TabPanel
   *
   * @param {TabPanelProps} props
   * @return {*}
   */
  export const TabPanel: (props: TabPanelProps) => JSX.Element;
  export {};

}
declare module 'unity-fluent-library/utilities/form/paymentForm/usePaymentProviderForm' {
  import { PaymentTenderTypeEnum } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  /**
   * useProviderForm
   *
   * @param {(PaymentTenderTypeEnum | undefined)} paymentMethod
   * @param {*} providerType
   * @param {*} providerProps
   * @param {(paymentFormResult: any) => void} onStatusChange
   * @return {*}  {*}
   */
  export const usePaymentProviderForm: (paymentMethod: PaymentTenderTypeEnum | undefined, providerType: any, providerProps: any, onStatusChange?: ((paymentFormResult: any) => void) | undefined, customerDetails?: any) => any;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/vendorsForms/FiservForm' {
  /// <reference types="react" />
  import { PaymentTenderTypeEnum } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  /**
   * `FiservForm` Component
   *
   * This component is responsible for rendering an iframe for payment processing tailored for the Fiserv payment gateway. It manages the dynamic creation of the iframe URL based on the provided attributes and configures the iframe behavior accordingly.
   *
   * @param {Object} {
   *   paymentMethod = PaymentTenderTypeEnum.CreditCard,
   *   baseUrl = "https://fts-uat.cardconnect.com/itoke/ajax-tokenizer.html",
   *   customCss = defaultCssStyles,
   *   attributes = null
   * } The properties passed to the component.
   * @param {PaymentTenderTypeEnum} [paymentMethod=PaymentTenderTypeEnum.CreditCard] The payment method type, affecting the endpoint.
   * @param {Object} [onStatusChange=null] Callback function to handle the status change event.
   * @param {string} [baseUrl="https://fts-uat.cardconnect.com/itoke/ajax-tokenizer.html"] The base URL for the Fiserv payment gateway iframe.
   * @param {string} [customCss=defaultCssStyles] Custom CSS to apply within the iframe.
   * @param {Object} [attributes=null] Additional payment attributes to append as query parameters.
   * @param {string} [attributes.placeholder] Placeholder text for the card fields.
   * @param {string} [attributes.placeholdercvv] Placeholder text for the CVV field.
   * @param {string} [attributes.placeholdermonth] Placeholder for the expiration month field.
   * @param {string} [attributes.placeholderyear] Placeholder for the expiration year field.
   * @param {boolean} [attributes.useexpiry=true] Flag to enable the use of the expiration date.
   * @param {boolean} [attributes.usecvv=true] Flag to enable the use of the CVV code.
   * @param {boolean} [attributes.invalidcreditcardevent=true] Event triggered on invalid card input.
   * @param {boolean} [attributes.formatinput=true] Formats the card input fields.
   * @param {boolean} [attributes.unique=true] Ensures unique card number inputs.
   * @param {boolean} [attributes.enhancedresponse=true] Provides enhanced responses.
   * @param {boolean} [attributes.cardnumbernumericonly=true] Allows only numeric input for the card number.
   * @param {boolean} [attributes.fullmobilekeyboard=false] Enables full mobile keyboard access.
   *
   * @return {React.Component} The `FiservForm` component that handles the rendering of the payment iframe and processes payment data or errors.
   */
  export const FiservForm: ({ paymentMethod, onStatusChange, baseUrl, customCss, attributes, }: {
      paymentMethod?: PaymentTenderTypeEnum | undefined;
      onStatusChange?: ((paymentFormResult: any) => void) | undefined;
      baseUrl?: string | undefined;
      customCss?: string | undefined;
      attributes?: null | undefined;
  }) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/form/paymentForm/vendorsForms/ICheckForm' {
  import React from 'react';
  import { PaymentTenderTypeEnum } from 'unity-fluent-library/utilities/form/paymentForm/AccountPayment.model';
  import { CustomerDetails } from 'unity-fluent-library/utilities/form/paymentForm/PaymentForm';
  interface iCheckFormProps {
      paymentMethod?: PaymentTenderTypeEnum;
      onStatusChange?: (paymentFormResult: any) => void;
      customerDetails: CustomerDetails;
      baseUrl: string;
      customCss?: string;
      attributes?: any;
  }
  /**
   * `ICheckForm` Component
   *
   * Renders an iframe for payment processing via the iCheckGateway. Depending on the payment method, it dynamically generates the iframe URL with the appropriate query parameters. The component also listens for messages from the iframe, handling payment data or errors.
   *
   * @param {Object} props The properties passed to the component.
   * @param {PaymentTenderTypeEnum} [paymentMethod=PaymentTenderTypeEnum.CreditCard] Specifies the type of payment method, influencing the iframe endpoint.
   * @param {Object} [onStatusChange=null] Callback function to handle the status change event.
   * @param {Object} [customerDetails=null] An object containing customer details such as firstName, lastName, email, etc.
   * @param {string} [baseUrl="https://iframe.icheckgateway.com"] The base URL for the payment gateway iframe.
   * @param {string} [customCss=defaultCssStyles] Custom CSS styles to be applied within the iframe.
   * @param {Object} [attributes=null] An object containing additional payment attributes such as appId, appSecret, custId, etc. These are dynamically appended to the iframe URL as query parameters.
   * @param {string} [attributes.appId] Application ID for the payment gateway.
   * @param {string} [attributes.appSecret] Application secret for the payment gateway.
   * @param {string} [attributes.custId] Customer ID.
   * @param {string} [attributes.saveTokenDisabled] Flag to disable token saving.
   * @param {string} [attributes.firstName] Customer's first name.
   * @param {string} [attributes.lastName] Customer's last name.
   * @param {string} [attributes.email] Customer's email address.
   * @param {string} [attributes.company] Customer's company name.
   * @param {string} [attributes.street1] Customer's street address line 1.
   * @param {string} [attributes.street2] Customer's street address line 2.
   * @param {string} [attributes.city] Customer's city.
   * @param {string} [attributes.custom1] A custom field for additional data.
   * @param {string} [attributes.amount] Payment amount.
   * @param {string} [attributes.salesTax] Applicable sales tax.
   * @param {string} [attributes.entryClassCode] Entry class code for the transaction.
   * @param {string} [attributes.css] Custom CSS for the iframe content.
   * @param {string} [attributes.hostedURL="https://iframe.icheckgateway.com"] Hosted URL; defaults to the base URL but can be overridden.
   *
   * @return {React.Component} The `ICheckForm` component renders an iframe for payment processing and displays the payment response.
   */
  export const ICheckForm: React.FC<iCheckFormProps>;
  export {};

}
declare module 'unity-fluent-library/utilities/form/SubmitButton' {
  import { ButtonProps } from '@material-ui/core';
  import React, { ComponentType } from 'react';
  import { FluentButton } from 'unity-fluent-library/UI/inputs/buttons/FluentButton';
  export type SubmitButtonProps<P = {}, D extends React.ElementType = 'button'> = ButtonProps<D, P> & {
      ButtonComponent?: typeof FluentButton;
      disablePristine: boolean;
  };
  type SubmitButtonComponent<P = {}, D extends React.ElementType = 'button'> = ComponentType<SubmitButtonProps<P, D>>;
  /**
   * A MUI Button varaint intended for use as the submit button for a form
   */
  export let SubmitButton: SubmitButtonComponent;
  export {};

}
declare module 'unity-fluent-library/utilities/form/useFieldChangeListener' {
  import { FormApi } from 'final-form';
  export type FieldChangeCallback<T> = (form: FormApi, value: T, prevValue: T) => void;
  /**
   * Form helper hook that runs a callback when the value of a field has changed
   * Usefull for creating effects where changes to one field affect the value of another field imperatively
   */
  export function useFieldChangeListener<T>(name: string, cb: FieldChangeCallback<T>): void;

}
declare module 'unity-fluent-library/utilities/iconLibrary/IconLibrary' {
  const _default: React.MemoExoticComponent<(props: any) => JSX.Element>;
  export default _default;
  import React from "react";

}
declare module 'unity-fluent-library/utilities/iconLibrary/IconLibraryComponent' {
  export default IconLibraryComponent;
  function IconLibraryComponent({ open, onClose, handleIconSelect, selectedIconName }: {
      open: any;
      onClose: any;
      handleIconSelect: any;
      selectedIconName: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/utilities/iconLibrary/SelectedLibraryItem' {
  export default SelectedLibraryItem;
  function SelectedLibraryItem(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/iconLibrary/UnityIconLibrary' {
  export const unityIcons: {
      id: string;
      label: string;
      icon: JSX.Element;
      type: string;
  }[];
  export function getUnityIconFromName(name: any): JSX.Element | null;

}
declare module 'unity-fluent-library/utilities/input/DateUtilities' {
  export function formatDateToLocaleString(isoDate: any, luxonFormat?: string): string;
  export function toUtcDate(date: any): Date | null;

}
declare module 'unity-fluent-library/utilities/input/SelectUtilities' {
  export function csvStrToArray(csvStr: any): any;
  export function csvStrToArrayOfObjects(csvStr: any): any[];
  export function apiResponseArrayToOptions(responseArr: any): any[];

}
declare module 'unity-fluent-library/utilities/input/StringUtilities' {
  export function removeWhiteSpace(str: any): any;
  export function camelToPascalCaseWithSpace(str: any): any;
  export function trimStringAfter(str: any, character: any): any;
  export function toLowerFirstChar(field: any): any;
  export function toUpperFirstChar(field: any): any;
  export function toTitleCase(str: any): any;
  export function pluralize(str: any): any;

}
declare module 'unity-fluent-library/utilities/isValueSelected' {
  export default function isValueSelected(value: any, candidate: any): boolean;

}
declare module 'unity-fluent-library/utilities/maintenanceEngine/CrudBrowserUtilities' {
  export function getPrimaryKeyValues(properties: any, entityValue: any): any;
  export function getPathObject(pathParameters: any, primaryKeyValues: any): {};
  export function findTermByType(fieldType: any, term: any): any;
  export function getEntityAttributes(catalog: any, entityName: any): any;

}
declare module 'unity-fluent-library/utilities/menus/menuUtilities' {
  export function getMenuItemsRecursively(menuItems: any, activeOnly: any, user: any, getAccessToken: any, checkDeviceSize?: boolean): any;

}
declare module 'unity-fluent-library/utilities/menus/redirectToLink' {
  export function redirectToLinkOnClick(redirectInfo: any, getAccessToken: any, user: any): Promise<void>;

}
declare module 'unity-fluent-library/utilities/page/PageSubHeaderAction' {
  export const PageSubHeaderActionsTarget: import("react-teleporter").TargetComponentType;
  export function PageSubHeaderAction(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/provider/ActionProvider' {
  export function ActionProvider(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/redirect/ExternalRedirectUrlStorage' {
  export function storeExternalPath(url: any): void;
  export function getStoredExternalPath(): string | null;
  export function clearStoredExternalPath(): void;

}
declare module 'unity-fluent-library/utilities/redirect/LocalRedirectUrlStorage' {
  export function storeInitialPath(): void;
  export function storeCurrentPath(): void;
  export function storePath(pathname: any): void;
  export function getStoredPath(): string | null;
  export function clearStoredPath(): void;

}
declare module 'unity-fluent-library/utilities/redirect/pages/OutlookCallback' {
  export function OutlookCallback(): JSX.Element;

}
declare module 'unity-fluent-library/utilities/rules/RuleUtilities' {
  export function getPropertyMappingList(obj: any): any[];
  export function getPropertyMappingObj(properties: Array<any>): {};
  export function mapRuleData(mapping: any, data: any): {};
  export function mapRule(mapping?: any, rule?: any): any;
  export function evaluateRule(rule: any, data: any, objectKey: string, dataLazyLoaded: boolean): any;

}
declare module 'unity-fluent-library/utilities/search/Search' {
  export interface SearchFilters {
      searchField: string;
      searchValue: string;
      searchOperator: string;
      searchValueType: number;
      groupId: number | null | undefined;
  }
  export interface SearchFilterGroups {
      groupId: number;
      groupOperator: number;
      parentGroupId: number;
  }
  export interface FilterObject {
      filterType: string;
      type: string;
      filter: string;
  }
  export interface GroupOperation {
      operation: string;
      property: string;
  }
  export interface OrderElement {
      sortColumn: string;
      sortDirection: string;
  }
  export interface Search {
      eagerLoad?: boolean;
      pageNumber: number;
      pageSize: number;
      groupingType?: string;
      groupProperty?: string[];
      groupOperationList?: GroupOperation[];
      orderElements: OrderElement[];
      filterElements: SearchFilters[];
      filterGroups: SearchFilterGroups[];
      logicalSearchOperator?: number;
  }

}
declare module 'unity-fluent-library/utilities/search/SearchUtilities' {
  import { LogicalSearchOperatorEnums } from 'unity-fluent-library/enums/unitySystemEnums';
  import { Search, SearchFilters } from 'unity-fluent-library/utilities/search/Search';
  export const getSearchObject: (searchFilterElements: any, page: any, pageSize: any, eagerLoad?: boolean, logicalSearchOperator?: LogicalSearchOperatorEnums, searchFilterGroups?: never[]) => Search;
  export const getApiMethodIdByPath: (apiMethodList: any, path: any) => any;
  export const getSearchIdentifiers: (catalogObjects: any, catalogReturnObject: any) => any;
  /**
   * Returns a reference to a function that takes an Ag-grid FilterModel object and
   * processes it to create an array of SearchFilters.
   * @param timeZone string or null;
   * @returns Function for processing Ag-grid FilterModel
   */
  export const useConvertFilterModelToSearchFilters: (timeZone?: string | null) => (filterModel?: any) => SearchFilters[];

}
declare module 'unity-fluent-library/utilities/storage/UnitySessionStorage' {
  export function storeInitialTenant(): void;
  export function storeTenant(tenantId: any): void;
  export function getStoredTenant(): string | null;
  export function clearStoredTenant(): void;
  export function storeAccessToken(accessToken: any): void;
  export function getStoredAccessToken(): string | null;
  export function clearStoredAccessToken(): void;
  export function storeRefreshToken(refreshToken: any): void;
  export function getStoredRefreshToken(): string | null;
  export function clearStoredRefreshToken(): void;

}
declare module 'unity-fluent-library/utilities/style/colorConverter' {
  export function getEllipseColor(theme: any, color: any, variant?: string): any;
  export function getCustomHintColor(color: any): string;
  export function getCategoryColor(color: any): string;

}
declare module 'unity-fluent-library/utilities/style/colors' {
  export namespace colors {
      namespace systemIcon {
          namespace trigger {
              const main: string;
              const hint: string;
              namespace hover {
                  const outline: string;
                  const background: string;
              }
          }
          namespace action {
              const main_1: string;
              export { main_1 as main };
              const hint_1: string;
              export { hint_1 as hint };
              export namespace hover_1 {
                  const outline_1: string;
                  export { outline_1 as outline };
                  const background_1: string;
                  export { background_1 as background };
              }
              export { hover_1 as hover };
          }
          namespace condition {
              const main_2: string;
              export { main_2 as main };
              const hint_2: string;
              export { hint_2 as hint };
              export namespace hover_2 {
                  const outline_2: string;
                  export { outline_2 as outline };
                  const background_2: string;
                  export { background_2 as background };
              }
              export { hover_2 as hover };
          }
          namespace sequence {
              const main_3: string;
              export { main_3 as main };
              const hint_3: string;
              export { hint_3 as hint };
              export namespace hover_3 {
                  const outline_3: string;
                  export { outline_3 as outline };
                  const background_3: string;
                  export { background_3 as background };
              }
              export { hover_3 as hover };
          }
      }
      namespace unity {
          namespace success {
              const hint_4: string;
              export { hint_4 as hint };
          }
          namespace warning {
              const hint_5: string;
              export { hint_5 as hint };
          }
          namespace info {
              const hint_6: string;
              export { hint_6 as hint };
          }
          namespace error {
              const hint_7: string;
              export { hint_7 as hint };
          }
      }
      namespace categoryColors {
          namespace one {
              const hint_8: string;
              export { hint_8 as hint };
              const main_4: string;
              export { main_4 as main };
          }
          namespace two {
              const hint_9: string;
              export { hint_9 as hint };
              const main_5: string;
              export { main_5 as main };
          }
          namespace three {
              const hint_10: string;
              export { hint_10 as hint };
              const main_6: string;
              export { main_6 as main };
          }
          namespace four {
              const hint_11: string;
              export { hint_11 as hint };
              const main_7: string;
              export { main_7 as main };
          }
          namespace five {
              const hint_12: string;
              export { hint_12 as hint };
              const main_8: string;
              export { main_8 as main };
          }
          namespace six {
              const hint_13: string;
              export { hint_13 as hint };
              const main_9: string;
              export { main_9 as main };
          }
      }
  }

}
declare module 'unity-fluent-library/utilities/style/ContentContainer' {
  export function ContentContainer(props: any): JSX.Element;
  export namespace ContentContainer {
      namespace propTypes {
          const np: PropTypes.Requireable<boolean>;
          const pt: PropTypes.Requireable<boolean>;
          const pb: PropTypes.Requireable<boolean>;
          const pl: PropTypes.Requireable<boolean>;
          const pr: PropTypes.Requireable<boolean>;
          const text: any;
      }
  }
  import PropTypes from "prop-types";

}
declare module 'unity-fluent-library/utilities/style/utils/styleUtils' {
  export function getEllipseColor(theme: any, color: any): any;
  export function getEllipseHintColor(theme: any, color: any): any;

}
declare module 'unity-fluent-library/utilities/style/verticalStyles' {
  export function verticalPrimary(vertical: any): "#2951B8" | "#9A1A5F" | "#008383" | "#CE4A00" | "#0C2F50" | "#344861" | "#161616";
  export function verticalSecondary(vertical: any): "#09A58C" | "#322514" | "#500472" | "#bf0d10" | "#03BBC3" | "#9eb0c2" | "#0f62fe";
  export function useTypeScale(): ({
      size: string;
      weight: number;
      lineHeight: string;
      letterSpacing: number;
  } | {
      size: string;
      weight: number;
      lineHeight: number;
      letterSpacing: number;
  })[];
  export function greyScale(shade: any): string;

}
declare module 'unity-fluent-library/utilities/systemColors' {
  export function useSystemColor(): {
      info: string;
      error: string;
      warning: string;
      success: string;
  }[];

}
declare module 'unity-fluent-library/utilities/tenant/tenantContext' {
  /// <reference types="react" />
  import { Tenant } from 'unity-fluent-library/utilities/types';
  export const TenantContext: import("react").Context<{
      tenantsList: Tenant[];
      activeTenant: Tenant;
      refresh: () => void;
  } | null>;

}
declare module 'unity-fluent-library/utilities/tenant/TenantProvider' {
  /// <reference types="react" />
  export const TenantProvider: ({ children }: {
      children: any;
  }) => JSX.Element;

}
declare module 'unity-fluent-library/utilities/tenant/useTenant' {
  import { Tenant } from "unity-fluent-library/utilities/types";
  export const useTenant: () => {
      activeTenant: Tenant;
      tenantsList: Tenant[];
      refresh: () => void;
  } | null;

}
declare module 'unity-fluent-library/utilities/theme' {
  export function ThemeProvider({ children }: {
      children: any;
  }): JSX.Element;

}
declare module 'unity-fluent-library/utilities/tree/TreeUtilities' {
  export function makeTreeStructure(treeData: any, key: any, parentKey: any, parentGroupKey?: string): any;
  export function makeTreeStaticGroupStructure(treeData: any, key: any, parentKey: any, groupType?: NodeGroupTypeEnums): any;
  export function makeDynamicGroupStructures(treeStructure: any, results: any): any[];
  export function makeDynamicTreeStructure(treeData: any, key: any, parentKey: any): any;
  export function getIconFromName(name: any): any;
  export function findLastNode(tree: any): any;
  export function searchTree(tree: any, id: any): any;
  export function deleteNode(treeData: any, nodeId: any): any[];
  export function deleteNodeAndChildren(treeData: any, nodeId: any): any[];
  export function getAllChildrenNodesToDelete(treeData: any, nodeId: any, nodeIdsToDelete: any): void;
  export function processCatalogObjectKeysInOrder(tree: any, keys: any): void;
  export function processOrderedTreeData(tree: any, treeData: any): void;
  export function processObjectToTree(result: any, treeData: any, objectReferenceKeys: any, treeList: any, catalogObjects: any, promotedEntities: any, wasLazyLoaded: any): void;
  export function processReferences(reference: any, objectReferenceKeys: any, treeData: any, index: any, treeList: any, parentId: any, catalogObjects: any, promotedEntities: any, wasLazyLoaded: any): void;
  export function processObjIndex(node: any, obj: any, index: any, parentId: any, catalogObjects: any, promotedEntities: any, wasLazyLoaded: any): void;
  export function getLazyLoadChildrenArr(node: any, catalogObjects: any, promotedEntities: any): any[];
  export function formatTreeMenuItem(responseObject: any, treeStructure: any, catalogObjects: any, promotedEntities: any, associatedInquiryTree: any, wasLazyLoaded: any): any;
  export function expandAllNodes(tree: any): void;
  export function collapseAllNodes(tree: any): void;
  export function findAllParentIds(menuItems: any, currentParentNode: any, allParentIds?: any[]): any[];
  export function formatTreeLabel(label: any, obj: any): any;
  export function getDisplayName(node: any, obj: any): any;
  export function getDisplayDetails(node: any, obj: any): any;
  export function getHeaderTitle(node: any, obj: any): any;
  export function searchForMatchingNode(tree: any, nodeObj?: {}, searchIdentifiers?: any[]): any;
  export function getNodeIdForRightBorder(expandedNodeIds: any, node: any, parentId: any): any;
  export function findNodeById(tree: any, id: any): any;
  export function findNodeByIdAndLabel(tree: any, id: any, label: any): any;
  export function findNodesByIdAndLabel(tree: any, id: any, label: any): any[];
  export function processItemForStaticNodeGroup(nodeGroup: any, item: any, groupedItemIndexes: any, displayTree: any, index: any, scopedGroupItemIndexes: Set<any> | undefined, treeList: any, nodeChildren?: any[]): {
      itemAdded: boolean;
      nodeChildren: any[];
  };
  export function constructStaticNodeGroups(tree: any, shouldUseNewId?: boolean): GroupNode[];
  export function getOrderedDynamicGroups(tree: any, shouldUseNewId?: boolean): any[];
  export function constructDynamicNodeGroups(results: any, tree: any, shouldUseNewId?: boolean): any[];
  export function constructBusinessObjectArrFromTree(node: any, businessObjects?: any[]): any[];
  export function processItemForDynamicNodeGroups(displayTree: any, node: any, groupNodes: any, previousFilteredGroups?: any[], isSingleGroup?: boolean): void;
  export function updateTreeIds(node: any, lastEntityNodeId: any, newId?: any, newParentId?: any): void;
  export function mapNodeGroupChildren(nodeGroup: any, nodeGroupChildren?: any[]): any;
  export function checkNodeIsHidden(node: any, item: any, wasLazyLoaded?: boolean): boolean;
  export function constructPreloadedTree(treeStructure: any, pageList: any): any[] | null;
  export function constructDynamicNodeGroups2(results: any, configNode: any, parentId?: null): any[];
  export function transformMenuPageTree(node: any): {
      id: any;
      parentId: any;
      isExpanded: boolean;
      properties: {
          defaultIcon: {
              type: string;
              name: any;
              color: string;
          };
          nodeLabel: any;
          nodeSubLabel: string;
          page: {
              id: any;
              entity: {
                  entityName: any;
              };
              pbiReportCode: any;
              udpTagId: any;
              queryId: any;
              inquiryTreeId: any;
              requiredFieldMapping: any;
          };
          aggregateThresholdId: any;
      };
      children: never[];
  } | null;
  export function mapNodeObjValuesToSearchParameters(nodeObj: any, aggregateThresholdParamMappings: any): any;
  export function getSearchValueString(nodeObj: any, searchIdentifier: any): string;
  import { NodeGroupTypeEnums } from "unity-fluent-library/enums/unitySystemEnums";
  import GroupNode from "unity-fluent-library/models/GroupNode";

}
declare module 'unity-fluent-library/utilities/TrimForAvatar' {
  export function TrimForAvatar(avatar: any): any;

}
declare module 'unity-fluent-library/utilities/types' {
  export interface BaseTenant {
      tenantId: string;
      clusterId: number;
      tenantName: string;
      contactEmail?: string | null;
      locked: boolean;
      theme?: string;
      showUnsubscribableProducts: boolean;
      description?: string;
      apiAuthKey: string;
      defaultVerticalId: number;
  }
  export interface Product {
      productId: number;
      name: string;
      isSubscribable: boolean;
      areRolesManaged: boolean;
  }
  export interface Vertical {
      verticalId: number;
      name: string;
      icon: string | null;
      isActive: boolean;
  }
  export interface Tenant extends BaseTenant {
      products: Product[];
      verticals: Vertical[];
      defaultVertical: Vertical;
      userCount: number;
  }

}
declare module 'unity-fluent-library/utilities/UnityFluentIcon' {
  export function UnityFluentIcon(props: any): JSX.Element | null;

}
declare module 'unity-fluent-library/utilities/UnityIcon' {
  export function UnityIcon(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/uploader/FileProfile' {
  export default FileProfile;
  function FileProfile(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/uploader/FileType' {
  export function FileType(props: any): string;

}
declare module 'unity-fluent-library/utilities/uploader/FileUpload' {
  export function FileUpload(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/uploader/formatBytes' {
  export function formatBytes(bytes: any, decimals?: number): string;

}
declare module 'unity-fluent-library/utilities/uploader/ImagePreview' {
  export default ImagePreview;
  function ImagePreview(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/useAxiosGet' {
  export function useAxiosGetQuery(url: any, params: any, config: any, isManual: any): (((config?: import("axios").AxiosRequestConfig<any> | undefined, options?: import("axios-hooks").RefetchOptions | undefined) => import("axios").AxiosPromise<any>) | {
      data: any;
      loading: boolean;
      error: import("axios").AxiosError<any, any> | undefined;
  })[];
  export function useAxiosGet(baseURL: any, url: any, config: {} | undefined, isManual: any, useCache?: boolean): (((config?: import("axios").AxiosRequestConfig<any> | undefined, options?: import("axios-hooks").RefetchOptions | undefined) => import("axios").AxiosPromise<any>) | {
      data: any;
      loading: boolean;
      error: import("axios").AxiosError<any, any> | undefined;
  })[];

}
declare module 'unity-fluent-library/utilities/useAxiosMutate' {
  export function useAxiosMutate(baseURL: any, url: any, config: any): (((config?: import("axios").AxiosRequestConfig<any> | undefined, options?: import("axios-hooks").RefetchOptions | undefined) => import("axios").AxiosPromise<any>) | {
      data: any;
      loading: boolean;
      error: import("axios").AxiosError<any, any> | undefined;
  })[];
  export function apiMutate(baseURL: any, url: any, config: any, data: any): Promise<import("axios").AxiosResponse<any, any>>;

}
declare module 'unity-fluent-library/utilities/useDevicePixelRatio' {
  /**
   * React hook that returns the device's current pixel ratio according to `window.devicePixelRatio`
   *
   * This hook will automatically re-render a component if `window.devicePixelRatio` changes (due to monitor preference changes or moving windows between monitors).
   */
  export default function useDevicePixelRatio(): number;

}
declare module 'unity-fluent-library/utilities/useGravatar' {
  export interface GravatarOptions {
      size: number;
  }
  /**
   * Provides the url to a Gravatar image for an email
   *
   * - Returns null until the image has preloaded so letter avatars can be displayed while loading
   * - Returns null if the email does not have a Gravatar (the loaded image is a 404)
   */
  export default function useGravatar(email: string, { size }: GravatarOptions): string | null;

}
declare module 'unity-fluent-library/utilities/usePrevious' {
  export function usePrevious(value: any): undefined;

}
declare module 'unity-fluent-library/utilities/utilityBar/InquiryHeaderControl' {
  export const InquiryHeaderControlTarget: import("react-teleporter").TargetComponentType;
  export function InquiryHeaderControl(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/utilityBar/InquiryHeaderSecondary' {
  export const InquiryHeaderSecondaryTarget: import("react-teleporter").TargetComponentType;
  export function InquiryHeaderSecondary(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/utilityBar/InquiryHeaderSecondaryAlert' {
  export const InquiryHeaderSecondaryAlertTarget: import("react-teleporter").TargetComponentType;
  export function InquiryHeaderSecondaryAlert(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/utilityBar/InquiryHeaderTitle' {
  export const InquiryHeaderTitleTarget: import("react-teleporter").TargetComponentType;
  export function InquiryHeaderTitle(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/utilityBar/SubHeaderAction' {
  export const SubHeaderActionsTarget: import("react-teleporter").TargetComponentType;
  export function SubHeaderAction(props: any): JSX.Element;

}
declare module 'unity-fluent-library/utilities/utilityBar/UtilityBarInport' {
  export const UtilityBarInportTarget: import("react-teleporter").TargetComponentType;
  export function UtilityBarInport(props: any): JSX.Element;

}
declare module 'unity-fluent-library' {
  import main = require('unity-fluent-library/index');
  export = main;
}